=== modified file '.bzrignore'
--- .bzrignore	2014-10-17 05:47:52 +0000
+++ .bzrignore	2014-06-06 22:12:02 +0000
@@ -1,10 +1,10 @@
-*.user
+*.qmlproject.user
 *.desktop.in
 *.desktop.in.in.h
-*.click
 debian/files
 debian/app-template/
 debian/*.debhelper.log
 debian/*.substvars
 .build
 .excludes
+CMakeLists.txt.user

=== modified file 'AllDayEventComponent.qml'
--- AllDayEventComponent.qml	2014-10-24 14:30:20 +0000
+++ AllDayEventComponent.qml	2014-09-25 18:52:18 +0000
@@ -33,26 +33,17 @@
 
     width: parent.width
 
-    anchors {
-        left :parent.left
-        right: parent.right
-        leftMargin: type == ViewType.ViewTypeDay ? units.gu(6) : 0
-        rightMargin: type == ViewType.ViewTypeDay ? units.gu(3): 0
-    }
-
     function getAllDayEvents(startDate, endDate) {
         var map = {};
         var items = model.getItems(startDate,endDate);
         for(var i = 0 ; i < items.length ; ++i) {
             var event = items[(i)];
             if( event && event.allDay ) {
-                for(var d = event.startDateTime; d <= event.endDateTime; d = d.addDays(1)) {
-                    var key = Qt.formatDateTime(d, "dd-MMM-yyyy");
-                    if( !(key in map)) {
-                        map[key] = [];
-                    }
-                    map[key].push(event);
+                var key  = Qt.formatDateTime(event.startDateTime, "dd-MMM-yyyy");
+                if( !(key in map)) {
+                    map[key] = [];
                 }
+                map[key].push(event);
             }
         }
         return map;
@@ -115,11 +106,10 @@
                         // on a given day. "Ev." is short form for "Events".
                         // Please keep the translation of "Ev." to 3 characters only, as the week view
                         // where it's shown has limited space
-                        text =  i18n.tr("%1 ev.").arg(events.length)
+                        text =  i18n.tr("%1 Ev.").arg(events.length)
                     } else {
                         if( events.length > 1) {
-                            // TRANSLATORS: the argument refers to the number of all day events
-                            text = i18n.tr("%1 all day event", "%1 all day events", events.length).arg(events.length)
+                            text = i18n.tr("%1 All day events").arg(events.length)
                         } else {
                             text = events[0].displayLabel;
                         }

=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2014-09-25 21:34:16 +0000
+++ CMakeLists.txt	2014-09-19 19:49:01 +0000
@@ -11,7 +11,6 @@
 
 set(APP_NAME calendar)
 set(DESKTOP_FILE "${PROJECT_NAME}_${APP_NAME}.desktop")
-set(APPLICATION_FILE "${PROJECT_NAME}_${APP_NAME}.application")
 set(URLS_FILE "${PROJECT_NAME}_${APP_NAME}.url-dispatcher")
 set(MAIN_QML calendar.qml)
 set(ICON_FILE calendar-app@30.png)
@@ -21,28 +20,26 @@
 
 if(CLICK_MODE)
     if(NOT DEFINED BZR_SOURCE)
-        set(BZR_SOURCE "lp:ubuntu-${APP_HARDCODE}")
-        message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
+		set(BZR_SOURCE "lp:ubuntu-${APP_HARDCODE}")
+		message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
     endif(NOT DEFINED BZR_SOURCE)
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
-    set(DATA_DIR /)
-    set(ICON ${ICON_FILE})
-    set(EXEC "qmlscene %u ${MAIN_QML}")
-    set(DESKTOP_DIR ${DATA_DIR})
-    set(URLS_DIR ${DATA_DIR})
-    set(APPLICATION_DIR ${DATA_DIR})
+	set(DATA_DIR /)
+	set (ICON ${ICON_FILE})
+	set(EXEC "qmlscene %u ${MAIN_QML}")
+	set(DESKTOP_DIR ${DATA_DIR})
+	set(URLS_DIR ${DATA_DIR})
 else(CLICK_MODE)
-    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
-    set(EXEC ${APP_HARDCODE})
-    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
-    configure_file(${APP_HARDCODE}.in
-            ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-            DESTINATION ${CMAKE_INSTALL_BINDIR})
-    set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
-    set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/url-dispatcher/urls)
-    set(APPLICATION_DIR ${CMAKE_INSTALL_DATADIR}/accounts/applications)
+	set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
+	set(EXEC ${APP_HARDCODE})
+	set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
+	configure_file(${APP_HARDCODE}.in
+		${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
+	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
+		DESTINATION ${CMAKE_INSTALL_BINDIR})
+	set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
+	set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/url-dispatcher/urls)
 endif(CLICK_MODE)
 
 file(GLOB_RECURSE I18N_SRC_FILES
@@ -70,11 +67,9 @@
 )
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} DESTINATION ${DESKTOP_DIR})
-
+ 
 install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
 
-install(FILES ${APPLICATION_FILE} DESTINATION ${APPLICATION_DIR})
-
 # Tests
 enable_testing()
 

=== modified file 'CalendarChoicePopup.qml'
--- CalendarChoicePopup.qml	2014-10-22 15:42:44 +0000
+++ CalendarChoicePopup.qml	2014-09-20 20:16:46 +0000
@@ -42,15 +42,6 @@
         }
     }
 
-    head.actions:  Action {
-        iconName: "contact-group"
-        objectName: "contactGroup"
-        text: i18n.tr("Accounts")
-        onTriggered: {
-            Qt.openUrlExternally("settings:///online-accounts")
-        }
-    }
-
     ListView {
         id: calendarsList
 
@@ -94,7 +85,6 @@
                 elide: Text.ElideRight
                 opacity: checkBox.checked ? 1.0 : 0.8
                 color: UbuntuColors.midAubergine
-                width: parent.width - calendarColorCode.width - checkBox.width - units.gu(6) /*margins*/
                 anchors {
                     left: calendarColorCode.right
                     margins: units.gu(2)

=== modified file 'DayView.qml'
--- DayView.qml	2014-10-22 18:46:59 +0000
+++ DayView.qml	2014-09-21 09:39:21 +0000
@@ -28,8 +28,6 @@
     property var currentDay: new Date()
     property bool isCurrentPage: false
 
-    signal dateSelected(var date);
-
     Keys.forwardTo: [dayViewPath]
     flickable: null
 
@@ -51,127 +49,87 @@
             commonHeaderActions.reloadAction
         ]
 
-        contents: Label {
-            id:monthYear
-            objectName:"monthYearLabel"
-            fontSize: "x-large"
-            text: i18n.tr(currentDay.toLocaleString(Qt.locale(),i18n.tr("MMMM yyyy")))
-            font.capitalization: Font.Capitalize
+        contents: Column{
+            width: parent ? parent.width - units.gu(2) : undefined
+
+            Label {
+                fontSize: "medium"
+                text: Qt.locale().standaloneDayName(currentDay.getDay())
+                font.capitalization: Font.Capitalize
+            }
+
+            Label {
+                id:cuurentDay
+                objectName:"monthYearLabel"
+                fontSize: "large"
+                // TRANSLATORS: this is a time formatting string,
+                // see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+                // It's used in the header of the day view
+                text:i18n.tr(currentDay.toLocaleString(Qt.locale(),i18n.tr("MMMM dd, yyyy")))
+            }
         }
     }
 
-    Column {
+    PathViewBase{
+        id: dayViewPath
+        objectName: "dayViewPath"
+
+        property var startDay: currentDay
+        //This is used to scroll all view together when currentItem scrolls
+        property var childContentY;
+
         anchors.fill: parent
-        anchors.topMargin: units.gu(1)
-        spacing: units.gu(1)
-
-        TimeLineHeader{
-            id: dayHeader
-            objectName: "dayHeader"
+
+        onNextItemHighlighted: {
+            //next day
+            currentDay = currentDay.addDays(1);
+        }
+
+        onPreviousItemHighlighted: {
+            //previous day
+            currentDay = currentDay.addDays(-1);
+        }
+
+        delegate: TimeLineBaseComponent {
+            id: timeLineView
+            objectName: "DayComponent-"+index
+
             type: ViewType.ViewTypeDay
-            currentDay: dayViewPage.currentDay
-
-            onDateSelected: {
-                dayViewPage.currentDay = date;
-                dayViewPage.dateSelected(date);
-            }
-
-            onCurrentDayChanged: {
-                date = dayViewPage.currentDay.weekStart(Qt.locale().firstDayOfWeek);
-            }
-
-            function nextDay() {
-                if(currentDay >= date.addDays(7)) {
-                    date = dayViewPage.currentDay.weekStart(Qt.locale().firstDayOfWeek);
-                    dayHeader.incrementCurrentIndex();
-                }
-            }
-
-            function previousDay() {
-                if( currentDay < date) {
-                    date = dayViewPage.currentDay.weekStart(Qt.locale().firstDayOfWeek);
-                    dayHeader.decrementCurrentIndex();
-                }
-            }
-        }
-
-        PathViewBase{
-            id: dayViewPath
-            objectName: "dayViewPath"
-
-            property var startDay: currentDay
-            //This is used to scroll all view together when currentItem scrolls
-            property var childContentY;
 
             width: parent.width
-            height: dayViewPage.height - dayViewPath.y
-
-            onNextItemHighlighted: {
-                //next day
-                currentDay = currentDay.addDays(1);
-                dayHeader.nextDay();
-            }
-
-            onPreviousItemHighlighted: {
-                //previous day
-                currentDay = currentDay.addDays(-1);
-                dayHeader.previousDay();
-            }
-
-            delegate: Loader {
-                width: parent.width
-                height: parent.height
-                asynchronous: !dayViewPath.isCurrentItem
-                sourceComponent: delegateComponent
-
-                Component {
-                    id: delegateComponent
-
-                    TimeLineBaseComponent {
-                        id: timeLineView
-                        objectName: "DayComponent-"+index
-
-                        type: ViewType.ViewTypeDay
-                        anchors.fill: parent
-
-                        isActive: parent.PathView.isCurrentItem
-                        contentInteractive: parent.PathView.isCurrentItem
-                        startDay: dayViewPath.startDay.addDays(dayViewPath.indexType(index))
-                        keyboardEventProvider: dayViewPath
-
-                        Component.onCompleted: {
-                            if(dayViewPage.isCurrentPage){
-                                timeLineView.scrollToCurrentTime();
-                            }
-                        }
-
-                        Connections{
-                            target: dayViewPage
-                            onIsCurrentPageChanged:{
-                                if(dayViewPage.isCurrentPage){
-                                    timeLineView.scrollToCurrentTime();
-                                }
-                            }
-                        }
-
-                        //get contentY value from PathView, if its not current Item
-                        Binding{
-                            target: timeLineView
-                            property: "contentY"
-                            value: dayViewPath.childContentY;
-                            when: !parent.PathView.isCurrentItem
-                        }
-
-                        //set PathView's contentY property, if its current item
-                        Binding{
-                            target: dayViewPath
-                            property: "childContentY"
-                            value: contentY
-                            when: parent.PathView.isCurrentItem
-                        }
+            height: parent.height
+            z: index == dayViewPath.currentIndex ? 2 : 1
+            isActive: true
+
+            Connections{
+                target: dayViewPage
+                onIsCurrentPageChanged:{
+                    if(dayViewPage.isCurrentPage){
+                        timeLineView.scrollToCurrentTime();
                     }
                 }
             }
+
+            //get contentY value from PathView, if its not current Item
+            Binding{
+                target: timeLineView
+                property: "contentY"
+                value: dayViewPath.childContentY;
+                when: !timeLineView.PathView.isCurrentItem
+            }
+
+            //set PathView's contentY property, if its current item
+            Binding{
+                target: dayViewPath
+                property: "childContentY"
+                value: contentY
+                when: timeLineView.PathView.isCurrentItem
+            }
+
+            contentInteractive: timeLineView.PathView.isCurrentItem
+
+            startDay: dayViewPath.startDay.addDays(dayViewPath.indexType(index))
         }
     }
 }
+

=== modified file 'Defines.js'
--- Defines.js	2014-10-22 14:03:01 +0000
+++ Defines.js	2014-09-20 10:45:35 +0000
@@ -20,6 +20,7 @@
 .import QtOrganizer 5.0 as QtPim
 
 var recurrenceLabel = getRecurrenceLabels();
+var limitLabel = getLimitLabels();
 var weekLabel = getWeekLabels();
 // It contains multiple weekly entries to handle following occurence
 //1.Every Weekday (Monday to Friday
@@ -40,7 +41,11 @@
     var object = component.createObject(Qt.application);
     return object.recurrenceLabel;
 }
-
+function getLimitLabels(){
+    var component = Qt.createComponent(Qt.resolvedUrl("LimitLabelDefines.qml"));
+    var object = component.createObject(Qt.application);
+    return object.limitLabel;
+}
 function getWeekLabels(){
     var object = Qt.createQmlObject('\
         import QtQuick 2.3;\

=== modified file 'DeleteConfirmationDialog.qml'
--- DeleteConfirmationDialog.qml	2014-10-14 17:20:13 +0000
+++ DeleteConfirmationDialog.qml	2014-09-20 10:45:35 +0000
@@ -32,9 +32,8 @@
                i18n.tr("Delete Event") ;
 
     text: event.parentId ?
-              // TRANSLATORS: argument (%1) refers to an event name.
-              i18n.tr("Delete only this event \"%1\", or all events in the series?").arg(event.displayLabel):
-              i18n.tr("Are you sure you want to delete the event \"%1\"?").arg(event.displayLabel);
+              i18n.tr('Delete only this event "'+event.displayLabel+'", or all events in the series?'):
+              i18n.tr('Are you sure you want to delete the event "'+ event.displayLabel +'"?');
 
     Button {
         text: i18n.tr("Delete series")

=== modified file 'EditEventConfirmationDialog.qml'
--- EditEventConfirmationDialog.qml	2014-10-14 17:20:13 +0000
+++ EditEventConfirmationDialog.qml	2014-09-20 10:45:35 +0000
@@ -28,8 +28,7 @@
 
     title: i18n.tr("Edit Event")
 
-    // TRANSLATORS: argument (%1) refers to an event name.
-    text: i18n.tr("Edit only this event \"%1\", or all events in the series?").arg(event.displayLabel);
+    text: i18n.tr('Edit only this event "'+event.displayLabel+'", or all events in the series?');
 
     Button {
         text: i18n.tr("Edit series")

=== modified file 'EventActions.qml'
--- EventActions.qml	2014-10-22 13:34:41 +0000
+++ EventActions.qml	2014-09-19 08:52:19 +0000
@@ -50,8 +50,6 @@
         id: _reloadAction
         objectName: "syncbutton"
         iconName: "reload"
-	// TRANSLATORS: Please translate this string  to 15 characters only.
-	// Currently ,there is no way we can increase width of action menu currently.
         text: enabled ? i18n.tr("Sync") : i18n.tr("Syncing")
         onTriggered: syncMonitor.sync(["calendar"])
         enabled: (syncMonitor.state !== "syncing")

=== modified file 'EventBubble.qml'
--- EventBubble.qml	2014-10-24 13:18:44 +0000
+++ EventBubble.qml	2014-09-20 13:36:04 +0000
@@ -18,7 +18,6 @@
 
 import QtQuick 2.3
 import Ubuntu.Components 1.1
-import QtOrganizer 5.0
 
 Item{
     id: infoBubble
@@ -35,9 +34,7 @@
 
     property Flickable flickable;
 
-    readonly property int minimumHeight: type == wideType
-                                         ? eventDetails.item.timeLabelHeight + /*top-bottom margin*/ units.gu(2)
-                                         : units.gu(2)
+    readonly property int minimumHeight: timeLabel.height + /*top-bottom margin*/ units.gu(2)
 
     signal clicked(var event);
 
@@ -61,39 +58,77 @@
 
     onEventChanged: {
         resize();
-        assingnBgColor();
-    }
-
-    function assingnBgColor() {
-        if (model && event ) {
+        setDetails();
+    }
+
+    //on weekview flickable changes, so we need to setup connection on flickble change
+    onFlickableChanged: {
+        if( flickable && height > flickable.height ) {
+            flickable.onContentYChanged.connect(layoutBubbleDetails);
+        }
+    }
+
+    //on dayview, flickable never changed so when height changes we setup connection
+    onHeightChanged: {
+        if( flickable && height > flickable.height ) {
+            flickable.onContentYChanged.connect(layoutBubbleDetails);
+        }
+    }
+
+    Component.onCompleted: {
+        setDetails();
+    }
+
+    function setDetails() {
+        if(event === null || event === undefined) {
+            return;
+        }
+
+        var startTime = event.startDateTime.toLocaleTimeString(Qt.locale(), Locale.ShortFormat)
+        var endTime = event.endDateTime.toLocaleTimeString(Qt.locale(), Locale.ShortFormat)
+
+        // TRANSLATORS: the first argument (%1) refers to a start time for an event,
+        // while the second one (%2) refers to the end time
+        var timeString = i18n.tr("%1 - %2").arg(startTime).arg(endTime)
+
+        timeLabel.text = ""
+        titleLabel.text = ""
+        descriptionLabel.text = ""
+
+        //height is less then set only event title
+        if( height > minimumHeight ) {
+            //on wide type show all details
+            if( type == wideType) {
+                timeLabel.text = timeString
+
+                if( event.displayLabel)
+                    titleLabel.text = event.displayLabel;
+                if( event.description)
+                {
+                    descriptionLabel.text = event.description
+                    //If content is too much don't display.
+                    if( height < descriptionLabel.height + descriptionLabel.y){
+                        descriptionLabel.text = ""
+                    }
+                }
+            } else {
+                //narrow type shows only time and title
+                timeLabel.text = startTime
+
+                if( event.displayLabel)
+                    titleLabel.text = event.displayLabel;
+            }
+        } else {
+            if( event.displayLabel)
+                timeLabel.text = event.displayLabel;
+        }
+
+        if(model) {
             var collection = model.collection( event.collectionId );
-            var now = new Date();
-            if( event.endDateTime >= now) {
-                if( getOwnersStatus(collection) === EventAttendee.StatusDeclined ) {
-                    //if owner of account is not attending event the dim it
-                    bg.color = Qt.tint( collection.color, "#aaffffff" );
-                } else {
-                    bg.color = collection.color
-                }
-            } else {
-                //if event is on past then add some white color to original color
-                bg.color = Qt.tint( collection.color, "#aaffffff" );
-            }
+            bg.color = collection.color
         }
-    }
 
-    function getOwnersStatus(collection) {
-        var attendees = event.attendees;
-        if( attendees !== undefined ) {
-            for (var j = 0 ; j < attendees.length ; ++j) {
-                var contact = attendees[j];
-                //mail to is appended on email address so remove it
-                var email = contact.emailAddress.replace("mailto:", "");
-                if( email === collection.name) {
-                    return contact.participationStatus;
-                }
-            }
-        }
+        layoutBubbleDetails();
     }
 
     function layoutBubbleDetails() {
@@ -103,134 +138,66 @@
 
         if( infoBubble.y < flickable.contentY && infoBubble.height > flickable.height) {
             var y = (flickable.contentY - infoBubble.y) * 1.2;
-            if( ( y + eventDetails.item.height + units.gu(2)) > infoBubble.height) {
-                y = infoBubble.height - eventDetails.item.height - units.gu(2);
-            }
-            eventDetails.item.y = y;
-        }
-    }
-
-    Loader {
-        id:eventDetails
-        sourceComponent: type == wideType ? detailsComponent : undefined
-    }
-
-    Component {
-        id:detailsComponent
-
-        Item {
-
-            id: detailsItems
-            property alias timeLabelHeight : timeLabel.height
-
-            width: parent.width
-            height: detailsColumn.height
-
-            Column {
-                id: detailsColumn
-
-                anchors {
-                    top: parent.top
-                    left: parent.left
-                    right: parent.right
-                    margins: units.gu(0.5)
-                }
-
-                Label {
-                    id: timeLabel
-                    objectName: "timeLabel"
-                    color: "White"
-                    fontSize:"small"
-                    font.bold: true
-                    width: parent.width
-                }
-
-                Label {
-                    id: titleLabel
-                    objectName: "titleLabel"
-                    color: "White"
-                    fontSize: "small"
-                    width: parent.width
-                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
-                }
-
-                Label {
-                    id: descriptionLabel
-                    color: "White"
-                    fontSize: "x-small"
-                    width: parent.width
-                }
-            }
-
-            onHeightChanged: {
-                layoutBubbleDetails();
-            }
-
-            Connections {
-                target: infoBubble
-                onFlickableChanged: {
-                    if (flickable && infoBubble.height > flickable.height) {
-                        flickable.onContentYChanged.connect(layoutBubbleDetails);
-                    }
-                }
-
-                onHeightChanged: {
-                    if(flickable && infoBubble.height > flickable.height) {
-                        flickable.onContentYChanged.connect(layoutBubbleDetails);
-                    }
-                }
-
-                onEventChanged: {
-                    setDetails();
-                }
-            }
-
-            function setDetails() {
-                if(event === null || event === undefined) {
-                    return;
-                }
-
-                var startTime = event.startDateTime.toLocaleTimeString(Qt.locale(), Locale.ShortFormat)
-                var endTime = event.endDateTime.toLocaleTimeString(Qt.locale(), Locale.ShortFormat)
-
-                if (type === wideType) {
-                    timeLabel.text = ""
-                    titleLabel.text = ""
-                    descriptionLabel.text = ""
-                    //height is less then set only event title
-                    if( infoBubble.height > minimumHeight ) {
-                        //on wide type show all details
-                        if( infoBubble.height > titleLabel.y + titleLabel.height + units.gu(1)) {
-                            // TRANSLATORS: the first argument (%1) refers to a start time for an event,
-                            // while the second one (%2) refers to the end time
-                            var timeString = i18n.tr("%1 - %2").arg(startTime).arg(endTime)
-                            timeLabel.text = timeString
-                            titleLabel.text = event.displayLabel
-                        } else if ( event.displayLabel ) {
-                            // TRANSLATORS: the first argument (%1) refers to a start time for an event,
-                            // while the second one (%2) refers to title of event
-                            timeLabel.text = i18n.tr("%1 - %2").arg(startTime).arg(event.displayLabel);
-                        }
-
-                        if (event.description) {
-                            descriptionLabel.text = event.description
-                            //descriptionText = event.description
-                            //If content is too much don't display.
-                            if (infoBubble.height < descriptionLabel.y + descriptionLabel.height + units.gu(1)) {
-                                descriptionLabel.text = ""
-                            }
-                        }
-
-                        layoutBubbleDetails();
-                    } else if (event.displayLabel){
-                        timeLabel.text = event.displayLabel;
-                    }
-                }
-            }
-        }
-    }
-
-    MouseArea {
+            if( ( y + detailsItems.height + units.gu(2)) > infoBubble.height) {
+                y = infoBubble.height - detailsItems.height - units.gu(2);
+            }
+            detailsItems.y = y;
+        }
+    }
+
+    Connections{
+        target: detailsItems
+        onHeightChanged: {
+            layoutBubbleDetails();
+        }
+    }
+
+    Item {
+        id: detailsItems
+
+        width: parent.width
+        height: detailsColumn.height
+
+        Column {
+            id: detailsColumn
+
+            anchors {
+                top: parent.top
+                left: parent.left
+                right: parent.right
+                margins: units.gu(1)
+            }
+
+            Label {
+                id: timeLabel
+                objectName: "timeLabel"
+                color: "White"
+                fontSize:"small"
+                font.bold: true
+                width: parent.width
+            }
+
+            Label {
+                id: titleLabel
+                objectName: "titleLabel"
+                color: "White"
+                fontSize: "small"
+                width: parent.width
+                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
+            }
+
+            Label {
+                id: descriptionLabel
+                color: "White"
+                fontSize: "x-small"
+                width: parent.width
+                visible: type == wideType
+                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
+            }
+        }
+    }
+
+    MouseArea{
         anchors.fill: parent
         onClicked: {
             infoBubble.clicked(event);

=== modified file 'EventDetails.qml'
--- EventDetails.qml	2014-10-20 15:20:21 +0000
+++ EventDetails.qml	2014-09-23 14:41:12 +0000
@@ -62,7 +62,6 @@
         var collection = model.collection( event.collectionId );
         calendarIndicator.color = collection.color
         eventInfo.color=collection.color
-        // TRANSLATORS: the first parameter refers to the name of event calendar.
         calendarName.text = i18n.tr("%1 Calendar").arg( collection.name)
     }
 
@@ -88,11 +87,10 @@
 
     function updateReminder(event) {
         var reminder = event.detail( Detail.VisualReminder)
-        if(reminder) {
+        if( reminder ) {
             for(var i=0; i<reminderModel.count; i++) {
-                if(reminder.secondsBeforeStart === reminderModel.get(i).value) {
+                if(reminder.secondsBeforeStart === reminderModel.get(i).value)
                     reminderHeader.subText = reminderModel.get(i).label
-                }
             }
         } else {
             reminderHeader.subText = reminderModel.get(0).label
@@ -101,7 +99,7 @@
 
     function updateLocation(event) {
         if( event.location ) {
-            locationLabel.text = event.location
+            locationLabel.text = i18n.tr("%1").arg(event.location)
         }
     }
 
@@ -109,17 +107,8 @@
         var startTime = e.startDateTime.toLocaleTimeString(Qt.locale(), Locale.ShortFormat)
         var endTime = e.endDateTime.toLocaleTimeString(Qt.locale(), Locale.ShortFormat)
 
-        if( e.allDay ) {
-            if( !e.startDateTime.isSameDay( e.endDateTime) ) {
-                dateLabel.text = i18n.tr("%1 - %2 (All Day)")
-                .arg( e.startDateTime.toLocaleDateString(Qt.locale(), Locale.LongFormat))
-                .arg( e.endDateTime.toLocaleDateString(Qt.locale(), Locale.LongFormat))
-            } else {
-                dateLabel.text = i18n.tr("%1 (All Day)").arg( e.startDateTime.toLocaleDateString(Qt.locale(), Locale.LongFormat))
-            }
-        } else {
-           dateLabel.text = e.startDateTime.toLocaleDateString(Qt.locale(), Locale.LongFormat) + ", " +startTime + " - "  + endTime;
-        }
+        dateLabel.text = e.allDay === true ? i18n.tr("%1 (All Day)").arg( e.startDateTime.toLocaleDateString(Qt.locale(), Locale.LongFormat))
+                                           : e.startDateTime.toLocaleDateString(Qt.locale(), Locale.LongFormat) + ", " +startTime + " - "  + endTime;
 
         if( e.itemType === Type.EventOccurrence ){
             var requestId = -1;

=== modified file 'EventListModel.qml'
--- EventListModel.qml	2014-09-28 05:25:31 +0000
+++ EventListModel.qml	2014-09-20 10:45:35 +0000
@@ -47,7 +47,6 @@
             var items = getItems(eventModel.startPeriod, eventModel.endPeriod);
             if( isLoading == true && items.length === 0) {
                 isLoading = false;
-                modelChanged();
             }
             newObject.destroy();
         });

=== modified file 'EventReminder.qml'
--- EventReminder.qml	2014-10-10 17:49:49 +0000
+++ EventReminder.qml	2014-09-16 14:12:51 +0000
@@ -37,15 +37,16 @@
     head.backAction: Action{
         iconName:"back"
         onTriggered:{
-            visualReminder.repetitionCount = 3;
-            visualReminder.repetitionDelay = 120;
-            visualReminder.message = eventTitle
-            visualReminder.secondsBeforeStart = reminderTime;
-
-            audibleReminder.repetitionCount = 3;
-            audibleReminder.repetitionDelay = 120;
-            audibleReminder.secondsBeforeStart = reminderTime;
-
+            if(reminderTime !== 0){
+                visualReminder.repetitionCount = 3;
+                visualReminder.repetitionDelay = 120;
+                visualReminder.message = eventTitle
+                visualReminder.secondsBeforeStart = reminderTime;
+
+                audibleReminder.repetitionCount = 3;
+                audibleReminder.repetitionDelay = 120;
+                audibleReminder.secondsBeforeStart = reminderTime;
+            }
             pop();
         }
     }

=== modified file 'EventRepetition.qml'
--- EventRepetition.qml	2014-10-22 14:03:01 +0000
+++ EventRepetition.qml	2014-09-22 09:54:26 +0000
@@ -23,7 +23,6 @@
 import Ubuntu.Components.Pickers 1.0
 import QtOrganizer 5.0
 import "Defines.js" as Defines
-import "Recurrence.js" as Recurrence
 
 Page {
     id: repetition
@@ -34,20 +33,12 @@
     property var isEdit
 
     visible: false
-    // TRANSLATORS: this refers to how often a recurrent event repeats
-    // and it is shown as the header of the page to choose repetition
-    // and as the header of the list item that shows the repetition
-    // summary in the page that displays the event details
-    title: i18n.tr("Repeat")
+    title: i18n.tr("Repeats")
 
     EventUtils{
         id:eventUtils
     }
 
-    LimitLabelModel {
-        id:limitLabels
-    }
-
     Component.onCompleted: {
         //Fill Date & limitcount if any
         var index = 0;
@@ -70,21 +61,21 @@
                     // If limit is infinite
                     limitOptions.selectedIndex = 0;
                 }
-                switch (index) {
+                switch(index){
                 case RecurrenceRule.Weekly:
                     index = eventUtils.getWeekDaysIndex(rule.daysOfWeek.sort());
-                    if (rule.daysOfWeek.length>0 && index === Recurrence.OnDiffDays) {
-                        for (var j = 0; j < rule.daysOfWeek.length; ++j) {
+                    if(rule.daysOfWeek.length>0 && index === 5){
+                        for(var j = 0;j<rule.daysOfWeek.length;++j){
                             //Start childern after first element.
                             weeksRow.children[rule.daysOfWeek[j] === 7 ? 0 :rule.daysOfWeek[j]].children[1].checked = true;
                         }
                     }
                     break;
                 case RecurrenceRule.Monthly:
-                    index = Recurrence.Monthly
+                    index = 6
                     break;
                 case RecurrenceRule.Yearly:
-                    index = Recurrence.Yearly
+                    index = 7
                     break;
                 }
 
@@ -207,16 +198,13 @@
                 margins: units.gu(2)
             }
 
-            model: limitLabels
+            model: Defines.limitLabel
             containerHeight: itemHeight * 4
             onExpandedChanged:   Qt.inputMethod.hide()
         }
 
         ListItem.Header{
-            // TRANSLATORS: this refers to how often a recurrent event repeats
-            // and it is shown as the header of the option selector to choose
-            // its repetition
-            text:i18n.tr("Repeats")
+            text:i18n.tr("Recurrences")
             visible: recurrenceOption.selectedIndex != 0
                      && limitOptions.selectedIndex == 1
         }

=== modified file 'EventUtils.qml'
--- EventUtils.qml	2014-10-04 04:37:34 +0000
+++ EventUtils.qml	2014-09-21 09:39:21 +0000
@@ -20,90 +20,84 @@
 import Ubuntu.Components 1.1
 import QtOrganizer 5.0
 import "Defines.js" as Defines
-import "Recurrence.js" as Recurrence
 
 
 QtObject{
     id:eventUtil
-
     function getWeekDaysIndex(daysOfWeek){
-        for (var index = Recurrence.Weekdays; index < Recurrence.OnDiffDays; index++) {
-            if (compareArrays(daysOfWeek, Recurrence.weeklyDays[index])) {
-                return index;
-            }
-        }
-        return Recurrence.OnDiffDays;
+        var index = 0;
+        if(compareArrays(daysOfWeek,[Qt.Monday,Qt.Tuesday,Qt.Wednesday,Qt.Thursday,Qt.Friday]))
+            index = 2
+        else if(compareArrays(daysOfWeek,[Qt.Monday,Qt.Wednesday,Qt.Friday]))
+            index = 3
+        else if(compareArrays(daysOfWeek,[Qt.Tuesday,Qt.Thursday]))
+            index = 4
+        else
+            index = 5
+        return index;
     }
 
-    function compareArrays(daysOfWeek, actualArray) {
+    function compareArrays(daysOfWeek, actualArray){
         if (daysOfWeek.length !== actualArray.length) return false;
         for (var i = 0; i < actualArray.length; i++) {
             if (daysOfWeek[i] !== actualArray[i]) return false;
         }
         return true;
     }
-
-    function getDaysOfWeek(index, weekDays) {
+    function getDaysOfWeek(index,weekDays){
         var daysOfWeek = [];
-        if (index !== Recurrence.OnDiffDays) {
-            daysOfWeek = Recurrence.weeklyDays[index];
-        } else {
+        switch(index){
+        case 2:
+            daysOfWeek = [Qt.Monday,Qt.Tuesday,Qt.Wednesday,Qt.Thursday,Qt.Friday];
+            break;
+        case 3:
+            daysOfWeek = [Qt.Monday,Qt.Wednesday,Qt.Friday];
+            break;
+        case 4:
+            daysOfWeek = [Qt.Tuesday,Qt.Thursday];
+            break;
+        case 5:
             daysOfWeek = weekDays.length === 0 ? [date.getDay()] : weekDays;
+            break;
         }
         return daysOfWeek;
     }
-
     //Function to get Weeknames in narrow Format
     function getDays(daysOfWeek) {
         var days = []
-        for (var j = 0; j < daysOfWeek.length; ++j) {
+        for(var j = 0;j<daysOfWeek.length;++j){
             //push all days
-            days.push(Qt.locale().dayName(daysOfWeek[j], Locale.NarrowFormat))
+            days.push(Qt.locale().dayName(daysOfWeek[j],Locale.NarrowFormat))
         }
         days = days.join(', ');
         return days;
     }
 
-    function getString(rule,recurrence){
+    function getRecurrenceString(rule){
+
+        var index;
+        var reccurence = "";
+        var limit,str = "";
         var dateFormat = Qt.locale().dateFormat(Locale.LongFormat);
-        var str = "";
-        if (rule.limit === undefined) {
-            str = i18n.tr(recurrence)
-        } else if (rule.limit !== undefined && parseInt(rule.limit)) {
-            // TRANSLATORS: the argument refers to multiple recurrence of event with count .
-            // E.g. "Daily; 5 times."
-            str = i18n.tr("%1; %2 time", "%1; %2 times", rule.limit).arg(recurrence).arg(rule.limit)
-        } else {
-            // TRANSLATORS: the argument refers to recurrence until user selected date.
-            // E.g. "Daily; until 12/12/2014."
-            str = i18n.tr("%1; until %2").arg(recurrence).arg(rule.limit.toLocaleString(Qt.locale(), dateFormat))
+        index = rule.frequency;
+        if(index === RecurrenceRule.Weekly){
+            index = getWeekDaysIndex(rule.daysOfWeek.sort() )
+            reccurence = "Weekly "
+            if(index === 5){
+                reccurence +=  "on " + getDays(rule.daysOfWeek.sort())
+            }
         }
-        return str;
-    }
+        else if(index === RecurrenceRule.Monthly)
+            index = 6
+        else if(index === RecurrenceRule.Yearly)
+            index = 7
+        if(index !==5)
+            reccurence += Defines.recurrenceLabel[index]
 
-    function getRecurrenceString(rule) {
-        var index = rule.frequency;
-        var recurrence = "";
-        var str = "";
-        //Check if reccurence is weekly or not
-        if (index === RecurrenceRule.Weekly) {
-            index = getWeekDaysIndex(rule.daysOfWeek.sort())
-            // We are using a custom index
-            // because we have more options than the Qt RecurrenceRule enum.
-        } else if (index === RecurrenceRule.Monthly) {
-            index = Recurrence.Monthly // If reccurence is Monthly
-        } else if (index === RecurrenceRule.Yearly) {
-            index = Recurrence.Yearly // If reccurence is Yearly
-        }
-        // if reccurrence is on different days.
-        if (index === Recurrence.OnDiffDays) {
-            // TRANSLATORS: the argument refers to several different days of the week.
-            // E.g. "Weekly on Mondays, Tuesdays"
-            recurrence += i18n.tr("Weekly on %1").arg(getDays(rule.daysOfWeek.sort()))
-        } else {
-            recurrence += Defines.recurrenceLabel[index]
-        }
-        str = getString(rule,recurrence);
+        str = (rule.limit === undefined) ? i18n.tr(reccurence) :
+                                           (rule.limit !== undefined && parseInt(rule.limit)) ?
+                                               i18n.tr("%1 ; %2 times ").arg(reccurence).arg(rule.limit) :
+                                               i18n.tr("%1 ;  until %2").arg(reccurence).arg(rule.limit.toLocaleString(Qt.locale(), dateFormat))
         return str;
     }
 }

=== renamed file 'LimitLabelModel.qml' => 'LimitLabelDefines.qml'
--- LimitLabelModel.qml	2014-10-22 17:32:15 +0000
+++ LimitLabelDefines.qml	2014-09-20 10:45:35 +0000
@@ -16,14 +16,9 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 import QtQuick 2.3;
-
-ListModel {
-    id:limitLables
-    Component.onCompleted: initialise()
-
-    function initialise() {
-        limitLables.append({ "label": i18n.tr("Never") })
-        limitLables.append({ "label": i18n.tr("After X Occurrence") })
-        limitLables.append({ "label": i18n.tr("After Date") })
-    }
+import Ubuntu.Components 1.1;
+QtObject {
+    property var limitLabel:[i18n.tr("Never"),i18n.tr("After X Occurrence"),
+        i18n.tr("After Date")];
+
 }

=== modified file 'MonthComponent.qml'
--- MonthComponent.qml	2014-10-24 15:27:52 +0000
+++ MonthComponent.qml	2014-09-28 12:12:13 +0000
@@ -24,8 +24,6 @@
     id: root
     objectName: "MonthComponent"
 
-    property bool isCurrentItem;
-
     property bool showEvents: false
 
     property var currentMonth;
@@ -42,25 +40,9 @@
     signal monthSelected(var date);
     signal dateSelected(var date)
 
-    //creatng timer only if we need to show events in month
-    Loader {
-        id: timerLoader
-        sourceComponent: showEvents ? timerComp : undefined
-    }
-
-    // Timer to delay creation of Model, There seems some problem fetching events if we create Model immediatly
-    Component {
-        id: timerComp
-        Timer{
-           interval: 200; running: true; repeat: false
-           onTriggered: {
-                modelLoader.sourceComponent = modelComponent
-           }
-        }
-    }
-
     Loader{
         id: modelLoader
+        sourceComponent: showEvents ? modelComponent: undefined
     }
 
     Component{
@@ -68,7 +50,7 @@
         EventListModel {
             id: mainModel
             startPeriod: intern.monthStart.midnight();
-            endPeriod: intern.monthStart.addDays((/*monthGrid.weekCount*/ 6 * 7)-1).endOfDay()
+            endPeriod: intern.monthStart.addDays((monthGrid.weekCount*7)-1).endOfDay()
             filter: eventModel.filter
             onModelChanged: {
                 intern.eventStatus = Qt.binding(function() { return mainModel.containsItems(startPeriod,endPeriod,24*60*60)});
@@ -176,8 +158,11 @@
 
     Component{
         id: defaultDateLabelComponent
-        MonthComponentDateDelegate{
-            date: {
+
+        Item{
+            id: dateRootItem
+
+            property int date: {
                 //try to find date from index and month's first week's first date
                 var temp = intern.daysInStartMonth - intern.offset + index
                 //date exceeds days in startMonth,
@@ -195,7 +180,7 @@
                 return temp;
             }
 
-            isCurrentMonth: {
+            property bool isCurrentMonth: {
                 //remove offset from index
                 //if index falls in 1 to no of days in current month
                 //then date is inside current month
@@ -203,14 +188,82 @@
                 return (temp >= 1 && temp <= intern.daysInCurMonth)
             }
 
-            isToday: intern.todayDate == date && intern.isCurMonthTodayMonth
+            property bool isToday: intern.todayDate == date && intern.isCurMonthTodayMonth
 
             width: parent.dayWidth
             height: parent.dayHeight
-            showEvent : showEvents
-                        && intern.eventStatus !== undefined
-                        && intern.eventStatus[index] !== undefined
-                        && intern.eventStatus[index]
+
+            Loader {
+                width: parent.width < parent.height ? parent.width : parent.height
+                height: width
+                anchors.centerIn: parent
+                sourceComponent: isToday && isCurrentMonth ? highLightComp : undefined
+            }
+
+            Label {
+                id: dateLabel
+                anchors.centerIn: parent
+                width: parent.width
+                text: date
+                horizontalAlignment: Text.AlignHCenter
+                fontSize: root.dateLabelFontSize
+                color: {
+                    if( isCurrentMonth ) {
+                        if(isToday) {
+                            "white"
+                        } else {
+                            "#5D5D5D"
+                        }
+                    } else {
+                        "#AEA79F"
+                    }
+                }
+            }
+
+            Loader{
+                property bool shouldLoad: showEvents
+                                          && intern.eventStatus !== undefined
+                                          && intern.eventStatus[index] !== undefined
+                                          &&intern.eventStatus[index]
+                sourceComponent: shouldLoad ? eventIndicatorComp : undefined
+                anchors.top: dateLabel.bottom
+                anchors.horizontalCenter: dateLabel.horizontalCenter
+            }
+
+            MouseArea {
+                anchors.fill: parent
+                onPressAndHold: {
+                    var selectedDate = new Date();
+                    selectedDate.setFullYear(intern.monthStartYear)
+                    selectedDate.setMonth(intern.monthStartMonth + 1)
+                    selectedDate.setDate(date)
+                    selectedDate.setMinutes(60, 0, 0)
+                    pageStack.push(Qt.resolvedUrl("NewEvent.qml"), {"date":selectedDate, "model":eventModel});
+                }
+                onClicked: {
+                    var selectedDate = new Date(intern.monthStartYear,
+                                                intern.monthStartMonth,
+                                                intern.monthStartDate + index, 0, 0, 0, 0)
+                    //If monthView is clicked then open selected DayView
+                    if ( isYearView === false ) {
+                        root.dateSelected(selectedDate);
+                    }
+                    //If yearView is clicked then open selected MonthView
+                    else {
+                        root.monthSelected(selectedDate);
+                    }
+                }
+            }
+        }
+    }
+
+    Component{
+        id: eventIndicatorComp
+        Rectangle {
+            width: units.gu(1)
+            height: width
+            radius: height/2
+            color:"#5E2750"
         }
     }
 

=== removed file 'MonthComponentDateDelegate.qml'
--- MonthComponentDateDelegate.qml	2014-10-24 15:27:52 +0000
+++ MonthComponentDateDelegate.qml	1970-01-01 00:00:00 +0000
@@ -1,84 +0,0 @@
-import QtQuick 2.0
-import Ubuntu.Components 1.1
-
-Item{
-    id: dateRootItem
-
-    property int date;
-    property bool isCurrentMonth;
-    property bool isToday;
-    property bool showEvent;
-
-    Loader {
-        width: parent.width < parent.height ? parent.width : parent.height
-        height: width
-        anchors.centerIn: columns
-        sourceComponent: isToday && isCurrentMonth ? highLightComp : undefined
-    }
-
-    Column {
-        id: columns
-        anchors.centerIn: parent
-        width: parent.width
-        spacing: units.gu(0.5)
-        Label {
-            id: dateLabel
-            text: date
-            //horizontalAlignment: Text.AlignHCenter
-            anchors.horizontalCenter: parent.horizontalCenter
-            fontSize: root.dateLabelFontSize
-            color: {
-                if( isCurrentMonth ) {
-                    if(isToday) {
-                        "white"
-                    } else {
-                        "#5D5D5D"
-                    }
-                } else {
-                    "#AEA79F"
-                }
-            }
-        }
-
-        Loader{
-            width: units.gu(1)
-            height: width
-            sourceComponent: showEvent ? eventIndicatorComp : undefined
-            anchors.horizontalCenter: dateLabel.horizontalCenter
-        }
-    }
-
-    Component{
-        id: eventIndicatorComp
-        Rectangle {
-            anchors.fill: parent
-            radius: height/2
-            color:"#5E2750"
-        }
-    }
-
-    MouseArea {
-        anchors.fill: parent
-        onPressAndHold: {
-            var selectedDate = new Date();
-            selectedDate.setFullYear(intern.monthStartYear)
-            selectedDate.setMonth(intern.monthStartMonth + 1)
-            selectedDate.setDate(date)
-            selectedDate.setMinutes(60, 0, 0)
-            pageStack.push(Qt.resolvedUrl("NewEvent.qml"), {"date":selectedDate, "model":eventModel});
-        }
-        onClicked: {
-            var selectedDate = new Date(intern.monthStartYear,
-                                        intern.monthStartMonth,
-                                        intern.monthStartDate + index, 0, 0, 0, 0)
-            //If monthView is clicked then open selected DayView
-            if ( isYearView === false ) {
-                root.dateSelected(selectedDate);
-            }
-            //If yearView is clicked then open selected MonthView
-            else {
-                root.monthSelected(selectedDate);
-            }
-        }
-    }
-}

=== modified file 'MonthView.qml'
--- MonthView.qml	2014-10-22 18:39:27 +0000
+++ MonthView.qml	2014-09-21 09:39:21 +0000
@@ -89,32 +89,21 @@
             return  new Date(date.getFullYear(), date.getMonth() + month, 1, 0, 0, 0);
         }
 
-        delegate: Loader {
+        delegate: MonthComponent {
+            property bool isCurrentItem: index === monthViewPath.currentIndex
+
+            showEvents: true
+
             width: parent.width - units.gu(4)
             height: parent.height
 
-            sourceComponent: delegateComponent
-            asynchronous: index !== monthViewPath.currentIndex
-
-            Component {
-                id: delegateComponent
-
-                MonthComponent {
-                    isCurrentItem: index === monthViewPath.currentIndex
-
-                    showEvents: true
-
-                    anchors.fill: parent
-
-                    currentMonth: monthViewPath.addMonth(monthViewPath.startMonth,
-                                                         monthViewPath.indexType(index));
-
-                    isYearView: false
-
-                    onDateSelected: {
-                        monthViewPage.dateSelected(date);
-                    }
-                }
+            currentMonth: monthViewPath.addMonth(monthViewPath.startMonth,
+                                                 monthViewPath.indexType(index));
+
+            isYearView: false
+
+            onDateSelected: {
+                monthViewPage.dateSelected(date);
             }
         }
     }

=== modified file 'NewEvent.qml'
--- NewEvent.qml	2014-10-22 02:42:42 +0000
+++ NewEvent.qml	2014-09-24 11:31:57 +0000
@@ -43,12 +43,14 @@
     property bool isEdit: false
 
     onStartDateChanged: {
-        startDateTimeInput.dateTime = startDate;
+        startDateInput.text = startDate.toLocaleDateString();
+        startTimeInput.text = Qt.formatTime(startDate);
         adjustEndDateToStartDate()
     }
 
     onEndDateChanged: {
-        endDateTimeInput.dateTime = endDate;
+        endDateInput.text = endDate.toLocaleDateString();
+        endTimeInput.text = Qt.formatTime(endDate);
     }
 
     head.actions: Action {
@@ -147,12 +149,10 @@
             }
         }
         var reminder = e.detail( Detail.VisualReminder);
-        if (reminder) {
+        if( reminder ) {
             visualReminder.secondsBeforeStart = reminder.secondsBeforeStart;
-        } else {
-            visualReminder.secondsBeforeStart = reminderModel.get(0).value;
+
         }
-
         selectCalendar(e.collectionId);
     }
     //Save the new or Existing event
@@ -191,10 +191,9 @@
             if(oldAudibleReminder) {
                 event.removeDetail(oldAudibleReminder);
             }
-            if(visualReminder.secondsBeforeStart >= 0) {
-                event.setDetail(visualReminder);
-                event.setDetail(audibleReminder);
-            }
+            event.setDetail(visualReminder);
+            event.setDetail(audibleReminder);
+
             event.collectionId = calendarsOption.model[calendarsOption.selectedIndex].collectionId;
             model.saveItem(event);
             pageStack.pop();
@@ -227,6 +226,15 @@
         return daysOfWeek;
     }
 
+    function openDatePicker (element, caller, callerProperty, mode) {
+        element.highlighted = true;
+        var picker = PickerPanel.openDatePicker(caller, callerProperty, mode);
+        if (!picker) return;
+        picker.closed.connect(function () {
+            element.highlighted = false;
+        });
+    }
+
     // Calucate default hour and minute for start and end time on event
     function roundDate(date) {
         var tempDate = new Date(date)
@@ -325,29 +333,91 @@
 
             width: parent.width
 
-            NewEventTimePicker{
-                id: startDateTimeInput
-                header: i18n.tr("From")
-                showTimePicker: !allDayEventCheckbox.checked
-                anchors {
-                    left: parent.left
-                    right: parent.right
-                }
-                onDateTimeChanged: {
-                    startDate = dateTime;
-                }
-            }
-
-            NewEventTimePicker{
-                id: endDateTimeInput
-                header: i18n.tr("To")
-                showTimePicker: !allDayEventCheckbox.checked
-                anchors {
-                    left: parent.left
-                    right: parent.right
-                }
-                onDateTimeChanged: {
-                    endDate = dateTime;
+            ListItem.Header {
+                text: i18n.tr("From")
+            }
+
+            Item {
+                anchors {
+                    left: parent.left
+                    right: parent.right
+                    margins: units.gu(2)
+                }
+
+                height: startDateInput.height
+
+                NewEventEntryField{
+                    id: startDateInput
+                    objectName: "startDateInput"
+
+                    text: ""
+                    anchors.left: parent.left
+                    width: allDayEventCheckbox.checked ? parent.width : 4 * parent.width / 5
+
+                    MouseArea{
+                        anchors.fill: parent
+                        onClicked: openDatePicker(startDateInput, root, "startDate", "Years|Months|Days")
+                    }
+                }
+
+                NewEventEntryField{
+                    id: startTimeInput
+                    objectName: "startTimeInput"
+
+                    text: ""
+                    anchors.right: parent.right
+                    width: parent.width / 5
+                    visible: !allDayEventCheckbox.checked
+                    horizontalAlignment: Text.AlignRight
+
+                    MouseArea{
+                        anchors.fill: parent
+                        onClicked: openDatePicker(startTimeInput, root, "startDate", "Hours|Minutes")
+                    }
+                }
+            }
+
+            ListItem.Header {
+                text: i18n.tr("To")
+                visible: !allDayEventCheckbox.checked
+            }
+
+            Item {
+                anchors {
+                    left: parent.left
+                    right: parent.right
+                    margins: units.gu(2)
+                }
+
+                height: endDateInput.height
+                visible: !allDayEventCheckbox.checked
+
+                NewEventEntryField{
+                    id: endDateInput
+                    objectName: "endDateInput"
+
+                    text: ""
+                    anchors.left: parent.left
+                    width: 4 * parent.width / 5
+
+                    MouseArea{
+                        anchors.fill: parent
+                        onClicked: openDatePicker(endDateInput, root, "endDate", "Years|Months|Days")
+                    }
+                }
+
+                NewEventEntryField{
+                    id: endTimeInput
+                    objectName: "endTimeInput"
+                    text: ""
+                    width: parent.width / 5
+                    anchors.right: parent.right
+                    horizontalAlignment: Text.AlignRight
+
+                    MouseArea{
+                        anchors.fill: parent
+                        onClicked: openDatePicker(endTimeInput, root, "endDate", "Hours|Minutes")
+                    }
                 }
             }
 
@@ -355,6 +425,7 @@
                 anchors {
                     left: parent.left
                     right: parent.right
+                    leftMargin: units.gu(-1)
                 }
 
                 text: i18n.tr("All day event")
@@ -512,11 +583,6 @@
                                 objectName: "eventGuest%1".arg(index)
                                 height: units.gu(4)
                                 text: name
-                                removable: true
-                                onItemRemoved: {
-                                    contactList.array.splice(index, 1)
-                                    contactModel.remove(index)
-                                }
                             }
                         }
                     }
@@ -534,6 +600,7 @@
 
                 anchors {
                     left: parent.left
+                    leftMargin: units.gu(-1)
                 }
 
                 showDivider: false
@@ -554,6 +621,7 @@
 
                 anchors{
                     left:parent.left
+                    leftMargin: units.gu(-1)
                 }
                 showDivider: false
                 progression: true
@@ -564,13 +632,9 @@
                 }
 
                 subText:{
-                    if(visualReminder.secondsBeforeStart !== -1) {
-                        for(var i=0; i<reminderModel.count; i++) {
-                            if(visualReminder.secondsBeforeStart === reminderModel.get(i).value)
-                                return reminderModel.get(i).label
-                        }
-                    } else {
-                        reminderModel.get(0).label
+                    for(var i=0; i<reminderModel.count; i++) {
+                        if(visualReminder.secondsBeforeStart === reminderModel.get(i).value)
+                            return reminderModel.get(i).label
                     }
                 }
 
@@ -601,8 +665,10 @@
             Qt.inputMethod.hide()
             titleEdit.focus = false
             locationEdit.focus = false
-            startDateTimeInput.clearFocus();
-            endDateTimeInput.clearFocus();
+            startDateInput.focus = false
+            startTimeInput.focus = false
+            endDateInput.focus = false
+            endTimeInput.focus = false
             messageEdit.focus = false
         }
 

=== removed file 'NewEventTimePicker.qml'
--- NewEventTimePicker.qml	2014-10-21 18:58:31 +0000
+++ NewEventTimePicker.qml	1970-01-01 00:00:00 +0000
@@ -1,75 +0,0 @@
-import QtQuick 2.3
-import Ubuntu.Components.ListItems 1.0 as ListItem
-import Ubuntu.Components.Themes.Ambiance 1.0
-import Ubuntu.Components.Pickers 1.0
-
-Column {
-    id: dateTimeInput
-    property alias header: listHeader.text
-
-    property date dateTime;
-    property bool showTimePicker;
-
-    function clearFocus() {
-        dateInput.focus = false;
-        timeInput.focus = false;
-    }
-
-    function openDatePicker (element, caller, callerProperty, mode) {
-        element.highlighted = true;
-        var picker = PickerPanel.openDatePicker(caller, callerProperty, mode);
-        if (!picker) return;
-        picker.closed.connect(function () {
-            element.highlighted = false;
-        });
-    }
-
-    onDateTimeChanged: {
-        dateInput.text = dateTime.toLocaleDateString();
-        timeInput.text = Qt.formatTime(dateTime);
-    }
-
-    ListItem.Header {
-        id: listHeader
-    }
-
-    Item {
-        anchors {
-            left: parent.left
-            right: parent.right
-            margins: units.gu(2)
-        }
-
-        height: dateInput.height
-
-        NewEventEntryField{
-            id: dateInput
-            objectName: "dateInput"
-
-            text: ""
-            anchors.left: parent.left
-            width: !showTimePicker ? parent.width : 4 * parent.width / 5
-
-            MouseArea{
-                anchors.fill: parent
-                onClicked: openDatePicker(dateInput, dateTimeInput, "dateTime", "Years|Months|Days")
-            }
-        }
-
-        NewEventEntryField{
-            id: timeInput
-            objectName: "timeInput"
-
-            text: ""
-            anchors.right: parent.right
-            width: parent.width / 5
-            visible: showTimePicker
-            horizontalAlignment: Text.AlignRight
-
-            MouseArea{
-                anchors.fill: parent
-                onClicked: openDatePicker(timeInput, dateTimeInput, "dateTime", "Hours|Minutes")
-            }
-        }
-    }
-}

=== modified file 'README.translations'
--- README.translations	2014-10-17 05:49:22 +0000
+++ README.translations	2014-06-10 06:39:31 +0000
@@ -10,11 +10,14 @@
 translatable messages to translators. So whenever you add new translatable
 messages in the code, make sure to follow these steps:
 
- 1. Run click-buddy (or alternatively use cmake directly). E.g.:
-    `click-buddy --dir .`
- 2. Commit the generated .pot file:
+ 1. Run click-buddy retaining the build directory:
+    `click-buddy --dir . --no-clean`
+ 2. Copy the .pot file from the <build dir> mentioned in the output to your
+    original source:
+    `cp <build dir>/po/*.pot po/`
+ 3. Commit the generated .pot file:
     `bzr commit -m"Updated translation template"`
- 3. Push the branch and send a merge proposal as usual
+ 4. Push the branch and send a merge proposal as usual
 
 And that's it, once the branch lands Launchpad should take care of all the rest!
 

=== removed file 'Recurrence.js'
--- Recurrence.js	2014-10-04 04:37:34 +0000
+++ Recurrence.js	1970-01-01 00:00:00 +0000
@@ -1,31 +0,0 @@
-/*
- * Copyright (C) 2013-2014 Canonical Ltd
- *
- * This file is part of Ubuntu Calendar App
- *
- * Ubuntu Calendar App is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 3 as
- * published by the Free Software Foundation.
- *
- * Ubuntu Calendar App is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program.  If not, see <http://www.gnu.org/licenses/>.
- */
-.pragma library
-
-var Daily = 0
-var Weekly =1
-var Weekdays = 2;
-var MonWedFri = 3;
-var TueThu = 4;
-var OnDiffDays = 5;
-var Monthly = 6;
-var Yearly = 7;
-var weeklyDays = [[], [],
-                    [Qt.Monday, Qt.Tuesday, Qt.Wednesday, Qt.Thursday, Qt.Friday],
-                    [Qt.Monday, Qt.Wednesday, Qt.Friday],
-                    [Qt.Tuesday, Qt.Thursday]];

=== modified file 'RecurrenceLabelDefines.qml'
--- RecurrenceLabelDefines.qml	2014-10-17 05:42:34 +0000
+++ RecurrenceLabelDefines.qml	2014-09-20 10:45:35 +0000
@@ -23,10 +23,8 @@
     property var recurrenceLabel:[i18n.tr("Once"),
         i18n.tr("Daily"),
         i18n.tr("On Weekdays"),
-        // TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
-        i18n.tr("On %1, %2 ,%3").arg(Qt.locale().dayName(Qt.Monday,Locale.NarrowFormat)).arg(Qt.locale().dayName(Qt.Wednesday,Locale.NarrowFormat)).arg(Qt.locale().dayName(Qt.Friday,Locale.NarrowFormat)),
-        // TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-        i18n.tr("On %1 and %2").arg(Qt.locale().dayName(Qt.Tuesday,Locale.NarrowFormat)).arg(Qt.locale().dayName(Qt.Thursday,Locale.NarrowFormat)),
+        i18n.tr("On Monday, Wednesday and Friday"),
+        i18n.tr("On Tuesday and Thursday"),
         i18n.tr("Weekly"),
         i18n.tr("Monthly"),
         i18n.tr("Yearly")];

=== modified file 'RemindersModel.qml'
--- RemindersModel.qml	2014-10-17 05:42:34 +0000
+++ RemindersModel.qml	2014-09-16 14:12:29 +0000
@@ -23,11 +23,7 @@
     Component.onCompleted: initialise()
 
     function initialise() {
-        reminderModel.append({ "label": i18n.tr("No Reminder"), "value": -1 })
-        // TRANSLATORS: this refers to when a reminder should be shown as a notification
-        // in the indicators. "On Event" means that it will be shown right at the time
-        // the event starts, not any time before
-        reminderModel.append({ "label": i18n.tr("On Event"), "value": 0 })
+        reminderModel.append({ "label": i18n.tr("No Reminder"), "value": 0 })
         reminderModel.append({ "label": i18n.tr("5 minutes"), "value": 300 })
         reminderModel.append({ "label": i18n.tr("15 minutes"), "value": 900 })
         reminderModel.append({ "label": i18n.tr("30 minutes"), "value": 1800 })

=== modified file 'TimeLineBackground.qml'
--- TimeLineBackground.qml	2014-10-04 02:19:01 +0000
+++ TimeLineBackground.qml	2014-09-19 12:45:45 +0000
@@ -32,18 +32,16 @@
 
             Label {
                 id: timeLabel
-                width: (parent.width / 7) - units.gu(1)
-                wrapMode: Text.WordWrap
 
                 text: {
-                    var locale = Qt.locale()                    
+                    var locale = Qt.locale()
                     return new Date(0, 0, 0, index).toLocaleTimeString
                             (locale, locale.timeFormat(Locale.NarrowFormat))
                 }
 
                 anchors {
                     left: parent.left
-                    leftMargin: units.gu(0.5)
+                    leftMargin: units.gu(2)
                     verticalCenter: parent.verticalCenter
                 }
 

=== modified file 'TimeLineBase.qml'
--- TimeLineBase.qml	2014-10-21 20:51:00 +0000
+++ TimeLineBase.qml	2014-09-20 10:45:35 +0000
@@ -36,13 +36,6 @@
             selectedDate.setHours(hour)
             pageStack.push(Qt.resolvedUrl("NewEvent.qml"), {"date":selectedDate, "model":eventModel});
         }
-
-        onPressed: {
-            intern.now = new Date();
-            if( intern.now.isSameDay( bubbleOverLay.day ) ) {
-                bubbleOverLay.showSeparator();
-            }
-        }
     }
 
     TimeSeparator {
@@ -110,21 +103,21 @@
         eventLayoutHelper.sendMessage(allSchs);
 
         if( intern.now.isSameDay( bubbleOverLay.day ) ) {
-            bubbleOverLay.showSeparator();
+            bubbleOverLay.showSeparator(intern.now.getHours());
         }
     }
 
     function destroyAllChildren() {
         for( var i = children.length - 1; i >= 0; --i ) {
-            if( children[i].objectName === "mouseArea" ||
-                    children[i].objectName === "weekdevider") {
+            if( children[i].objectName === "mouseArea" ) {
                 continue;
             }
             children[i].visible = false;
             if( children[i].objectName !== "separator") {
                 children[i].clicked.disconnect( bubbleOverLay.showEventDetails );
                 var key = children[i].objectName;
-                if (intern.unUsedEvents[key] === "undefined") {
+                if (intern.unUsedEvents[key] == "undefined") {
+
                     intern.unUsedEvents[key] = children[i];
                 }
             }
@@ -181,8 +174,8 @@
         eventBubble.clicked.connect( bubbleOverLay.showEventDetails );
     }
 
-    function showSeparator() {
-        var y = ((intern.now.getMinutes() * hourHeight) / 60) + intern.now.getHours() * hourHeight;
+    function showSeparator(hour) {
+        var y = ((intern.now.getMinutes() * hourHeight) / 60) + hour * hourHeight;
         separator.y = y;
         separator.visible = true;
     }

=== modified file 'TimeLineBaseComponent.qml'
--- TimeLineBaseComponent.qml	2014-10-22 18:46:59 +0000
+++ TimeLineBaseComponent.qml	2014-09-25 19:53:50 +0000
@@ -27,8 +27,6 @@
 Item {
     id: root
 
-    property var keyboardEventProvider;
-
     property var startDay: DateExt.today();
     property bool isActive: false
     property alias contentY: timeLineView.contentY
@@ -50,7 +48,7 @@
     }
 
     Connections{
-        target: keyboardEventProvider
+        target: parent
         onScrollUp:{
             scrollHour--;
             if( scrollHour < 0) {
@@ -128,10 +126,10 @@
                 anchors {
                     fill: parent
                     leftMargin: type == ViewType.ViewTypeWeek ? units.gu(0)
-                                                              : units.gu(6)
+                                                              : units.gu(10)
 
                     rightMargin: type == ViewType.ViewTypeWeek ? units.gu(0)
-                                                              : units.gu(3)
+                                                              : units.gu(4)
                 }
 
                 Repeater {
@@ -152,21 +150,6 @@
                         delegate: comp
                         day: startDay.addDays(index)
 
-                        Loader{
-                            objectName: "weekdevider"
-                            height: parent.height
-                            width: units.gu(0.15)
-                            sourceComponent: type == ViewType.ViewTypeWeek ? weekDeviderComponent : undefined
-                        }
-
-                        Component {
-                            id: weekDeviderComponent
-                            Rectangle{
-                                anchors.fill: parent
-                                color: "#e5e2e2"
-                            }
-                        }
-
                         Connections{
                             target: mainModel
                             onStartPeriodChanged:{

=== modified file 'TimeLineHeader.qml'
--- TimeLineHeader.qml	2014-10-03 04:15:55 +0000
+++ TimeLineHeader.qml	2014-09-19 09:54:47 +0000
@@ -32,7 +32,6 @@
     width: parent.width
 
     property var date;
-    property var currentDay;
 
     signal dateSelected(var date);
 
@@ -40,11 +39,19 @@
         type: header.type
 
         isCurrentItem: index == header.currentIndex
-        currentDay: header.currentDay
-
-        width: parent.width
-
-        startDay: date.addDays(7*header.indexType(index))
+
+        width: {
+            if( type == ViewType.ViewTypeWeek ) {
+                parent.width
+            } else if( type == ViewType.ViewTypeDay && isCurrentItem ){
+                (header.width/7) * 5
+            } else {
+                (header.width/7)
+            }
+        }
+
+        startDay: type == ViewType.ViewTypeWeek ? date.addDays(7*header.indexType(index))
+                                                : date.addDays(1*header.indexType(index))
 
         onDateSelected: {
             header.dateSelected(date);

=== modified file 'TimeLineHeaderComponent.qml'
--- TimeLineHeaderComponent.qml	2014-10-03 04:15:55 +0000
+++ TimeLineHeaderComponent.qml	2014-09-19 11:03:09 +0000
@@ -28,30 +28,41 @@
 
     property var startDay: DateExt.today();
     property bool isCurrentItem: false
-    property var currentDay
 
     signal dateSelected(var date);
 
     width: parent.width
 
     Repeater{
-        model: 7
+        model: type == ViewType.ViewTypeWeek ? 7 : 1
 
         delegate: HeaderDateComponent{
             date: startDay.addDays(index);
-            dayFormat: Locale.ShortFormat
+            dayFormat: {
+                if( type == ViewType.ViewTypeWeek || (type == ViewType.ViewTypeDay && !header.isCurrentItem) ) {
+                    Locale.ShortFormat
+                } else {
+                    Locale.LongFormat
+                }
+            }
 
             dayColor: {
                 if( type == ViewType.ViewTypeWeek && date.isSameDay(DateExt.today())){
                     UbuntuColors.orange
-                } else if( type == ViewType.ViewTypeDay && date.isSameDay(currentDay) ) {
+                } else if( type == ViewType.ViewTypeDay && header.isCurrentItem ) {
                     UbuntuColors.orange
                 } else {
                     UbuntuColors.darkGrey
                 }
             }
 
-            width: header.width/7
+            width: {
+                if( type == ViewType.ViewTypeWeek ) {
+                    header.width/7
+                } else {
+                    header.width
+                }
+            }
 
             onDateSelected: {
                 header.dateSelected(date);

=== modified file 'WeekView.qml'
--- WeekView.qml	2014-10-22 18:46:59 +0000
+++ WeekView.qml	2014-09-21 09:39:21 +0000
@@ -106,56 +106,42 @@
                 dayStart = firstDay.addDays(-7);
             }
 
-            delegate: Loader {
+            delegate: TimeLineBaseComponent {
+                id: timeLineView
+
+                type: ViewType.ViewTypeWeek
+
                 width: parent.width
                 height: parent.height
-                asynchronous: !weekViewPath.isCurrentItem
-                sourceComponent: delegateComponent
-
-                Component{
-                    id: delegateComponent
-
-                    TimeLineBaseComponent {
-                        id: timeLineView
-
-                        type: ViewType.ViewTypeWeek
-                        anchors.fill: parent
-                        isActive: parent.PathView.isCurrentItem
-                        startDay: firstDay.addDays( weekViewPath.indexType(index) * 7)
-                        keyboardEventProvider: weekViewPath
-
-                        Component.onCompleted: {
-                            if(weekViewPage.isCurrentPage){
-                                timeLineView.scrollToCurrentTime();
-                            }
-                        }
-
-                        Connections{
-                            target: weekViewPage
-                            onIsCurrentPageChanged:{
-                                if(weekViewPage.isCurrentPage){
-                                    timeLineView.scrollToCurrentTime();
-                                }
-                            }
-                        }
-
-                        //get contentY value from PathView, if its not current Item
-                        Binding{
-                            target: timeLineView
-                            property: "contentY"
-                            value: weekViewPath.childContentY;
-                            when: !parent.PathView.isCurrentItem
-                        }
-
-                        //set PathView's contentY property, if its current item
-                        Binding{
-                            target: weekViewPath
-                            property: "childContentY"
-                            value: contentY
-                            when: parent.PathView.isCurrentItem
+
+                isActive: timeLineView.PathView.isCurrentItem
+
+                startDay: firstDay.addDays( weekViewPath.indexType(index) * 7)
+
+                Connections{
+                    target: weekViewPage
+                    onIsCurrentPageChanged:{
+                        if(weekViewPage.isCurrentPage){
+                            timeLineView.scrollToCurrentTime();
                         }
                     }
                 }
+
+                //get contentY value from PathView, if its not current Item
+                Binding{
+                    target: timeLineView
+                    property: "contentY"
+                    value: weekViewPath.childContentY;
+                    when: !timeLineView.PathView.isCurrentItem
+                }
+
+                //set PathView's contentY property, if its current item
+                Binding{
+                    target: weekViewPath
+                    property: "childContentY"
+                    value: contentY
+                    when: timeLineView.PathView.isCurrentItem
+                }
             }
         }
     }

=== modified file 'YearView.qml'
--- YearView.qml	2014-10-24 14:30:20 +0000
+++ YearView.qml	2014-09-19 15:10:04 +0000
@@ -46,12 +46,6 @@
             commonHeaderActions.showCalendarAction,
             commonHeaderActions.reloadAction
         ]
-        contents: Label {
-            id:year
-            objectName:"yearLabel"
-            fontSize: "x-large"
-            text: i18n.tr("Year %1").arg(currentYear)
-        }
     }
 
     PathViewBase {
@@ -68,25 +62,85 @@
             currentYear = currentYear - 1;
         }
 
-        delegate: Loader {
+        delegate: GridView{
+            id: yearView
+            clip: true
+            focus: index == yearPathView.currentIndex
+
+            property int scrollMonth: 0;
+            property bool isCurrentItem: index == yearPathView.currentIndex
+            property int year: (yearViewPage.currentYear + yearPathView.indexType(index))
+
             width: parent.width
             height: parent.height
             anchors.top: parent.top
 
-            asynchronous: index !== yearPathView.currentIndex
-            sourceComponent: delegateComponent
-
-            Component{
-                id: delegateComponent
-
-                YearViewDelegate{
-                    focus: index == yearPathView.currentIndex
-
-                    scrollMonth: 0;
-                    isCurrentItem: index == yearPathView.currentIndex
-                    year: (yearViewPage.currentYear + yearPathView.indexType(index))
-
+            readonly property int minCellWidth: units.gu(30)
+            cellWidth: Math.floor(Math.min.apply(Math, [3, 4].map(function(n)
+            { return ((width / n >= minCellWidth) ? width / n : width / 2) })))
+
+            cellHeight: cellWidth * 1.4
+
+            model: 12 /* months in a year */
+
+            onYearChanged: {
+                scrollMonth = 0;
+                yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
+            }
+
+            //scroll in case content height changed
+            onHeightChanged: {
+                scrollMonth = 0;
+                yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
+            }
+
+            Connections{
+                target: yearPathView
+                onScrollUp: {
+                    scrollMonth -= 2;
+                    if(scrollMonth < 0) {
+                        scrollMonth = 0;
+                    }
+                    yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
+                }
+
+                onScrollDown: {
+                    scrollMonth += 2;
+                    var visibleMonths = yearView.height / cellHeight;
+                    if( scrollMonth >= (11 - visibleMonths)) {
+                        scrollMonth = (11 - visibleMonths);
+                    }
+                    yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
+                }
+            }
+
+            delegate: Item {
+                width: yearView.cellWidth
+                height: yearView.cellHeight
+
+                UbuntuShape {
                     anchors.fill: parent
+                    anchors.margins: units.gu(0.5)
+                    radius: "medium"
+
+                    MonthComponent {
+                        id: monthComponent
+                        objectName: "monthComponent" + index
+                        showEvents: false
+                        currentMonth: new Date(yearView.year, index, 1, 0, 0, 0, 0)
+
+                        isYearView: true
+                        anchors.fill: parent
+
+                        dayLabelFontSize:"x-small"
+                        dateLabelFontSize: "medium"
+                        monthLabelFontSize: "medium"
+                        yearLabelFontSize: "small"
+
+                        onMonthSelected: {
+                            yearViewPage.monthSelected(date);
+                        }
+                    }
                 }
             }
         }

=== removed file 'YearViewDelegate.qml'
--- YearViewDelegate.qml	2014-10-22 18:39:27 +0000
+++ YearViewDelegate.qml	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-import QtQuick 2.0
-import Ubuntu.Components 1.1
-
-GridView{
-    id: yearView
-    clip: true
-
-    property int scrollMonth;
-    property bool isCurrentItem;
-    property int year;
-
-    readonly property int minCellWidth: units.gu(30)
-    cellWidth: Math.floor(Math.min.apply(Math, [3, 4].map(function(n)
-    { return ((width / n >= minCellWidth) ? width / n : width / 2) })))
-
-    cellHeight: cellWidth * 1.4
-
-    model: 12 /* months in a year */
-
-    onYearChanged: {
-        scrollMonth = 0;
-        var today = new Date();
-        if(year == today.getFullYear()) {
-            scrollMonth = today.getMonth();
-        }
-        yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
-    }
-
-    //scroll in case content height changed
-    onHeightChanged: {
-        yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
-    }
-
-    Component.onCompleted: {
-        yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
-    }
-
-    Connections{
-        target: yearPathView
-        onScrollUp: {
-            scrollMonth -= 2;
-            if(scrollMonth < 0) {
-                scrollMonth = 0;
-            }
-            yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
-        }
-
-        onScrollDown: {
-            scrollMonth += 2;
-            var visibleMonths = yearView.height / cellHeight;
-            if( scrollMonth >= (11 - visibleMonths)) {
-                scrollMonth = (11 - visibleMonths);
-            }
-            yearView.positionViewAtIndex(scrollMonth, GridView.Beginning);
-        }
-    }
-
-    delegate: Loader {
-        width: yearView.cellWidth
-        height: yearView.cellHeight
-
-        sourceComponent: delegateComponent
-        asynchronous: !yearView.focus
-
-        Component {
-            id: delegateComponent
-
-            UbuntuShape {
-                anchors.fill: parent
-                anchors.margins: units.gu(0.5)
-                radius: "medium"
-
-                MonthComponent {
-                    id: monthComponent
-                    objectName: "monthComponent" + index
-                    showEvents: false
-                    currentMonth: new Date(yearView.year, index, 1, 0, 0, 0, 0)
-
-                    isCurrentItem: yearView.focus
-
-                    isYearView: true
-                    anchors.fill: parent
-
-                    dayLabelFontSize:"x-small"
-                    dateLabelFontSize: "medium"
-                    monthLabelFontSize: "medium"
-                    yearLabelFontSize: "small"
-
-                    onMonthSelected: {
-                        yearViewPage.monthSelected(date);
-                    }
-                }
-            }
-        }
-    }
-}

=== modified file 'calendar.qml'
--- calendar.qml	2014-10-22 13:23:19 +0000
+++ calendar.qml	2014-09-19 08:11:17 +0000
@@ -439,10 +439,6 @@
                         onCurrentDayChanged: {
                             tabs.currentDay = dayViewLoader.item.currentDay;
                         }
-
-                        onDateSelected: {
-                            tabs.currentDay = date;
-                        }
                     }
                 }
             }
@@ -456,6 +452,10 @@
                     objectName: "agendaViewLoader"
                     source: tabs.selectedTab == agendaTab ? Qt.resolvedUrl("AgendaView.qml"):""
 
+                    onLoaded: {
+                        item.currentDay = tabs.currentDay;
+                    }
+
                     anchors{
                         left: parent.left
                         right: parent.right

=== modified file 'click/calendar.apparmor'
--- click/calendar.apparmor	2014-09-25 15:05:45 +0000
+++ click/calendar.apparmor	2014-09-08 10:22:56 +0000
@@ -1,8 +1,4 @@
 {
-    "policy_groups": [
-        "calendar",
-        "networking",
-        "contacts"
-    ],
+    "policy_groups": ["calendar", "networking", "contacts"], 
     "policy_version": 1.2
-}
\ No newline at end of file
+}

=== modified file 'click/manifest.json.in'
--- click/manifest.json.in	2014-10-02 12:21:35 +0000
+++ click/manifest.json.in	2014-09-20 21:17:36 +0000
@@ -4,7 +4,6 @@
     "framework": "ubuntu-sdk-14.10-qml-dev3",
     "hooks": {
         "calendar": {
-            "account-application": "@PROJECT_NAME@_@APP_NAME@.application",
             "apparmor": "calendar.apparmor",
             "desktop": "@DESKTOP_FILE@",
             "urls": "@URLS_FILE@"

=== removed file 'com.ubuntu.calendar_calendar.application'
--- com.ubuntu.calendar_calendar.application	2014-09-25 21:34:16 +0000
+++ com.ubuntu.calendar_calendar.application	1970-01-01 00:00:00 +0000
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<application id="com.ubuntu.calendar_calendar">
-  <description>Calendar</description>
-  <translations>calendar-sync</translations>
-
-  <services>
-    <service id="google-caldav">
-      <description>Syncronize your calendar</description>
-    </service>
-  </services>
-
-</application>

=== modified file 'com.ubuntu.calendar_calendar.desktop.in.in'
--- com.ubuntu.calendar_calendar.desktop.in.in	2014-10-15 17:36:51 +0000
+++ com.ubuntu.calendar_calendar.desktop.in.in	2014-07-21 14:45:15 +0000
@@ -9,5 +9,3 @@
 _Keywords=calendar;event;day;week;year;appointment;meeting;
 X-Ubuntu-Touch=true
 X-Ubuntu-Default-Department-ID=accessories
-X-Ubuntu-Splash-Show-Header=true
-X-Ubuntu-Splash-Color=#f5f5f5

=== modified file 'po/CMakeLists.txt'
--- po/CMakeLists.txt	2014-10-17 05:46:28 +0000
+++ po/CMakeLists.txt	2014-06-06 22:00:13 +0000
@@ -17,8 +17,7 @@
         --keyword=tr --keyword=tr:1,2 --keyword=N_
         --package-name='${PROJECT}'
         --copyright-holder='Canonical Ltd.'
-        ${I18N_SRC_FILES}
-    COMMAND ${CMAKE_COMMAND} -E copy ${POT_FILE} ${CMAKE_CURRENT_SOURCE_DIR})
+        ${I18N_SRC_FILES})
 
 foreach(PO_FILE ${PO_FILES})
     get_filename_component(LANG ${PO_FILE} NAME_WE)

=== modified file 'po/am.po'
--- po/am.po	2014-10-19 07:01:35 +0000
+++ po/am.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-18 14:51+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 23:35+0000\n"
 "Last-Translator: samson <Unknown>\n"
 "Language-Team: Amharic <am@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n > 1;\n"
-"X-Launchpad-Export-Date: 2014-10-19 07:01+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ሁኔታ"
+msgid "%1 Ev."
+msgstr "%1 ሁኔታዎች."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 የ ሙሉ ቀን ሁኔታ"
 msgstr[1] "%1 የ ሙሉ ቀን ሁኔታዎች"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "ቀለም ይምረጡ"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "መሰረዣ"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "MMMM dd, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "ሁኔታውን ማጥፊያ"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "ማጥፊያ ይህን ሁኔታ ብቻ \"%1\", ወይንም ሁሉንም ተከታታይ ሁኔታዎች?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "በ እርግጥ ሁኔታውን ማጥፋት ይፈልጋሉ \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "ተከታታዮችን ማጥፊያ"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "ይህን ማጥፊያ"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "ማጥፊያ"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "ሁኔታዎችን ማረሚያ"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "ማረሚያ ይህን ሁኔታ ብቻ \"%1\", ወይንም ሁሉንም ተከታታይ ሁኔታዎች?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "ተከታታዮችን ማረሚያ"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "ይህን ማረሚያ"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "አዲስ ሁኔታ"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "በ ማስማማት ላይ"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "የሁኔታዎች ዝርዝር"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 ቀን መቁጠሪያ"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (የ ሙሉ ቀን)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "ያልተወሰነ"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "ማረሚያ"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "ቀን"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "መጀመሪያ"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "መጨረሻ"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "የ ሙሉ ቀን ሁኔታ"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "አካባቢ"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "እንግዶች"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "መድገሚያ"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "አስታዋሽ"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "መድገሚያ"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "ይደገማል:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "ድግግሞሽ ሁኔታ ጨርሷል"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "መድገሚያ"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "ቀን"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 ጊዜ"
-msgstr[1] "%1; %2 ጊዘዎች"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; እስከ %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "በየ ሳምንቱ %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "መደጋገሚያ"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 ጊዜ "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  እስከ %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "ከ ቀን በኋላ"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "ማስቀመጫ"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "መጨረሻው ሰአት ከ መጀመሪያው ሰአት በፊት መሆን የለበትም"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "ስህተት"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "እሺ"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "ከ"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "ለ"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "የ ሙሉ ቀን ሁኔታ"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "የ ሁኔታው ስም"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "መግለጫ"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "አካባቢ"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "የቀን መቁጠሪያ"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "እንግዳ መጨመሪያ"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "በ ስራ ቀን"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "ሰኞ ረቡዕ እና አርብ"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "በ %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "በ %1 እና %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "ማክሰኞ እና ሐሙስ"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "በየሳምንቱ"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "በየወሩ"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "በየአመቱ"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "አስታዋሽ የለም"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "ሁኔታ በ"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "በ 5 ደቂቆች ውስጥ"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "በ 15 ደቂቆች ውስጥ"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "በ 30 ደቂቆች ውስጥ"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "በ 1 ሰአት ውስጥ"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "በ 2 ሰአት ውስጥ"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "በ 1 ቀን ውስጥ"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "በ 2 ቀኖች ውስጥ"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "በ 1 ሳምንት ውስጥ"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "በ 2 ሳምንቶች ውስጥ"
 
@@ -409,3 +374,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "ቀን መቁጠሪያ:ሁኔታ:ቀን:ሳምንት:አመት:ቀጠሮ:ስብሰባ:"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 የ ሙሉ ቀን ሁኔታዎች"
+
+#~ msgid "Remind me"
+#~ msgstr "አስታውሰኝ"
+
+#~ msgid "All Day event:"
+#~ msgstr "የ ሙሉ ቀን ሁኔታ:"
+
+#~ msgid "This happens"
+#~ msgstr "ይህ ሆኗል"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "ድግግሞሽ ጨርሷል"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "ከ ቀን በኋላ %1"
+
+#~ msgid "This Happens"
+#~ msgstr "ይህ ሆነ"

=== modified file 'po/ar.po'
--- po/ar.po	2014-10-18 07:05:51 +0000
+++ po/ar.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-10 03:01+0000\n"
 "Last-Translator: Ibrahim Saed <ibraheem5000@gmail.com>\n"
 "Language-Team: Arabic <ar@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=6; plural=n==0 ? 0 : n==1 ? 1 : n==2 ? 2 : n % 100 >= "
 "3 && n % 100 <= 10 ? 3 : n % 100 >= 11 && n % 100 <= 99 ? 4 : 5;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 حدث"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr "اختر لونًا"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "إلغاء"
 
@@ -87,9 +86,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr "حذف الحدث"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "حذف سلسلة"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "حذف ذلك"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "حذف"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "تعديل الحدث"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "تعديل سلسلة"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "تعديل ذلك"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "حدث جديد"
 
@@ -153,82 +138,74 @@
 msgid "Syncing"
 msgstr "المزامنة"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "تفاصيل الحدث"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "غير محدد"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "حرّر"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "التاريخ"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "البداية"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "النهاية"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "الموقع"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "الضيوف"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "تكرار في:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "التاريخ"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr "بعد تاريخ"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "حفظ"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "وقت النهاية لا يمكن أن يكون قبل وقت البداية"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "خطأ"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "حسنا"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "اسم الحدث"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "الوصف"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "الموقع"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "التقويم"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "أسبوعيًا"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "شهريًا"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "سنويًا"
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr "دون تذكير"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "٥ دقائق"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "١٥ دقيقة"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "٣٠ دقيقة"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "ساعة واحدة"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "ساعتان"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "يوم واحد"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "يومان"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "أسبوع واحد"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "أسبوعان"
 
@@ -408,3 +373,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "تقويم;حدث;يوم;أسبوع;اسبوع;سنة;موعد;اجتماع;"
+
+#~ msgid "Remind me"
+#~ msgstr "ذكّرني"
+
+#~ msgid "All Day event:"
+#~ msgstr "الحدث يستمر طوال اليوم:"
+
+#~ msgid "This happens"
+#~ msgstr "الحدوث"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 حدث طوال اليوم"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "بعد تاريخ %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "التكرار ينتهي"

=== modified file 'po/ast.po'
--- po/ast.po	2014-10-20 07:01:17 +0000
+++ po/ast.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-19 08:51+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 10:52+0000\n"
 "Last-Translator: ivarela <ivarela@ubuntu.com>\n"
 "Language-Team: Asturian <ast@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-20 07:01+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ev."
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 eventu que dura tol día"
-msgstr[1] "%1 eventos que duren tol día"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 eventu en tol día"
+msgstr[1] "%1 eventos en tol día"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Esbillar color"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Encaboxar"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Desaniciar eventu"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "¿Desaniciar namái l'eventu \"%1\", o tolos eventos na serie?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "¿Daveres que quies desaniciar l'eventu \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Desaniciar serie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Desaniciar esto"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Desaniciar"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Editar actividá"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "¿Editar namái l'eventu \"%1\", o tolos eventos na serie?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Editar serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Editar esto"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nueva actividá"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "Sincronizando"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalles del eventu"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Calendariu de %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Tol día)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Ensin especificar"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Editar"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Principiu"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Fin"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "L'eventu dura tol día"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Llugar"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Invitaos"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Repítese"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Recordatoriu"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repitir"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repite en:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "L'eventu recurrente fina"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Repítese"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 vegada"
-msgstr[1] "%1; %2 vegaes"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; hasta %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Selmanalmente en %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Repeticiones"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 vegaes "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  hasta %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Tres una data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Guardar"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "El tiempu final nun pue ser anterior al d'aniciu"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Error"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Aceutar"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Dende"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "A"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "L'eventu dura tol día"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nome de l'actividá"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descripción"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Llugar"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendariu"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Amestar invitáu"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Ente selmana"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Llunes, miércoles y vienres"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "En %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "En %1 y %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Martes y xueves"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Selmanalmente"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mensualmente"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Añalmente"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Ensin recordatorios"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Nel intre"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutos"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutos"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutos"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 hores"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 día"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 díes"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 selmana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 selmanes"
 
@@ -410,3 +375,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendariu;eventu;día;selmana;añu;cita;reunión;"
+
+#~ msgid "Remind me"
+#~ msgstr "Recordámelo"
+
+#~ msgid "All Day event:"
+#~ msgstr "Actividá pal día enteru:"
+
+#~ msgid "This happens"
+#~ msgstr "Asocede esto"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Actividaes pal día enteru"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "La repetición fina"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Dempués de la data %1"
+
+#~ msgid "This Happens"
+#~ msgstr "Esto asocede"

=== modified file 'po/az.po'
--- po/az.po	2014-10-18 07:05:51 +0000
+++ po/az.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-09-09 10:41+0000\n"
 "Last-Translator: Nicat Məmmədov <n1c4t97@gmail.com>\n"
 "Language-Team: Azerbaijani <az@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Rәng Seçin"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Ləğv et"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Bunu sil"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Sil"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Yeni Tədbir"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Redaktə"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Qeyd et"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Bitmə vaxtı başlama vaxtından əvvəl ola bilməz"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Xəta"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Təqvim"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/be.po'
--- po/be.po	2014-10-18 07:05:51 +0000
+++ po/be.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-06-22 15:09+0000\n"
 "Last-Translator: Maksim Tomkowicz <quendimax@gmail.com>\n"
 "Language-Team: Belarusian <be@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
 "n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -87,9 +86,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Новая падзея"
 
@@ -153,82 +138,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Змяніць"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Захаваць"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Каляндар"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/bg.po'
--- po/bg.po	2014-10-18 07:05:51 +0000
+++ po/bg.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-04-01 18:39+0000\n"
 "Last-Translator: Atanas Kovachki <Unknown>\n"
 "Language-Team: Bulgarian <bg@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Отмени"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Изтрий"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Редактирай събитието"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Ново събитие"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Редактирай"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Дата"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Старт"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Край"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Местоположение"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Гости"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Дата"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Съхрани"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Времето за край не може да бъде преди времето за начало"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Грешка"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Име на събитието"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Описвание"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Местоположение"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Календар"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 
@@ -407,3 +372,6 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr ""
+
+#~ msgid "Remind me"
+#~ msgstr "Напомни"

=== modified file 'po/br.po'
--- po/br.po	2014-10-21 07:23:48 +0000
+++ po/br.po	2014-09-25 06:42:23 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-20 06:18+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-24 08:57+0000\n"
 "Last-Translator: Fohanno Thierry <thierry.fohanno@ofis-bzh.org>\n"
 "Language-Team: Breton <br@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n > 1;\n"
-"X-Launchpad-Export-Date: 2014-10-21 07:23+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 da."
+msgid "%1 Ev."
+msgstr "%1 Dar."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 darvoud a-hed an deiz"
-msgstr[1] "%1 a zarvoudoù a-hed an deiz"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 darvoud e-pad an deiz"
+msgstr[1] "%1 a zarvoudoù a-pad an deiz"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Diuzañ al liv"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Nullañ"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "MMMM dd, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,49 +101,31 @@
 msgid "Delete Event"
 msgstr "Diverkañ an darvoud"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Diverkañ an darvoud \"%1\" hepken, pe an holl zarvoudoù er rummadoù ?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Ha sur oc'h e fell deoc'h dileùel an darvoud \"%1\"  ?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Diverkañ rummadoù"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Diverkañ an dra-mañ"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Diverkañ"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Aozañ an darvoud"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Aozañ an darvoud \"%1\" hapken, pe an holl zarvoudoù er rummadoù ?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Aozañ rummadoù"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Aozañ an dra-mañ"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Darvoud nevez"
 
@@ -153,83 +137,75 @@
 msgid "Syncing"
 msgstr "O sinkronelaat"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Munudoù an darvoud"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Deiziadur %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (A-hed an deiz)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "N'eo ket diferet"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Aozañ"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Deiziad"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Deroù"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Fin"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Darvoud e-pad an deiz"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Lec'h"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Kouvidi"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "A vez graet en-dro"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Degas-da-soñj"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Adober"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "C'hoarvezout a ra en-dro d'an :"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "fin an darvoud a c'hoarvez ingal"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "A vez graet en-dro"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Deiziad"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1 ; %2 wech"
-msgstr[1] "%1 ; %2 gwech"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1 ; betek an %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Bep sizhun da %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Niver a wechoù"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 a wechoù "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  betek %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +219,50 @@
 msgid "After Date"
 msgstr "Goude an"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Enrollañ"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Ne c'hall ket ar fin bezañ a-raok an deroù"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Fazi"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Mat eo"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Eus"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Da"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Darvoud e-pad an deiz"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Anv an darvoud"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Deskrivadur"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Lec'h"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Deiziadur"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Ouzhpennañ ur c'houviad"
 
@@ -303,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "War ar pemdez"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Da Lun, da Verc'her ha da Wener"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Da %1, %2, %3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Da %1 ha da %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Da Veurzh ha da Yaou"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Bep sizhun"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Bep miz"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Bep bloaz"
 
@@ -331,46 +302,39 @@
 msgid "No Reminder"
 msgstr "degas-da-soñj ebet"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "D'an darvoud"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 munut"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 munut"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 munut"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 eur"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 eur"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 deiz"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 zeiz"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 sizhun"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 sizhun"
 

=== modified file 'po/ca.po'
--- po/ca.po	2014-10-18 07:05:51 +0000
+++ po/ca.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 09:45+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 07:45+0000\n"
 "Last-Translator: David Planella <david.planella@ubuntu.com>\n"
 "Language-Team: Catalan <ca@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr "%1 esd."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 esdeveniment de tot el dia"
 msgstr[1] "%1 esdeveniments de tot el dia"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Seleccioneu el color"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Canceŀla"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM 'de' yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "d 'de' MMMM 'de' yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,52 +101,31 @@
 msgid "Delete Event"
 msgstr "Suprimeix l'esdeveniment"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Voleu suprimir només l'esdeveniment «%1», o bé tots els esdeveniments de la "
-"sèrie?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Segur que voleu suprimir l'esdeveniment «%1»?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Suprimeix la sèrie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Suprimeix-ho"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Suprimeix-lo"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Edita l'esdeveniment"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Voleu editar només l'esdeveniment «%1», o bé tots els esdeveniments de la "
-"sèrie?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Edita la sèrie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Edita-ho"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Esdeveniment nou"
 
@@ -156,83 +137,75 @@
 msgid "Syncing"
 msgstr "S'està sincronitzant"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalls de l'esdeveniment"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Calendari %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (esdeveniments de tot el dia)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Sense especificar"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Edita"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Inici"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Fi"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Esdeveniment de tot el dia"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Ubicació"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Participants"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Recordatori"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repetició"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Es repeteix:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "L'esdeveniment repetitiu finalitza"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Es repeteix"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 vegada"
-msgstr[1] "%1; %2 vegades"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; fins %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Setmanalment els %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr ""
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -246,51 +219,50 @@
 msgid "After Date"
 msgstr "Després d'una data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM 'de' yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Desa"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "L'hora de finalització no pot ser abans de l'hora d'inici"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "S'ha produït un error"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "D'acord"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Des de"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Fins"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Esdeveniment de tot el dia"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nom de l'esdeveniment"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descripció"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Ubicació"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendari"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Afegeix un participant"
 
@@ -306,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Dies laborables"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Dilluns, dimecres i divendres"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Els %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Els %1 i %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Dimarts i dijous"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Cada setmana"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Cada mes"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Cada any"
 
@@ -334,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Sense recordatori"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "A l'hora de l'esdeveniment"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minuts"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minuts"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minuts"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 hores"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dia"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dies"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 setmana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 setmanes"
 
@@ -413,3 +374,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendari;esdeveniment;dia;setmana;any;cita;reunió;"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "La repetició finalitza"
+
+#~ msgid "Remind me"
+#~ msgstr "Avisa'm"
+
+#~ msgid "All Day event:"
+#~ msgstr "Esdeveniment de tot el dia:"
+
+#~ msgid "This happens"
+#~ msgstr "Freqüència"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 esdeveniments de tot el dia"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Després de la data %1"
+
+#~ msgid "This Happens"
+#~ msgstr "Té lloc"

=== removed file 'po/ca@valencia.po'
--- po/ca@valencia.po	2014-10-20 07:01:17 +0000
+++ po/ca@valencia.po	1970-01-01 00:00:00 +0000
@@ -1,415 +0,0 @@
-# Catalan translation for ubuntu-calendar-app
-# Copyright (c) 2013 Rosetta Contributors and Canonical Ltd 2013
-# This file is distributed under the same license as the ubuntu-calendar-app package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, 2013.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: ubuntu-calendar-app\n"
-"Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-19 22:27+0000\n"
-"Last-Translator: David Planella <david.planella@ubuntu.com>\n"
-"Language-Team: Catalan <ca@li.org>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-20 07:01+0000\n"
-"X-Generator: Launchpad (build 17196)\n"
-
-#: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
-#: ../WeekView.qml:42 ../YearView.qml:36
-msgid "Today"
-msgstr "Hui"
-
-#: ../AgendaView.qml:90
-msgid "No upcoming events"
-msgstr "No hi ha cap esdeveniment proper"
-
-#: ../AgendaView.qml:93
-msgid "You have no calendars enabled"
-msgstr "No teniu cap calendari habilitat"
-
-#: ../AgendaView.qml:103
-msgid "Enable calendars"
-msgstr "Habilita calendaris"
-
-#. TRANSLATORS: the first argument (%1) refers to a start time for an event,
-#. while the second one (%2) refers to the end time
-#: ../AgendaView.qml:165 ../EventBubble.qml:92
-#, qt-format
-msgid "%1 - %2"
-msgstr "%1 - %2"
-
-#. TRANSLATORS: the first parameter refers to the number of all-day events
-#. on a given day. "Ev." is short form for "Events".
-#. Please keep the translation of "Ev." to 3 characters only, as the week view
-#. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
-#, qt-format
-msgid "%1 ev."
-msgstr "%1 esd."
-
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
-#, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 esdeveniment de tot el dia"
-msgstr[1] "%1 esdeveniments de tot el dia"
-
-#: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
-msgid "Calendars"
-msgstr "Calendaris"
-
-#: ../CalendarChoicePopup.qml:36
-msgid "Back"
-msgstr "Arrere"
-
-#: ../ColorPickerDialog.qml:24
-msgid "Select Color"
-msgstr "Seleccioneu el color"
-
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
-msgid "Cancel"
-msgstr "Canceŀla"
-
-#: ../ContactChoicePopup.qml:37
-msgid "No contact"
-msgstr "Sense contacte"
-
-#: ../ContactChoicePopup.qml:83
-msgid "Search contact"
-msgstr "Cerca el contacte"
-
-#. TRANSLATORS: this is a time formatting string,
-#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM 'de' yyyy"
-
-#: ../DeleteConfirmationDialog.qml:31
-msgid "Delete Recurring Event"
-msgstr "Suprimeix l'esdeveniment repetitiu"
-
-#: ../DeleteConfirmationDialog.qml:32
-msgid "Delete Event"
-msgstr "Suprimeix l'esdeveniment"
-
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Voleu suprimir només l'esdeveniment «%1», o bé tots els esdeveniments de la "
-"sèrie?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Segur que voleu suprimir l'esdeveniment «%1»?"
-
-#: ../DeleteConfirmationDialog.qml:40
-msgid "Delete series"
-msgstr "Suprimeix la sèrie"
-
-#: ../DeleteConfirmationDialog.qml:51
-msgid "Delete this"
-msgstr "Suprimeix-ho"
-
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
-msgid "Delete"
-msgstr "Suprimeix-lo"
-
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
-msgid "Edit Event"
-msgstr "Edita l'esdeveniment"
-
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Voleu editar només l'esdeveniment «%1», o bé tots els esdeveniments de la "
-"sèrie?"
-
-#: ../EditEventConfirmationDialog.qml:35
-msgid "Edit series"
-msgstr "Edita la sèrie"
-
-#: ../EditEventConfirmationDialog.qml:44
-msgid "Edit this"
-msgstr "Edita-ho"
-
-#: ../EventActions.qml:33 ../NewEvent.qml:277
-msgid "New Event"
-msgstr "Esdeveniment nou"
-
-#: ../EventActions.qml:53
-msgid "Sync"
-msgstr "Sincronitza"
-
-#: ../EventActions.qml:53
-msgid "Syncing"
-msgstr "S'està sincronitzant"
-
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
-msgid "Event Details"
-msgstr "Detalls de l'esdeveniment"
-
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Calendari %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (esdeveniments de tot el dia)"
-
-#: ../EventDetails.qml:171
-msgid "Edit"
-msgstr "Edita"
-
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
-msgid "Guests"
-msgstr "Participants"
-
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
-msgid "Reminder"
-msgstr "Recordatori"
-
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
-msgid "Repeat"
-msgstr "Repetició"
-
-#: ../EventRepetition.qml:147
-msgid "Repeats On:"
-msgstr "Es repeteix:"
-
-#: ../EventRepetition.qml:192
-msgid "Recurring event ends"
-msgstr "L'esdeveniment repetitiu finalitza"
-
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Es repeteix"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 vegada"
-msgstr[1] "%1; %2 vegades"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; fins %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Setmanalment els %1"
-
-#: ../LimitLabelDefines.qml:21
-msgid "Never"
-msgstr "Mai"
-
-#: ../LimitLabelDefines.qml:21
-msgid "After X Occurrence"
-msgstr "Després d'un nombre d'ocurrències"
-
-#: ../LimitLabelDefines.qml:22
-msgid "After Date"
-msgstr "Després d'una data"
-
-#: ../NewEvent.qml:59
-msgid "Save"
-msgstr "Guarda"
-
-#: ../NewEvent.qml:164
-msgid "End time can't be before start time"
-msgstr "L'hora de finalització no pot ser abans de l'hora d'inici"
-
-#: ../NewEvent.qml:287
-msgid "Error"
-msgstr "S'ha produït un error"
-
-#: ../NewEvent.qml:289
-msgid "OK"
-msgstr "D'acord"
-
-#: ../NewEvent.qml:340
-msgid "From"
-msgstr "Des de"
-
-#: ../NewEvent.qml:384
-msgid "To"
-msgstr "Fins"
-
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Esdeveniment de tot el dia"
-
-#: ../NewEvent.qml:462
-msgid "Event Name"
-msgstr "Nom de l'esdeveniment"
-
-#: ../NewEvent.qml:475
-msgid "Description"
-msgstr "Descripció"
-
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Ubicació"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
-msgid "Calendar"
-msgstr "Calendari"
-
-#: ../NewEvent.qml:539
-msgid "Add Guest"
-msgstr "Afig un participant"
-
-#: ../RecurrenceLabelDefines.qml:23
-msgid "Once"
-msgstr "Una vegada"
-
-#: ../RecurrenceLabelDefines.qml:24
-msgid "Daily"
-msgstr "Cada dia"
-
-#: ../RecurrenceLabelDefines.qml:25
-msgid "On Weekdays"
-msgstr "Dies laborables"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
-#: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Els %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Els %1 i %2"
-
-#: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr "Cada setmana"
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr "Cada mes"
-
-#: ../RecurrenceLabelDefines.qml:32
-msgid "Yearly"
-msgstr "Cada any"
-
-#: ../RemindersModel.qml:26
-msgid "No Reminder"
-msgstr "Sense recordatori"
-
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "A l'hora de l'esdeveniment"
-
-#: ../RemindersModel.qml:31
-msgid "5 minutes"
-msgstr "5 minuts"
-
-#: ../RemindersModel.qml:32
-msgid "15 minutes"
-msgstr "15 minuts"
-
-#: ../RemindersModel.qml:33
-msgid "30 minutes"
-msgstr "30 minuts"
-
-#: ../RemindersModel.qml:34
-msgid "1 hour"
-msgstr "1 hora"
-
-#: ../RemindersModel.qml:35
-msgid "2 hours"
-msgstr "2 hores"
-
-#: ../RemindersModel.qml:36
-msgid "1 day"
-msgstr "1 dia"
-
-#: ../RemindersModel.qml:37
-msgid "2 days"
-msgstr "2 dies"
-
-#: ../RemindersModel.qml:38
-msgid "1 week"
-msgstr "1 setmana"
-
-#: ../RemindersModel.qml:39
-msgid "2 weeks"
-msgstr "2 setmanes"
-
-#: ../calendar.qml:45
-msgid ""
-"Calendar app accept four arguments: --starttime, --endtime, --newevent and --"
-"eventid. They will be managed by system. See the source for a full comment "
-"about them"
-msgstr ""
-"El Calendari accepta quatre arguments: --starttime, --endtime, --newevent "
-"and --eventid, els quals són gestionats pel sistema."
-
-#: ../calendar.qml:326
-msgid "Year"
-msgstr "Any"
-
-#: ../calendar.qml:360
-msgid "Month"
-msgstr "Mes"
-
-#: ../calendar.qml:388
-msgid "Week"
-msgstr "Setmana"
-
-#: ../calendar.qml:421
-msgid "Day"
-msgstr "Dia"
-
-#: ../calendar.qml:449
-msgid "Agenda"
-msgstr "Agenda"
-
-#: com.ubuntu.calendar_calendar.desktop.in.in.h:2
-msgid "A calendar for Ubuntu which syncs with online accounts."
-msgstr "Un calendari per a l'Ubuntu que sincronitza amb comptes en línia."
-
-#: com.ubuntu.calendar_calendar.desktop.in.in.h:3
-msgid "calendar;event;day;week;year;appointment;meeting;"
-msgstr "calendari;esdeveniment;dia;setmana;any;cita;reunió;"

=== modified file 'po/ckb.po'
--- po/ckb.po	2014-10-18 07:05:51 +0000
+++ po/ckb.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-02-24 16:32+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Kurdish (Sorani) <ckb@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/com.ubuntu.calendar.pot'
--- po/com.ubuntu.calendar.pot	2014-10-22 17:38:12 +0000
+++ po/com.ubuntu.calendar.pot	2014-09-23 06:25:58 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/cs.po'
--- po/cs.po	2014-10-27 06:28:19 +0000
+++ po/cs.po	2014-09-24 07:33:24 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-26 18:05+0000\n"
-"Last-Translator: Vojtěch Daněk <vdanek@outlook.com>\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-04-02 08:20+0000\n"
+"Last-Translator: Tadeáš Pařík <tadeas.parik@gmail.com>\n"
 "Language-Team: Czech <cs@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-27 06:28+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -25,15 +25,15 @@
 
 #: ../AgendaView.qml:90
 msgid "No upcoming events"
-msgstr "Žádné nadcházející události"
+msgstr ""
 
 #: ../AgendaView.qml:93
 msgid "You have no calendars enabled"
-msgstr "Nemáte povoleny žádné kalendáře"
+msgstr ""
 
 #: ../AgendaView.qml:103
 msgid "Enable calendars"
-msgstr "Povolit kalendáře"
+msgstr ""
 
 #. TRANSLATORS: the first argument (%1) refers to a start time for an event,
 #. while the second one (%2) refers to the end time
@@ -46,334 +46,297 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ud"
+msgid "%1 Ev."
+msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 celodenní událost"
-msgstr[1] "%1 celodenních událostí"
-msgstr[2] "%1 celodenních událostí"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
-msgstr "Kalendáře"
+msgstr ""
 
 #: ../CalendarChoicePopup.qml:36
 msgid "Back"
-msgstr "Zpět"
+msgstr ""
 
 #: ../ColorPickerDialog.qml:24
 msgid "Select Color"
-msgstr "Vyberte barvu"
+msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Zrušit"
 
 #: ../ContactChoicePopup.qml:37
 msgid "No contact"
-msgstr "Žádný kontakt"
+msgstr ""
 
 #: ../ContactChoicePopup.qml:83
 msgid "Search contact"
-msgstr "Hledat kontakt"
+msgstr ""
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
-msgstr "Odstranit opakující se událost"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:32
 msgid "Delete Event"
-msgstr "Smazat událost"
-
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Smazat pouze tuto událost \"%1\" nebo všechny události?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Opravdu chcete smazat událost \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+msgstr ""
+
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
-msgstr "Smazat sérii"
+msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
-msgstr "Smazat tuto"
+msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Smazat"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Upravit událost"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Chcete upravit událost \"%1\" nebo všechny události?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
-msgstr "Upravit sérii"
+msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
-msgstr "Upravit toto"
+msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nová událost"
 
 #: ../EventActions.qml:53
 msgid "Sync"
-msgstr "Synchronizace"
+msgstr ""
 
 #: ../EventActions.qml:53
 msgid "Syncing"
-msgstr "Synchronizace"
+msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
-msgstr "Podrobnosti události"
-
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 Kalendář"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Celý den)"
-
-#: ../EventDetails.qml:171
+msgstr ""
+
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Upravit"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Datum"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Začátek"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Konec"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Místo"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Hosté"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
-msgstr "Připomínka"
+msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
-msgstr "Opakovat"
+msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
-msgstr "Opakovat:"
+msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
-msgstr "Opakující se událost končí"
-
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Opakovat"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Datum"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 krát"
-msgstr[1] "%1; %2 krát"
-msgstr[2] "%1; %2 krát"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; do %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Týdně v %1"
+msgstr ""
+
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr ""
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
-msgstr "Nikdy"
+msgstr ""
 
 #: ../LimitLabelDefines.qml:21
 msgid "After X Occurrence"
-msgstr "Po X události"
+msgstr ""
 
 #: ../LimitLabelDefines.qml:22
 msgid "After Date"
-msgstr "Po datu"
+msgstr ""
+
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
 
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Uložit"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Čas ukončení nemůže být před začátkem události"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Chyba"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
-msgstr "OK"
+msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
-msgstr "Od"
+msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
-msgstr "Do"
-
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Celodenní událost"
-
-#: ../NewEvent.qml:462
+msgstr ""
+
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Název události"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Popis"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Místo"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalendář"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
-msgstr "Přidat hosta"
+msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:23
 msgid "Once"
-msgstr "Jednou"
+msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:24
 msgid "Daily"
-msgstr "Denně"
+msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:25
 msgid "On Weekdays"
-msgstr "Ve všední dny"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "V %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "V %1 and %2"
+msgid "Monthly"
+msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr "Týdně"
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr "Měsíčně"
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
-msgstr "Ročně"
+msgstr ""
 
 #: ../RemindersModel.qml:26
 msgid "No Reminder"
-msgstr "Bez upozornění"
-
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Událost"
-
-#: ../RemindersModel.qml:31
+msgstr ""
+
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
-msgstr "5 minut"
+msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
-msgstr "15 minut"
+msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
-msgstr "30 minut"
+msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
-msgstr "1 hodina"
+msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
-msgstr "2 hodiny"
+msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
-msgstr "1 den"
+msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
-msgstr "2 dny"
+msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
-msgstr "1 týden"
+msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
-msgstr "2 týdny"
+msgstr ""
 
 #: ../calendar.qml:45
 msgid ""
@@ -381,9 +344,6 @@
 "eventid. They will be managed by system. See the source for a full comment "
 "about them"
 msgstr ""
-"Aplikace kalendáře přijímá čtyři argumenty: --starttime,  --endtime, --"
-"newevent a --eventid.  Ty budou spravovány systémem. Pro plnohodnotný "
-"komentář si projděte zdroje"
 
 #: ../calendar.qml:326
 msgid "Year"
@@ -403,12 +363,25 @@
 
 #: ../calendar.qml:449
 msgid "Agenda"
-msgstr "Agenda"
+msgstr ""
 
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:2
 msgid "A calendar for Ubuntu which syncs with online accounts."
-msgstr "Kalendář Ubuntu, který se synchronizuje s online účty."
+msgstr ""
 
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
-msgstr "kalendář;údálost;den;týden;rok;schůzka;setkání"
+msgstr ""
+
+#~ msgid "This happens"
+#~ msgstr "Toto se děje"
+
+#~ msgid "Remind me"
+#~ msgstr "Připomenutí"
+
+#~ msgid "All Day event:"
+#~ msgstr "Celodenní událost:"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Celodenní udalosti"

=== modified file 'po/cy.po'
--- po/cy.po	2014-10-18 07:05:51 +0000
+++ po/cy.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-04 11:49+0000\n"
 "Last-Translator: Owen Llywelyn <owen.llywelyn@gmail.com>\n"
 "Language-Team: Welsh <cy@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 0 : n==2 ? 1 : (n != 8 && n != 11) ? "
 "2 : 3;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Di."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr "Dewis Lliw"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Diddymu"
 
@@ -87,9 +86,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Digwyddiad Newydd"
 
@@ -153,82 +138,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Golygu"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Cadw"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Gall amser gorffen ddim bod cyn amser cychwyn"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Gwall"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendr"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 
@@ -408,3 +373,7 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr ""
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Digwyddiad drwy'r dydd"

=== modified file 'po/da.po'
--- po/da.po	2014-10-18 07:05:51 +0000
+++ po/da.po	2014-09-24 07:33:24 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-07 14:44+0000\n"
 "Last-Translator: Ask Hjorth Larsen <asklarsen@gmail.com>\n"
 "Language-Team: Danish <dansk@dansk-gruppen.dk>\n"
@@ -16,7 +16,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 beg."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr "Vælg farve"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Annullér"
 
@@ -87,9 +86,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr "Slet begivenhed"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Slet serie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Slet denne"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Slet"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Redigér begivenhed"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Redigér serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Redigér denne"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Ny begivenhed"
 
@@ -153,82 +138,74 @@
 msgid "Syncing"
 msgstr "Synkroniserer"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Begivenhedsdetaljer"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Ikke angivet"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Redigér"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Dato"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Slut"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Sted"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gæster"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Gentager:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Gentagen begivenhed slutter"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Dato"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr "Efter dato"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Gem"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Sluttidspunkt kan ikke være før starttidspunkt"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Fejl"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "O.k."
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Begivenhedsnavn"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Beskrivelse"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Sted"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalender"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Ugentligt"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Månedligt"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Årligt"
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr "Ingen påmindelse"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutter"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutter"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutter"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 time"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 timer"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dag"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dage"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 uge"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 uger"
 
@@ -411,3 +376,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "kalender;begivenhed;dag;uge;år;aftale;møde;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 heldagsbegivenheder"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Efter datoen %1"
+
+#~ msgid "All Day event:"
+#~ msgstr "Heldagsbegivenhed:"
+
+#~ msgid "This happens"
+#~ msgstr "Dette sker"
+
+#~ msgid "Remind me"
+#~ msgstr "Påmind mig"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Gentagelse slutter"

=== modified file 'po/de.po'
--- po/de.po	2014-10-19 07:01:35 +0000
+++ po/de.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-18 13:43+0000\n"
-"Last-Translator: Tobias Bannert <Unknown>\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-22 18:07+0000\n"
+"Last-Translator: Niklas Wenzel <nikwen.developer@gmail.com>\n"
 "Language-Team: German <de@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-19 07:01+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 Te."
+msgid "%1 Ev."
+msgstr "%1 Er."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 ganztägiger Termin"
-msgstr[1] "%1 ganztägige Termine"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Farbe auswählen"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Abbrechen"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Termin löschen"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Nur diesen Termin »%1« oder alle Termine in der Reihe löschen?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Sind Sie sicher, dass Sie den Termin »%1« löschen wollen?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Serie löschen"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Dieses löschen"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Löschen"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Termin bearbeiten"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Nur diesen Termin »%1« oder alle Termine in der Reihe bearbeiten?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Serie bearbeiten"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Dieses bearbeiten"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Neuer Termin"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "Synchronisierung läuft"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Termindetails"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1-Kalender"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (ganztägig)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Nicht angegeben"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Bearbeiten"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Datum"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Ende"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Ort"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gäste"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Erinnerung"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Wiederholung"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Wiederholungen an:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Wiederkehrender Termin endet"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
 msgstr "Wiederholungen"
 
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Datum"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2-mal"
-msgstr[1] "%1; %2-mal"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; bis %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Wöchentlich an %1"
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2-mal "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  bis %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Nach dem Datum"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Speichern"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Endzeit kann nicht vor der Startzeit liegen."
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Fehler"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Von"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Bis"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Ganztägiger Termin"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Terminname"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Beschreibung"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Ort"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalender"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Gast hinzufügen"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "An Werktagen"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Am Montag, Mittwoch und Freitag"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Am %1, %2, %3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Am %1 und %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Am Dienstag und Donnerstag"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Wöchentlich"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Monatlich"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Jährlich"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Keine Erinnerung"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Am Termin"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 Minuten"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 Minuten"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 Minuten"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 Stunde"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 Stunden"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 Tag"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 Tage"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 Woche"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 Wochen"
 
@@ -411,3 +376,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "Kalender,Veranstaltung,Tag,Woche,Jahr,Termin,Treffen;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Ganztägige Termine"
+
+#~ msgid "All Day event:"
+#~ msgstr "Ganztägiger Termin:"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Wiederholung endet"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Nach dem Tag %1"
+
+#~ msgid "This happens"
+#~ msgstr "Das passiert"
+
+#~ msgid "Remind me"
+#~ msgstr "Mich erinnern"
+
+#~ msgid "This Happens"
+#~ msgstr "Das passiert"

=== modified file 'po/el.po'
--- po/el.po	2014-10-18 07:05:51 +0000
+++ po/el.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-09-05 16:35+0000\n"
 "Last-Translator: Fotis <fotisteipir@gmail.com>\n"
 "Language-Team: Greek <el@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Γεγ."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Επιλογή χρώματος"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Διαγραφή γεγονότος"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Διαγραφή"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Επεξεργασία γεγονότος"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Αποθήκευση"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Η ώρα λήξης δεν μπορεί να είναι πριν από την ώρα έναρξης"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/en_AU.po'
--- po/en_AU.po	2014-10-19 07:01:35 +0000
+++ po/en_AU.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-18 11:03+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 12:25+0000\n"
 "Last-Translator: Jared Norris <jarednorris@ubuntu.com>\n"
 "Language-Team: English (Australia) <en_AU@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-19 07:01+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ev."
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 all day event"
-msgstr[1] "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 All day event"
+msgstr[1] "%1 All day events"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Select Colour"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Cancel"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "MMMM dd, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Delete Event"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Delete only this event \"%1\", or all events in the series?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Are you sure you want to delete the event \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Delete series"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Delete this"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Delete"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Edit Event"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Edit only this event \"%1\", or all events in the series?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Edit series"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Edit this"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "New Event"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "Syncing"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Event Details"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 Calendar"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (All Day)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Not specified"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Edit"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Date"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "End"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "All day event"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Location"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Guests"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Repeats"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Reminder"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repeat"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repeats On:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Recurring event ends"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Repeats"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Date"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 time"
-msgstr[1] "%1; %2 times"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; until %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Recurrences"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 times "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  until %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "After Date"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Save"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "End time can't be before start time"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Error"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "From"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "To"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "All day event"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Event Name"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Description"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Location"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendar"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Add Guest"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "On Weekdays"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "On Monday, Wednesday and Friday"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "On %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "On %1 and %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "On Tuesday and Thursday"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Weekly"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Monthly"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Yearly"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "No Reminder"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "On Event"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutes"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutes"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutes"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hour"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 hours"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 day"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 days"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 week"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 weeks"
 
@@ -410,3 +375,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendar;event;day;week;year;appointment;meeting;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 All day events"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "After Date %1"
+
+#~ msgid "Remind me"
+#~ msgstr "Remind me"
+
+#~ msgid "All Day event:"
+#~ msgstr "All Day event:"
+
+#~ msgid "This happens"
+#~ msgstr "This happens"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Repetition Ends"
+
+#~ msgid "This Happens"
+#~ msgstr "This Happens"

=== modified file 'po/en_CA.po'
--- po/en_CA.po	2014-10-18 07:05:51 +0000
+++ po/en_CA.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-07-03 22:35+0000\n"
 "Last-Translator: Shayne White <shayne.s.white@gmail.com>\n"
 "Language-Team: English (Canada) <en_CA@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "New Event"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Edit"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Save"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendar"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/en_GB.po'
--- po/en_GB.po	2014-10-18 07:05:51 +0000
+++ po/en_GB.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 20:07+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 16:59+0000\n"
 "Last-Translator: Andi Chandler <Unknown>\n"
 "Language-Team: English (United Kingdom) <en_GB@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ev."
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 all day event"
-msgstr[1] "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 All day event"
+msgstr[1] "%1 All day events"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Select Colour"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Cancel"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Delete Event"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Delete only this event \"%1\", or all events in the series?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Are you sure you want to delete the event \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Delete series"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Delete this"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Delete"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Edit Event"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Edit only this event \"%1\", or all events in the series?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Edit series"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Edit this"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "New Event"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "Syncing"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Event Details"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 Calendar"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (All Day)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Not Specified"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Edit"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Date"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "End"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "All day event"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Location"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Guests"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Repeats"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Reminder"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repeat"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repeats On:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Recurring event ends"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Repeats"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Date"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 time"
-msgstr[1] "%1; %2 times"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; until %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Recurrences"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 times "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  until %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "After Date"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Save"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "End time can't be before start time"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Error"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "From"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "To"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "All day event"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Event Name"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Description"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Location"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendar"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Add Guest"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "On Weekdays"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "On Monday, Wednesday and Friday"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "On %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "On %1 and %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "On Tuesday and Thursday"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Weekly"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Monthly"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Yearly"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "No Reminder"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "On Event"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutes"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutes"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutes"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hour"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 hours"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 day"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 days"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 week"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 weeks"
 
@@ -410,3 +375,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendar;event;day;week;year;appointment;meeting;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 All day events"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "After Date %1"
+
+#~ msgid "All Day event:"
+#~ msgstr "All Day Event:"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Repetition Ends"
+
+#~ msgid "Remind me"
+#~ msgstr "Remind me"
+
+#~ msgid "This happens"
+#~ msgstr "This happens"
+
+#~ msgid "This Happens"
+#~ msgstr "This Happens"

=== modified file 'po/eo.po'
--- po/eo.po	2014-10-18 07:05:51 +0000
+++ po/eo.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-05-18 17:00+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Esperanto <eo@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/es.po'
--- po/es.po	2014-10-21 07:23:48 +0000
+++ po/es.po	2014-09-25 06:42:23 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-20 20:40+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-24 15:10+0000\n"
 "Last-Translator: Víctor R. Ruiz <Unknown>\n"
 "Language-Team: Spanish <es@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-21 07:23+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr "%1 ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 evento que dura todo el día"
 msgstr[1] "%1 eventos que duran todo el día"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Seleccionar color"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Eliminar evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "¿Eliminar sólo el evento \"%1\", o todos los eventos en la serie?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "¿Está seguro de que desea eliminar el evento \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Eliminar serie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Eliminar esto"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Eliminar"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Editar evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "¿Editar sólo el evento \"%1\", o todos los eventos en la serie?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Editar serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Editar esto"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Evento nuevo"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "Sincronizando"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalles del evento"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Calendario de %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Todo el día)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Sin especificar"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Editar"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Fecha"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Iniciar"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Fin"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "El evento dura todo el día"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Ubicación"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Invitados"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Se repite"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Recordatorio"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repetir"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repeticiones:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "El evento recurrente termina"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Se repite"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Fecha"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 veces"
-msgstr[1] "%1; %2 veces"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; hasta %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Semanalmente los %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Repeticiones"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1; %2 veces "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  hasta %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Tras una fecha"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Guardar"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "La hora de finalización no puede ser anterior a la hora de inicio"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Error"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Aceptar"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Desde"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Hasta"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "El evento dura todo el día"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nombre del evento"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descripción"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Ubicación"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendario"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Añadir invitado"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Entre semana"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Lunes, miércoles y viernes"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Los %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Los %1 y %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Martes y jueves"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Semanalmente"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mensualmente"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Anualmente"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Sin recordatorio"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "En progreso"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutos"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutos"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutos"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2  horas"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 día"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 días"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 semana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 semanas"
 

=== modified file 'po/et.po'
--- po/et.po	2014-10-18 07:05:51 +0000
+++ po/et.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-07-07 14:22+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Estonian <et@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/eu.po'
--- po/eu.po	2014-10-27 06:28:19 +0000
+++ po/eu.po	2014-09-27 06:24:41 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-26 22:40+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-26 14:40+0000\n"
 "Last-Translator: Ibai Oihanguren Sala <Unknown>\n"
 "Language-Team: Basque <eu@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-27 06:28+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-27 06:24+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr "%1 ge."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "Egun osoko gertaera %1"
-msgstr[1] "%1 egun osoko gertaera"
+msgstr[1] "Egun osoko %1 gertaera"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Hautatu kolorea"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Utzi"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "yyyy(e)ko MMMM"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "yyyy(e)ko MMMMk dd"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Kendu gertaera"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "\"%1\" gertaera soilik ezabatu, edo segidako guztiak?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Ziur \"%1\" gertaera ezabatu nahi duzula?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Kendu segida"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Kendu hau"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Ezabatu"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Editatu gertaera"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "\"%1\" gertaera soilik editatu, edo segidako guztiak?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Editatu segida"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Editatu hau"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Gertaera berria"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "Sinkronizatzen"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Gertaeraren xehetasunak"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 egutegia"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (egun osokoak)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Zehaztu gabe"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Editatu"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Hasiera"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Amaiera"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Egun osoko gertaera"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Kokalekua"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gonbidatuak"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Errepikapenak"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Gogorarazlea"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Errepikatu"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Errepikapena:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Gertaera errepikakorraren amaiera"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Errepikapenak"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 aldiz"
-msgstr[1] "%1; %2 aldiz"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; %2 arte"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Astero - %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Errepikaldiak"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 aldiz "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  %2 arte"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Data baten ostean"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "yyyy(e)ko MMMM"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Gorde"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Amaierako ordua ezin da hasierakoa baino lehenago izan"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Errorea"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Ados"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Noiztik"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Noiz arte"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Egun osoko gertaera"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Gertaeraren izena"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Deskribapena"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Kokalekua"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Egutegia"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Gehitu gonbidatua"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Astegunetan"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Astelehen, asteazken eta ostiraletan"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "%1, %2, %3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "%1 eta %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Astearte eta ostegunetan"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Astero"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Hilero"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Urtero"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Ez gogorarazi"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Gertaeraren unean"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutu lehenago"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutu lehenago"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutu lehenago"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "Ordu 1 lehenago"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 ordu lehenago"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "Egun 1 lehenago"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 egun lehenago"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "Astebete lehenago"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 aste lehenago"
 

=== modified file 'po/fa.po'
--- po/fa.po	2014-10-18 07:05:51 +0000
+++ po/fa.po	2014-09-26 06:44:01 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 22:33+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-25 01:17+0000\n"
 "Last-Translator: Danial Behzadi <dani.behzi@gmail.com>\n"
 "Language-Team: Persian <fa@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-26 06:44+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,17 +46,16 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr "%1 رویداد"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 رویداد تمام روز"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 رویداد تمام‌روز"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -70,8 +69,8 @@
 msgid "Select Color"
 msgstr "برگزیدن رنگ"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "انصراف"
 
@@ -85,10 +84,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -98,48 +100,31 @@
 msgid "Delete Event"
 msgstr "حذف رویداد"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "تنها این رویداد «%1» حذف شود یا همه‌ی رویدادهای سری؟"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "آیا مطمئنید که می‌خواهید رویداد «%1» را حذف کنید؟"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "حذف سری‌ها"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "حذف این مورد"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "حذف"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "ویرایش رویداد"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "تنها این رویداد «%1» ویرایش شود یا همه‌ی رویدادهای سری؟"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "ویرایش سری‌ها"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "ویرایش این مورد"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "رویداد تازه"
 
@@ -151,82 +136,75 @@
 msgid "Syncing"
 msgstr "در حال هم‌گام سازی"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "جزئیات رویداد"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "گاه‌شمار %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 تمام روز"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "مشخّص نشده"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "ویرایش"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "تاریخ"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "آغاز"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "پایان"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "رویداد تمام‌روز"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "مکان"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "مهمان‌ها"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "تکرارها"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "یادآور"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "تکرار"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "تکرار در:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "تکرار رویداد خاتمه می‌یابد"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "تکرارها"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "تاریخ"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1؛ %2 بار"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1؛ تا %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "هر هفته در %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "تکرار رویداد"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 بار "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  تا %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -240,51 +218,50 @@
 msgid "After Date"
 msgstr "بعد از تاریخ"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "ذخیره‌کردن"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "زمان پایان نمیتواند قبل از زمان آغاز باشد"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "خطا"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "قبول"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "از"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "تا"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "رویداد تمام‌روز"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "نام رویداد"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "توضیحات"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "مکان"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "تقویم"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "افزودن مهمان"
 
@@ -300,27 +277,23 @@
 msgid "On Weekdays"
 msgstr "در روزهای هفته"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "در دوشنبه، چهارشنبه و جمعه"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "در %1، %2 و %3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "در %1 و %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "در سه‌شنبه و پنج‌شنبه"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "هفتگی"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "ماهانه"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "سالانه"
 
@@ -328,46 +301,39 @@
 msgid "No Reminder"
 msgstr "بدون یادآور"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "هنگام رویداد"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "۵ دقیقه"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "۱۵ دقیقه"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "۳۰ دقیقه"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "۱ ساعت"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "۲ ساعت"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "۱ روز"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "۲ روز"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "۱ هفته"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "۲ هفته"
 

=== modified file 'po/fi.po'
--- po/fi.po	2014-10-22 06:13:38 +0000
+++ po/fi.po	2014-09-26 06:44:01 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-21 17:53+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-25 07:27+0000\n"
 "Last-Translator: Jiri Grönroos <Unknown>\n"
 "Language-Team: Finnish <fi@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-22 06:13+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-26 06:43+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 tap"
+msgid "%1 Ev."
+msgstr "%1 tph"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 koko päivän tapahtuma"
 msgstr[1] "%1 koko päivän tapahtumaa"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Valitse väri"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Peru"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,51 +101,31 @@
 msgid "Delete Event"
 msgstr "Poista tapahtuma"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Poistetaank vain tapahtuma \"%1\", vai kaikki sarjassa ilmenevät tapahtumat?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Haluatko varmasti poistaa tapahtuman \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Poista sarja"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Poista tämä"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Poista"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Muokkaa tapahtumaa"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Muokataanko vain tapahtumaa \"%1\", vai kaikkia sarjassa ilmeneviä "
-"tapahtumia?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Muokkaa sarjaa"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Muokkaa tätä"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Uusi tapahtuma"
 
@@ -155,83 +137,75 @@
 msgid "Syncing"
 msgstr "Synkronoidaan"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Tapahtuman tiedot"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 (kalenteri)"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (koko päiä)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Ei määritetty"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Muokkaa"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Päiväys"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Alkaa"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Päättyy"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Koko päivän tapahtuma"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Sijainti"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Vieraat"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Toistuu"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Muistutus"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Toistuvuus"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Toisto:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Toistuva tapahtuma päättyy"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Toistuu"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Päiväys"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 kerran"
-msgstr[1] "%1; %2 kertaa"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; päättyen %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Viikottain päivinä %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Toistokertoja"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 kertaa "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  päättyen %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -245,51 +219,50 @@
 msgid "After Date"
 msgstr "Päiväyksen jälkeen"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Tallenna"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Päättymisaika ei voi olla ennen aloitusaikaa"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Virhe"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Alkaa"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Päättyy"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Koko päivän tapahtuma"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Tapahtuman nimi"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Kuvaus"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Sijainti"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalenteri"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Lisää vieras"
 
@@ -305,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Arkisin"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Maanantaina, tiistaina ja perjantaina"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Päivinä %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Päivinä %1 ja %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Tiistaina ja torstaina"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Viikoittain"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Kuukausittain"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Vuosittain"
 
@@ -333,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Ei muistutusta"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Tapahtuma"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minuuttia"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minuuttia"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minuuttia"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 tunti"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 tuntia"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 päivä"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 päivää"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 viikko"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 viikkoa"
 

=== modified file 'po/fr.po'
--- po/fr.po	2014-10-27 06:28:19 +0000
+++ po/fr.po	2014-09-24 07:33:24 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-26 15:20+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-17 18:03+0000\n"
 "Last-Translator: Jean Marc <Unknown>\n"
 "Language-Team: French <fr@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n > 1;\n"
-"X-Launchpad-Export-Date: 2014-10-27 06:28+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 év."
+msgid "%1 Ev."
+msgstr "%1 Év."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 événement sur toute la journée"
-msgstr[1] "%1 événements sur toute la journée"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Sélectionner une couleur"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Annuler"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,50 +101,31 @@
 msgid "Delete Event"
 msgstr "Supprimer l'événement"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Supprimer uniquement cet événement (« %1 ») ou tout ceux de la série ?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Êtes-vous sûr de vouloir supprimer cet événement « %1 »?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Supprimer la série"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Supprimer ceci"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Supprimer"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Modifier l'événement"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Modifier uniquement cet événement (« %1 ») ou tout ceux de la série ?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Modifier la série"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Modifier ceci"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nouvel événement"
 
@@ -154,83 +137,75 @@
 msgid "Syncing"
 msgstr "Synchronisation en cours"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Détails de l'événement"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Agenda %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Toute la journée)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Non spécifié"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Modifier"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Date"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Début"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Fin"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Emplacement"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Invités"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Rappel"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Répétition"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "se répète tous les  :"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Fin des événements récurrents"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Répétitions"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Date"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1 ; %2 fois"
-msgstr[1] "%1 ; %2 fois"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; jusqu'au %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Hebdomadairement le %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Récurrences"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 fois "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  jusqu'au %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -244,51 +219,50 @@
 msgid "After Date"
 msgstr "Après le"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Enregistrer"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "L'heure de fin ne peut pas précéder l'heure de début"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Erreur"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Valider"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Du"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Jusqu'au"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Événement sur toute la journée"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nom de l’événement"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Description"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Emplacement"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendrier"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Ajouter un invité"
 
@@ -304,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Les jours de la semaine"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Les Lundis, Mercredis et Vendredis"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Le %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Le %1 et le %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Les mardis et les jeudis"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Toutes les semaines"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Tous les mois"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Tous les ans"
 
@@ -332,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Pas de rappel"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Lors de l'événement"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutes"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutes"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutes"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 heure"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 heures"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 jour"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 jours"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 semaine"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 semaines"
 
@@ -413,3 +376,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendrier;événement;jour;semaine;année;rendez-vous;réunion;"
+
+#~ msgid "This happens"
+#~ msgstr "Cela se produit"
+
+#~ msgid "Remind me"
+#~ msgstr "Me rappeler"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Après le %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Fin des répétitions"
+
+#~ msgid "All Day event:"
+#~ msgstr "Événement sur la journée entière :"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Événements sur la journée entière"
+
+#~ msgid "This Happens"
+#~ msgstr "Cela se produit"

=== modified file 'po/gd.po'
--- po/gd.po	2014-10-21 07:23:48 +0000
+++ po/gd.po	2014-09-26 06:44:01 +0000
@@ -7,8 +7,8 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-20 09:36+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-25 12:32+0000\n"
 "Last-Translator: GunChleoc <Unknown>\n"
 "Language-Team: Fòram na Gàidhlig\n"
 "MIME-Version: 1.0\n"
@@ -16,8 +16,8 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=(n==1 || n==11) ? 0 : (n==2 || n==12) ? 1 : "
 "(n > 2 && n < 20) ? 2 : 3;\n"
-"X-Launchpad-Export-Date: 2014-10-21 07:23+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-26 06:43+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 "Language: gd\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -48,16 +48,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ta."
+msgid "%1 Ev."
+msgstr "%1 Ta."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 tachartas fad an latha"
 msgstr[1] "%1 thachartas fad an latha"
 msgstr[2] "%1 tachartasan fad an latha"
@@ -75,8 +74,8 @@
 msgid "Select Color"
 msgstr "Tagh dath"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Sguir dheth"
 
@@ -90,10 +89,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -103,53 +105,31 @@
 msgid "Delete Event"
 msgstr "Sguab às an tachartas"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"A bheil thu airson an tachartas \"%1\" a-mhàin no a h-uile tachartas san t-"
-"sreath a sguabadh às?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-"A bheil thu cinnteach gu bheil thu airson an tachartas \"%1\" a sguabadh às?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Sguab às an sreath"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Sguab às seo"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Sguab às"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Deasaich an tachartas"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"A bheil thu airson an tachartas \"%1\" a-mhàin no a h-uile tachartas san t-"
-"sreath a dheasachadh?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Deasaich an sreath"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Deasaich seo"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Tachartas ùr"
 
@@ -161,85 +141,75 @@
 msgid "Syncing"
 msgstr "'Ga shioncronachadh"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Fiosrachadh an tachartais"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Mìosachan %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (fad an latha)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Gun sònrachadh"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Deasaich"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Ceann-là"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Toiseach"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Deireadh"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Tachartas fad an latha"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Ionad"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Aoighean"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Tachraidh seo a-rithist"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Cuimhneachan"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Tachair a-rithist"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Tillidh e:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Deireadh an thachartais ath-chùrsaich"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Tachraidh seo a-rithist"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Ceann-là"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 turas"
-msgstr[1] "%1; %2 thuras"
-msgstr[2] "%1; %2 tursan"
-msgstr[3] "%1; %2 turas"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; gu %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "%1 gach seachdain"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Uiread"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 tursan "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  gu %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -253,51 +223,50 @@
 msgid "After Date"
 msgstr "Às dèidh ceann-là"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Sàbhail"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Chan fhaod e crìochnachadh mus tòisich e"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Mearachd"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Ceart ma-thà"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "O"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Gu"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Tachartas fad an latha"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Ainm an tachartais"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Tuairisgeul"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Ionad"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Am mìosachan"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Cuir aoigh ris"
 
@@ -313,27 +282,23 @@
 msgid "On Weekdays"
 msgstr "Gach latha obrach"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Gach DiLuain, DiCiadain 's DihAoine"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "%1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "%1 's %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Gach DiMàirt 's DiarDaoin"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Gach seachdain"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Gach mìos"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Gach bliadhna"
 
@@ -341,46 +306,39 @@
 msgid "No Reminder"
 msgstr "Na cuir 'nam chuimhne"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Àm an tachartais"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 mionaidean"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 mionaidean"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "Leth-uair a thìde"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "Uair a thìde"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 uair a thìde"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "Latha"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 latha"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "Seachdain"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 sheachdain"
 

=== modified file 'po/gl.po'
--- po/gl.po	2014-10-18 07:05:51 +0000
+++ po/gl.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 19:34+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 16:38+0000\n"
 "Last-Translator: Marcos Lans <Unknown>\n"
 "Language-Team: Galician <gl@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 act"
+msgid "%1 Ev."
+msgstr "%1 activ."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 actividade para todo o día"
 msgstr[1] "%1 actividades para todo o día"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Seleccionar a cor"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,49 +101,31 @@
 msgid "Delete Event"
 msgstr "Eliminar a actividade"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Desexa eliminar a actividade «%1» ou todas as actividades das series?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Está certo de eliminar a actividade «%1»?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Eliminar series"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Eliminar isto"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Eliminar"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Modificar a actividade"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Desexa editar a actividade «%1» ou todas as actividades das series?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Modificar series"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Modificar esta"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nova actividade"
 
@@ -153,83 +137,75 @@
 msgid "Syncing"
 msgstr "Sincronización"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalles da actividade"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 Calendario"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (para todo o día)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Sen especificar"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Modificar"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Inicio"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Remate"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Actividade para todo o día"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Localización"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Convidados"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Repetición"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Recordatorio"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repetición"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repítese os:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "A repetición remata"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Repetición"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 vez"
-msgstr[1] "%1; %2 veces"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; ata o %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Semanal os %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Repeticións"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 veces "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  ata %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +219,50 @@
 msgid "After Date"
 msgstr "Despois da data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Gardar"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "A hora de remate non pode ser anterior ao inicio"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Erro"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Aceptar"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "De"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "A"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Actividade para todo o día"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nome da actividade"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descrición"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Localización"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendario"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Engadir convidado"
 
@@ -303,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Días de entre semana"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Luns, mércores e venres"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Os %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Os %1 e %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Martes e xoves"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Semanalmente"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mensualmente"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Anualmente"
 
@@ -331,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Sen recordatorios"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Coa actividade"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutos"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutos"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutos"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 horas"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 día"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 días"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 semana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 semanas"
 
@@ -411,3 +375,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendario;actividade;evento;día;semana;ano;cita;xuntanza;"
+
+#~ msgid "Remind me"
+#~ msgstr "Lembrarmo"
+
+#~ msgid "This happens"
+#~ msgstr "Acontece"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "A repetición remata"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Despois da data %1"
+
+#~ msgid "All Day event:"
+#~ msgstr "Actividade para todo o día:"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Actividades para todo o día"
+
+#~ msgid "This Happens"
+#~ msgstr "Isto sucede"

=== modified file 'po/gu.po'
--- po/gu.po	2014-10-18 07:05:51 +0000
+++ po/gu.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-05-17 18:17+0000\n"
 "Last-Translator: Mihir Soni <mihirsoni.123@gmail.com>\n"
 "Language-Team: Gujarati <gu@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "નવી ઘટના"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "ફેરફાર કરો"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "શરુ"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "અંત"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "જગ્યા"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "સાચવો"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "જગ્યા"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "કેલેન્ડર"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/he.po'
--- po/he.po	2014-10-18 07:05:51 +0000
+++ po/he.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-22 15:32+0000\n"
 "Last-Translator: Yaron <sh.yaron@gmail.com>\n"
 "Language-Team: Hebrew <he@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 אי"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "בחירת צבע"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "ביטול"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "מחיקת אירוע"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "מחיקת הסדרה"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "למחוק את המופע"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "מחיקה"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "עריכת אירוע"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "לערוך את הסדרה"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "לערוך את המופע"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "אירוע חדש"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "בסנכרון"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "פרטי האירוע"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "לא צוין"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "עריכה"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "תאריך"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "התחלה"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "סיום"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "מיקום"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "אורחים"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "חזרה בכל:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "סיום האירוע החוזר"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "תאריך"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "לאחר התאריך"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "שמירה"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "מועד הסיום לא יכול להקדים את מועד ההתחלה"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "שגיאה"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "אישור"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "שם האירוע"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "תיאור"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "מיקום"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "לוח שנה"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "הוספת אורח"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "מדי שבוע"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "מדי חודש"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "מדי שנה"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "ללא תזכורת"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 דקות"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "רבע שעה"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "חצי שעה"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "שעה"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "שעתיים"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "יום"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "יומיים"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "שבוע"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "שבועיים"
 
@@ -409,3 +374,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "יומן;לוח שנה;אירוע;יום;שבוע;חודש;שנה;פגישה;מפגש;"
+
+#~ msgid "Remind me"
+#~ msgstr "להזכיר לי"
+
+#~ msgid "All Day event:"
+#~ msgstr "אירוע כל היום:"
+
+#~ msgid "This happens"
+#~ msgstr "האירוע מתרחש"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "סיום החזרה"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "אחרי התאריך %1"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 אירועי יום שלם"

=== modified file 'po/hi.po'
--- po/hi.po	2014-10-18 07:05:51 +0000
+++ po/hi.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-06-12 12:13+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Hindi <hi@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/hr.po'
--- po/hr.po	2014-10-18 07:05:51 +0000
+++ po/hr.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-07-30 11:28+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Croatian <hr@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
 "n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -87,9 +86,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -153,82 +138,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/hu.po'
--- po/hu.po	2014-11-02 06:12:36 +0000
+++ po/hu.po	2014-09-24 07:33:24 +0000
@@ -7,16 +7,16 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-11-01 10:02+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 12:04+0000\n"
 "Last-Translator: Richard Somlói <ricsipontaz@gmail.com>\n"
 "Language-Team: Hungarian <hu@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-11-02 06:12+0000\n"
-"X-Generator: Launchpad (build 17211)\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr "%1 es."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 egész napos esemény"
 msgstr[1] "%1 egész napos esemény"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Szín kiválasztása"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Mégse"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "yyyy. MMMM"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "yyyy. MMMM dd."
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,49 +101,31 @@
 msgid "Delete Event"
 msgstr "Esemény törlése"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Csak ezt a(z) „%1 eseményt vagy az összes ilyet szeretné törölni?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Biztos benne, hogy törölni szeretné a(z) „%1” eseményt?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Sorozat törlése"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Törlés"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Törlés"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Esemény szerkesztése"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Csak ezt a(z) „%1 eseményt vagy az összes ilyet szeretné szerkeszteni?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Sorozat szerkesztése"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Szerkesztés"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Új esemény"
 
@@ -153,83 +137,75 @@
 msgid "Syncing"
 msgstr "Szinkronizálás"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Esemény részletei"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 naptár"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Egész napos)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Nincs megadva"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Szerkesztés"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Dátum"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Kezdés"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Befejezés"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Egész napos esemény"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Helyszín"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Vendégek"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Ütemezés"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Emlékeztető"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Ismétlődés"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Ismétlődik:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Ismétlődő esemény vége"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Ismétlődés"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Dátum"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1, %2 alkalommal"
-msgstr[1] "%1, %2 alkalommal"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1, eddig: %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Hetente: %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Előfordulások száma"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1, %2 alkalommal "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1, egészen eddig: %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +219,50 @@
 msgid "After Date"
 msgstr "Bizonyos dátum után"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "yyyy. MMMM"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Mentés"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "A végződés időpontjának a kezdés után kell lennie."
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Hiba"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Ok"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Kezdődátum"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Záródátum"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Egész napos esemény"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Esemény neve"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Leírás"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Helyszín"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Naptár"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Vendég hozzáadása"
 
@@ -303,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Hétköznapokon"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Hétfőn, szerdán és pénteken"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "%1, %2 és %3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "%1 és %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Kedden és csütörtökön"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Hetente"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Havonta"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Évente"
 
@@ -331,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Nincs emlékeztető"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Esemény idejekor"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 perc"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 perc"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 perc"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 óra"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 óra"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 nap"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 nap"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 hét"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 hét"
 
@@ -411,3 +375,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "naptár;esemény;nap;hét;év;találkozó;megbeszélés;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 egész napos esemény"
+
+#~ msgid "Remind me"
+#~ msgstr "Emlékeztessen"
+
+#~ msgid "All Day event:"
+#~ msgstr "Egész napos esemény:"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Ismétlődés vége"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "%1 után"
+
+#~ msgid "This happens"
+#~ msgstr "Gyakoriság"
+
+#~ msgid "This Happens"
+#~ msgstr "Gyakoriság"

=== modified file 'po/id.po'
--- po/id.po	2014-10-18 07:05:51 +0000
+++ po/id.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-13 23:53+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-02-11 09:43+0000\n"
 "Last-Translator: Dirgita <Unknown>\n"
 "Language-Team: Indonesian <id@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,22 +46,21 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
-msgstr "Kalender"
+msgstr ""
 
 #: ../CalendarChoicePopup.qml:36
 msgid "Back"
@@ -69,26 +68,29 @@
 
 #: ../ColorPickerDialog.qml:24
 msgid "Select Color"
-msgstr "Pilih Warna"
+msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Batal"
 
 #: ../ContactChoicePopup.qml:37
 msgid "No contact"
-msgstr "Tak ada kontak"
+msgstr ""
 
 #: ../ContactChoicePopup.qml:83
 msgid "Search contact"
-msgstr "Cari kontak"
+msgstr ""
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Acara Baru"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Sunting"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Simpan"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Waktu akhir tak mungkin sebelum waktu mulai"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Galat"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalender"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/is.po'
--- po/is.po	2014-10-18 07:05:51 +0000
+++ po/is.po	2014-09-24 07:33:24 +0000
@@ -9,15 +9,15 @@
 msgstr ""
 "Project-Id-Version: po_com.ubuntu.calendar-is\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-09-30 12:14+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-20 11:15+0000\n"
 "Last-Translator: Sveinn í Felli <sv1@fellsnet.is>\n"
 "Language-Team: Icelandic <translation-team-is@lists.sourceforge.net>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 "Language: is\n"
 
@@ -49,16 +49,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 atb"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -74,8 +73,8 @@
 msgid "Select Color"
 msgstr "Veldu lit"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Hætta við"
 
@@ -89,10 +88,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -102,48 +104,31 @@
 msgid "Delete Event"
 msgstr "Eyða atburði"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Eyða röð"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Eyða þessu"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Eyða"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Breyta atburði"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Breyta röð"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Breyta þessu"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nýr atburður"
 
@@ -155,83 +140,75 @@
 msgid "Syncing"
 msgstr "Samstilling"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Nánar um atburð"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Ótilgreint"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Breyta"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Dagsetning"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Upphaf"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Endir"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Staðsetning"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gestir"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Áminning"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Endurtaka"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Endurtekið:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Endurtekinn atburður endar"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
 msgstr "Endurtekningar"
 
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Dagsetning"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr ""
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 sinnum "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  til %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -245,51 +222,50 @@
 msgid "After Date"
 msgstr "Eftir dagsetninguna"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Vista"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Lokatími getur ekki verið á undan upphafstíma"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Villa"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Í lagi"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Frá"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Til"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Heilsdagsatburður"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Heiti atburðar"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Lýsing"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Staðsetning"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Dagatal"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Bæta við gesti"
 
@@ -305,27 +281,23 @@
 msgid "On Weekdays"
 msgstr "Virka daga"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Á mánudegi, miðvikudegi og föstudegi"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Á þriðjudegi og fimmtudegi"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Í hverri viku"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mánaðarlega"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Árlega"
 
@@ -333,46 +305,39 @@
 msgid "No Reminder"
 msgstr "Engin áminning"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 mínútur"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 mínútur"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 mínútur"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 klukkustund"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 klukkustundir"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dagur"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dagar"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 vika"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 vikur"
 
@@ -413,3 +378,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "dagatal;atburður;dagur;vika;ár;stefnumót;fundur;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 heilsdagsatburðir"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Eftir dagsetninguna %1"
+
+#~ msgid "All Day event:"
+#~ msgstr "Heilsdagsatburður:"
+
+#~ msgid "This happens"
+#~ msgstr "Þetta gerist"
+
+#~ msgid "Remind me"
+#~ msgstr "Áminna mig"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Endurtekning hættir"
+
+#~ msgid "This Happens"
+#~ msgstr "Gerist þetta"

=== modified file 'po/it.po'
--- po/it.po	2014-10-18 07:05:51 +0000
+++ po/it.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-09-30 11:27+0000\n"
-"Last-Translator: Claudio Arseni <claudio.arseni@gmail.com>\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-08-18 07:09+0000\n"
+"Last-Translator: Gio <gio.scino@gmail.com>\n"
 "Language-Team: Italian <it@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -29,11 +29,11 @@
 
 #: ../AgendaView.qml:93
 msgid "You have no calendars enabled"
-msgstr "Non ci sono calendari abilitati"
+msgstr ""
 
 #: ../AgendaView.qml:103
 msgid "Enable calendars"
-msgstr "Abilita calendari"
+msgstr ""
 
 #. TRANSLATORS: the first argument (%1) refers to a start time for an event,
 #. while the second one (%2) refers to the end time
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Seleziona colore"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Annulla"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Elimina evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Elimina serie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Elimina questo"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Elimina"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "MOdifica evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Modifica serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Modifica questo"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nuovo evento"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "Sincronizzazione"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Dettagli evento"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Non specificato"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Modifica"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Inizio"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Fine"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Località"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Invitati"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
-msgstr "Promemoria"
+msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
-msgstr "Ripeti"
+msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Ripeti:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "L'evento ricorrente termina"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,52 +219,51 @@
 msgid "After Date"
 msgstr "Dopo la data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Salva"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 "L'ora di fine dell'evento non può essere precedente a quella dell'inizio"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Errore"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nome dell'evento"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descrizione"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Località"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendario"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Aggiungi invitati"
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Ogni settimana"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Ogni mese"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Ogni anno"
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr "Nessun promemoria"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minuti"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minuti"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minuti"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 ora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 ore"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 giorno"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 giorni"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 settimana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 settimane"
 
@@ -411,3 +376,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendario;evento;giorno;settimana;anno;appuntamento;riunione;"
+
+#~ msgid "Remind me"
+#~ msgstr "Promemoria"
+
+#~ msgid "All Day event:"
+#~ msgstr "Evento giornata intera:"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "Eventi giornata intera %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "La ripetizione termina"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Dopo la data %1"
+
+#~ msgid "This happens"
+#~ msgstr "Si ripete"

=== modified file 'po/ja.po'
--- po/ja.po	2014-10-18 07:05:51 +0000
+++ po/ja.po	2014-09-26 06:44:01 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-09-25 03:14+0000\n"
 "Last-Translator: Mitsuya Shibata <mty.shibata@gmail.com>\n"
 "Language-Team: Japanese <ja@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-26 06:43+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1件"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "色の選択"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "キャンセル"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr ""
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "yyyy年MMMMd日"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "イベントを削除"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "一連の予定を削除"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "このイベントを削除"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "削除"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "イベントを編集"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "一連の予定を編集"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "このイベントを編集"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "新しいイベント"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "同期中"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "イベントの詳細"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "指定されていません"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "編集"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "日付"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "開始"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "終了"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "場所"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "ゲスト"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "繰り返し："
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "繰り返しの終了"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "日付"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "繰り返し設定"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "指定した日数経過後"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "保存"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "終了時刻を開始時刻より前にできません"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "エラー"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "開始"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "終了"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "イベント名"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "概要"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "場所"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "カレンダー"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "ゲストを追加"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "毎週"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "毎月"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "毎年"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "通知なし"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5分"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15分"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30分"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1時間"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2時間"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1日"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2日"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1週間"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2週間"
 

=== modified file 'po/ka.po'
--- po/ka.po	2014-10-18 07:05:51 +0000
+++ po/ka.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-07-15 18:37+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Georgian <ka@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/km.po'
--- po/km.po	2014-10-18 07:05:51 +0000
+++ po/km.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-20 04:44+0000\n"
-"Last-Translator: Sophea Sok <sksophea@gmail.com>\n"
+"Last-Translator: Sok Sophea <sksophea@gmail.com>\n"
 "Language-Team: Khmer <km@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "ជ្រើស​ពណ៌"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "បោះ​បង់"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "លុប​ព្រឹត្តិការណ៍"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "លុប​ស៊េរី"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "លុប​វា"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "លុប"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "កែសម្រួល​ព្រឹត្តិការណ៍"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "កែសម្រួល​ស៊េរី"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "កែសម្រួល​វា"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "ព្រឹត្តិការណ៍​ថ្មី"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "ធ្វើ​សមកាលកម្ម"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "ព័ត៌មាន​លម្អិត​ព្រឹត្តិការណ៍"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "មិនបាន​បញ្ជាក់"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "កែសម្រួល"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "កាល​​បរិច្ឆេទ"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "ចាប់ផ្ដើម"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "បញ្ចប់"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "ទីតាំង"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "ភ្ញៀវ"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "ធ្វើ​ម្ដងទៀត​នៅ៖"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "បញ្ចប់​ព្រឹត្តិការណ៍​កើត​ឡើង​ដដែល"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "កាល​​បរិច្ឆេទ"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "បន្ទាប់ពី​កាលបរិច្ឆេទ"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "រក្សាទុក"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "ពេល​វេលា​បញ្ចប់​មិន​អាច​មុន​ពេលវេលា​ចាប់ផ្ដើម"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "កំហុស"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "យល់ព្រម"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "ឈ្មោះ​ព្រឹត្តិការណ៍"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "ការពិពណ៌នា"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "ទីតាំង"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "ប្រតិទិន"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "បន្ថែម​ភ្ញៀវ"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "ប្រចាំ​សប្តាហ៍"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "ប្រចាំខែ"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "ប្រចាំឆ្នាំ"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "កុំ​រំលឹក"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "៥ នាទី"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "១៥ នាទី"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "៣០ នាទី"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "១ ម៉ោង"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "២ ម៉ោង"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "១ ថ្ងៃ"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "២ ថ្ងៃ"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "១ សប្ដាហ៍"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "២ សប្ដាហ៍"
 
@@ -410,3 +375,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "ប្រតិទិន;ព្រឹត្តិការណ៍;ថ្ងៃ;សប្ដាហ៍;ឆ្នាំ;ការ​ណាត់ជួប;ប្រជុំ;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 ព្រឹត្តិការណ៍​ពេញ​មួយ​ថ្ងៃ"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "បន្ទាប់ពី​កាលបរិច្ឆេទ %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "បញ្ចប់​ស្ទួន"
+
+#~ msgid "Remind me"
+#~ msgstr "រំលឹក​ខ្ញុំ"
+
+#~ msgid "All Day event:"
+#~ msgstr "ព្រឹត្តិការណ៍​ពេញ​មួយ​ថ្ងៃ៖"
+
+#~ msgid "This happens"
+#~ msgstr "វា​កើត​ឡើង"

=== modified file 'po/ko.po'
--- po/ko.po	2014-10-18 07:05:51 +0000
+++ po/ko.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-07-16 05:42+0000\n"
 "Last-Translator: Bundo <bundo@bundo.biz>\n"
 "Language-Team: Korean <ko@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1개"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "취소"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "이벤트 삭제"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "시리즈 삭제"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "삭제"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "삭제"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "이벤트 편집"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "일정 편집"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "편집"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "새 이벤트"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "동기화 중"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "지정되지 않음"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "고치기"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "날짜"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "시작"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "끝"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "위치"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "손님"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "반복되는 행사 종료"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "날짜"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "저장"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "종료 시간은 시작 시간보다 이전으로 설정할 수 없습니다."
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "오류"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "행사 제목"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "요약"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "위치"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "캘린더"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 
@@ -409,3 +374,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "달력, 이벤트, 일, 주, 년, 약속, 모임;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1개의 하루 종일 하는 행사"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "%1일 후"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "반복의 끝"
+
+#~ msgid "This happens"
+#~ msgstr "발생"
+
+#~ msgid "Remind me"
+#~ msgstr "미리 알림"
+
+#~ msgid "All Day event:"
+#~ msgstr "하루종일 일정"

=== modified file 'po/lo.po'
--- po/lo.po	2014-10-18 07:05:51 +0000
+++ po/lo.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-10-02 07:17+0000\n"
 "Last-Translator: Anousak <anousak@gmail.com>\n"
 "Language-Team: Lao <lo@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "ຍົກເລີກ"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "ໂອກາດໄໝ່"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "ດັດແກ້"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "ບັນທຶກ"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "ເວລາສຸດທ້າຍບໍ່ສາມາດຈະໃຊ້ເວລາກ່ອນຈະເລີ່ມຕົ້ນ"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "ຜິດພາດ"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "ປະຕິທິນ"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/lv.po'
--- po/lv.po	2014-10-18 07:05:51 +0000
+++ po/lv.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-09-07 14:25+0000\n"
 "Last-Translator: Jānis-Marks Gailis <jm-gailis@fai-vianet.fr>\n"
 "Language-Team: Latvian <lv@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Not"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Izvēlieties krāsu"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Atcelt"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Dzēst notikumu"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Dzēst sēriju"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Dzēst šo"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Dzēst"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Rediģēt notikumu"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Rediģēt sēriju"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Rediģēt šo"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Jauns notikums"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "Sinhronizē"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Nav norādīts"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Rediģēt"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Datums"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Sākums"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Beigas"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Vieta"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Viesi"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Atkārtojas:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Atkārtotais notikums beidzas"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Datums"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Pēc datuma"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Saglabāt"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Beigas laiks nevar būt pirms sakuma laika"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Kļūda"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "LABI"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Notikuma nosaukums"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Apraksts"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Vieta"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalendārs"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Pievienot ciemiņu"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Ik nedēļu"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Ik mēnesi"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Ik gadu"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Bez atgādinājuma"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minūtes"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minūtes"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minūtes"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 stunda"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 stundas"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 diena"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dienas"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 nedēļa"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 nedēļas"
 
@@ -407,3 +372,20 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr ""
+
+#~ msgid "This happens"
+#~ msgstr "Šis notiek"
+
+#~ msgid "Remind me"
+#~ msgstr "Atgādināt man"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Pēc %1 datuma"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Visu dienu notikumi"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Atkārtošanos beidzas"

=== modified file 'po/ml.po'
--- po/ml.po	2014-10-18 07:05:51 +0000
+++ po/ml.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-02 16:23+0000\n"
 "Last-Translator: ST Alfas <Unknown>\n"
 "Language-Team: Malayalam <ml@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "നിറം തിരഞ്ഞെടുക്കൂ"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "സൂക്ഷിക്കൂ"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/ms.po'
--- po/ms.po	2014-10-18 07:05:51 +0000
+++ po/ms.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-03 04:58+0000\n"
 "Last-Translator: abuyop <Unknown>\n"
 "Language-Team: Malay <ms@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Pilih Warna"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Batal"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Padam Peristiwa"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Padam siri"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Padam ini"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Padam"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Sunting Peristiwa"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Sunting siri"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Sunting ini"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Peristiwa Baru"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "Menyegerak"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Perincian Peristiwa"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Tidak dinyatakan"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Sunting"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Tarikh"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Mula"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Tamat"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Lokasi"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Tetamu"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Ulang Hidup:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Pengulangan peristiwa tamat"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Tarikh"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Selepas Tarikh"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Simpan"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Masa tamat tidak boleh lebih awal dari masa mula"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Ralat"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nama Peristiwa"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Keterangan"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Lokasi"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalendar"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Setiap Minggu"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Setiap Bulan"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Setiap Tahun"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Tiada Peringatan"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minit"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minit"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minit"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 Jam"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 Jam"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 hari"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 hari"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 minggu"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 minggu"
 
@@ -410,3 +375,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "kalendar;peristiwa;hari;minggu;tahun;temujanji;mesyuarat;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Semua peristiwa hari"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Selepas Tarikh %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Pengulangan Tamat"
+
+#~ msgid "Remind me"
+#~ msgstr "Maklum saya"
+
+#~ msgid "This happens"
+#~ msgstr "Ia berlaku"
+
+#~ msgid "All Day event:"
+#~ msgstr "Semua peristiwa Hari:"

=== modified file 'po/my.po'
--- po/my.po	2014-10-18 07:05:51 +0000
+++ po/my.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-04-16 12:36+0000\n"
 "Last-Translator: Pyae Sone <Unknown>\n"
 "Language-Team: Burmese <my@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:04+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:31+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "ပယ်ဖျက်မည်"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "ဖျက်မည်"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "ပွဲကိုပြင်မည်။"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "ပွဲအသစ်"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "ပြင်ဆင်"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "ရက်စွဲ"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "စမည်"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "ပြီးဆုံးချိန်"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "တည်နေရာ"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "ဧည့်သည်များ"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "ရက်စွဲ"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "သိမ်းမည်"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "အဆုံးသတ်သည့်အချိန်သည် စသည့်အချိန်ထက် မစောရပါ"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "ချို့ယွင်းချက်"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "ပွဲ−အမည်"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "ဖော်ပြချက်"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "တည်နေရာ"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "ပြက္ခဒိန်"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 
@@ -407,3 +372,16 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr ""
+
+#~ msgid "Remind me"
+#~ msgstr "ကျွန်ုပ်ကိုသတိပေးမည်"
+
+#~ msgid "All Day event:"
+#~ msgstr "တစ်နေကုန်ပွဲ-"
+
+#~ msgid "This happens"
+#~ msgstr "ထိုအရာဖြစ်သည်"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 တစ်နေ့လုံးပွဲများ"

=== modified file 'po/nb.po'
--- po/nb.po	2014-10-18 07:05:51 +0000
+++ po/nb.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 09:28+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 10:15+0000\n"
 "Last-Translator: Åka Sikrom <Unknown>\n"
 "Language-Team: Norwegian Bokmal <nb@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 hend."
+msgid "%1 Ev."
+msgstr "%1 He."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 heldagshendelse"
-msgstr[1] "%1 heldagshendelser"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 dagshendelse"
+msgstr[1] "%1 dagshendelser"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Velg farge"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Avbryt"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "d. MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,49 +101,31 @@
 msgid "Delete Event"
 msgstr "Slett hendelse"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Vil du slette enkelthendelsen «%1», eller alle hendelsene i serien?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Er du sikker på at du vil slette hendelsen «%1»?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Slett serie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Slett denne"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Slett"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Rediger hendelse"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Vil du redigere enkelthendelsen «%1», eller alle hendelsene i serien?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Rediger serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Rediger denne"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Ny hendelse"
 
@@ -153,83 +137,75 @@
 msgid "Syncing"
 msgstr "Synkroniserer"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Hendelsesdetaljer"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 Kalender"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (hele dagen)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Ikke oppgitt"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Rediger"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Dato"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Slutt"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Heldagshendelse"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Sted"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gjester"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Gjentakelser"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Påminnelse"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Gjenta"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Gjenta:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Regelmessig hendelse slutter"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
 msgstr "Gjentakelser"
 
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Dato"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 gang"
-msgstr[1] "%1; %2 ganger"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1, frem til %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "På %1"
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 ganger "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  til %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +219,50 @@
 msgid "After Date"
 msgstr "Etter dato"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Lagre"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "En hendelse kan ikke slutte før den har begynt"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Feil"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Fra"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Til"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Heldagshendelse"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Hendelsesnavn"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Beskrivelse"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Sted"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalender"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Legg til gjest"
 
@@ -303,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "På ukedager"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "mandager, onsdager og fredager"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "På %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "%1 og %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "tirsdager og torsdager"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Ukentlig"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Månedlig"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Årlig"
 
@@ -331,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Ingen påminnelse"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Når hendelsen begynner"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutter"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutter"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutter"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 time"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 timer"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dag"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dager"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 uke"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 uker"
 
@@ -411,3 +375,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "kalender;hendelse;dag;uke;år;avtale;møte;"
+
+#~ msgid "All Day event:"
+#~ msgstr "Heldagshendelse:"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 heldagshendelser"
+
+#~ msgid "Remind me"
+#~ msgstr "Minn meg på det"
+
+#~ msgid "This happens"
+#~ msgstr "Dette skjer"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Slutt på regelmessighet"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Etter %1"
+
+#~ msgid "This Happens"
+#~ msgstr "Dette skjer"

=== modified file 'po/nl.po'
--- po/nl.po	2014-10-19 07:01:35 +0000
+++ po/nl.po	2014-09-25 06:42:23 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-18 11:47+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-24 21:31+0000\n"
 "Last-Translator: rob <linuxned@gmail.com>\n"
 "Language-Team: Dutch <nl@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-19 07:01+0000\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 geb."
+msgid "%1 Ev."
+msgstr "%1 Geb."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 hele dag gebeurtenis"
 msgstr[1] "%1 hele dag gebeurtenissen"
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Selecteer kleur"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Annuleren"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,50 +101,31 @@
 msgid "Delete Event"
 msgstr "Gebeurtenis verwijderen"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"Alleen de gebeurtenis \"%1\" verwijderen, of alle gebeurtenissen in de reeks?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Weet u zeker dat u de gebeurtenis \"%1\" wilt verwijderen?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Reeks verwijderen"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Dit verwijderen"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Verwijderen"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Gebeurtenis bewerken"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"Alleen de gebeurtenis \"%1\" bewerken, of alle gebeurtenissen in de reeks?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Reeks bewerken"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Dit bewerken"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nieuwe gebeurtenis"
 
@@ -154,83 +137,75 @@
 msgid "Syncing"
 msgstr "Synchroniseren"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Gebeurtenisdetails"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1-agenda"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (hele dag)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Niet opgegeven"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Bewerken"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Datum"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Einde"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Hele dag gebeurtenis"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Plaats"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gasten"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Herhalingen"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Herinnering"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Herhalen"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Herhalen op:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Einde terugkerende gebeurtenis"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
 msgstr "Herhalingen"
 
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Datum"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 keer"
-msgstr[1] "%1; %2 keer"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; tot %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Wekelijks op %1"
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 keer "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  tot %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -244,51 +219,50 @@
 msgid "After Date"
 msgstr "Na datum"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Opslaan"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Eindtijd kan niet voor begintijd zijn"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Fout"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Ok"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Van"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Tot"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Hele dag gebeurtenis"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Naam gebeurtenis"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Beschrijving"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Plaats"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Agenda"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Gast toevoegen"
 
@@ -304,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Op werkdagen"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Op maandag, woensdag en vrijdag"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Op %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Op %1 en %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Op dinsdag en donderdag"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Wekelijks"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Maandelijks"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Jaarlijks"
 
@@ -332,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Geen herinnering"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Bij start gebeurtenis"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minuten"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minuten"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minuten"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 uur"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 uren"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dag"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dagen"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 week"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 weken"
 

=== modified file 'po/pa.po'
--- po/pa.po	2014-10-18 07:05:51 +0000
+++ po/pa.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-07 05:19+0000\n"
 "Last-Translator: Gursharnjit_singh <ubuntuser13@gmail.com>\n"
 "Language-Team: Punjabi <pa@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Ev ।"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "ਰੰਗ ਚੁਣੋ"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "ਰੱਦ"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "ਸਮਾਗਮ ਹਟਾਓ"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "ਲੜੀ ਹਟਾਓ"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "ਇਸ ਨੂੰ ਹਟਾਓ"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "ਹਟਾਓ"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "ਸਮਾਗਮ ਸੋਧ"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "ਲੜੀ ਸੋਧ"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "ਇਸਦਾ ਸੋਧ"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "ਨਵਾਂ ਸਮਾਗਮ"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "ਸਿੰਕ ਕਰ ਰਿਹਾ"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "ਸਮਾਗਮ ਵੇਰਵੇ"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "ਦਿੱਤਾ ਨਹੀਂ"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "ਸੋਧ"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "ਤਾਰੀਖ"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "ਸ਼ੁਰੂ"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "ਸਮਾਪਤ"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "ਸਥਿਤੀ"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "ਮਹਿਮਾਨ"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "ਦੁਹਰਾਉਂਣਾ ਚਾਲੂ:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "ਦੁਹਰਾਈ ਸਮਾਗਮ ਸਮਾਪਤ"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "ਤਾਰੀਖ"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "ਤਾਰੀਖ ਬਾਅਦ"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "ਸੰਭਾਲ੍ਹੋ"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "ਅੰਤ ਸਮਾਂ ਸ਼ੁਰੂਆਤੀ ਸਮੇਂ ਤੋ ਪਹਿਲੇ ਨਹੀ ਹੋ  ਸਕਦਾ"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "ਖਾਮੀ"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "ਸਮਾਗਮ ਦਾ ਨਾਂ"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "ਵੇਰਵਾ"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "ਸਥਿਤੀ"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "ਕਲੰਡਰ"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "ਹਫ਼ਤੇਵਾਰ"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "ਮਹੀਨੇਵਾਰ"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "ਸਲਾਨਾ"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "ਰੀਮਾਈਂਡਰ ਨਹੀਂ"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "੫ ਮਿੰਟ"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "੧੫ ਮਿੰਟ"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "੩੦ ਮਿੰਟ"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "੧ ਘੰਟਾ"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "੨ ਘੰਟੇ"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "੧ ਦਿਨ"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "੨ ਦਿਨ"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "੧ ਹਫ਼ਤਾ"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "੨ ਹਫ਼ਤੇ"
 
@@ -410,3 +375,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "ਕੈਲੰਡਰ;ਸਮਾਗਮ;ਦਿਨ;ਹਫ਼ਤਾ;ਸਾਲ;ਮਿਲਣ ਦਾ ਸਮਾਂ;ਮੀਟਿੰਗ;"
+
+#~ msgid "Remind me"
+#~ msgstr "ਮੇਨੂੰ ਯਾਦ ਦਵਾਓ"
+
+#~ msgid "This happens"
+#~ msgstr "ਇਹ ਹੋਇਆ"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 ਸਾਰੇ ਦਿਨ ਦੇ ਸਮਾਗਮ"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "ਬਾਅਦ ਤਾਰੀਖ %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "ਦੁਹਰਾਉਂਣਾ ਖਤਮ"
+
+#~ msgid "All Day event:"
+#~ msgstr "ਸਾਰੇ ਦਿਨ ਦਾ ਸਮਾਗਮਮ:"

=== modified file 'po/pl.po'
--- po/pl.po	2014-10-18 07:05:51 +0000
+++ po/pl.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-07-31 13:36+0000\n"
 "Last-Translator: GTriderXC <gtriderxc@yahoo.com>\n"
 "Language-Team: Polish <pl@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 wyd"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr "Wybierz kolor"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Anuluj"
 
@@ -87,9 +86,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr "Usuń wydarzenie"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Skasuj serię"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Skasuj to"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Kasuj"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Edytuj wydarzenie"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Edytuj serię"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Edytuj to"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nowe wydarzenie"
 
@@ -153,82 +138,74 @@
 msgid "Syncing"
 msgstr "Synchronizowanie"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Nieokreślony"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Edycja"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Koniec"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Lokalizacja"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Goście"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Powtarzanie co:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Powtarzanie wydarzenia kończy się"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Zapisz"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Czas zakończenia nie może zostać ustawiony przed czasem rozpoczęcia"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Błąd"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nazwa zdarzenia"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Opis"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Lokalizacja"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalendarz"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 
@@ -411,3 +376,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "kalendarz;wydarzenie;dzień;tydzień;rok;wizyta;spotkanie;"
+
+#~ msgid "Remind me"
+#~ msgstr "Przypomnij"
+
+#~ msgid "All Day event:"
+#~ msgstr "Wszystkie wydarzenia dnia:"
+
+#~ msgid "This happens"
+#~ msgstr "Wydarzy się"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Powtarzanie kończy się"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Po dacie %1"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "Wydarzeń w dniu: %1"

=== modified file 'po/pt.po'
--- po/pt.po	2014-10-18 07:05:51 +0000
+++ po/pt.po	2014-09-25 06:42:23 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 12:15+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-24 09:15+0000\n"
 "Last-Translator: Ivo Xavier <ivofernandes12@gmail.com>\n"
 "Language-Team: Portuguese <pt@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,18 +46,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 ev."
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 evento todo o dia"
-msgstr[1] "%1 eventos todo o dia"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 Evento de dia inteiro"
+msgstr[1] "%1 Todos eventos do dia"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Selecionar a Cor"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -86,10 +85,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM aaaa"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "MMMM dd, aaaa"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Eliminar evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Apagar apenas este evento \"%1\", ou todos os eventos da série?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Tem a certeza de que quer apagar o evento \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Eliminar séries"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Eliminar isto"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Eliminar"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Editar evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Editar apenas este evento \"%1\", ou todos os eventos da série?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Editar série"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Editar isto"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Novo evento"
 
@@ -152,83 +137,75 @@
 msgid "Syncing"
 msgstr "A sincronizar"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalhes do evento"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 Calendário"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Todo dia)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Não especificado"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Editar"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Começa"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Termina"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Evento de um dia inteiro"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Local"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Convidados"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Repete"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Lembrete"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repetir"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repetir em:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Evento recorrente termina"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Repete"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 vez"
-msgstr[1] "%1; %2 vezes"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; até %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Semanalmente às %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Recorrências"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 vezes "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  até %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Depois da data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM aaaa"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Guardar"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Hora final não pode ser anterior à inicial"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Erro"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "De"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Para"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Evento de um dia inteiro"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nome do evento"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descrição"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Local"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendário"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Adicionar convidado"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr "Em dias da semana"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Na segunda-feira, quarta-feira e sexta-feira"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Na %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Na %1 e %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Na terça-feira e quinta-feira"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Semanalmente"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mensalmente"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Anualmente"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Sem lembrete"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "A começar"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutos"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutos"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutos"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 horas"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dia"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dias"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 semana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 semanas"
 

=== modified file 'po/pt_BR.po'
--- po/pt_BR.po	2014-10-18 07:05:51 +0000
+++ po/pt_BR.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-18 14:11+0000\n"
 "Last-Translator: Rafael Neri <Unknown>\n"
 "Language-Team: Brazilian Portuguese <pt_BR@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n > 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "Selecionar cor"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Cancelar"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Excluir evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Excluir série"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Apagar isto"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Excluir"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Editar evento"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Editar séries"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Editar isto"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Novo evento"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "Sincronizando"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalhes do Evento"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Não especificado"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Editar"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Data"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Iniciar"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Encerrar"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Localização"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Convidados"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repetição ligada:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Evento recorrente termina"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Data"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "Após a data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Salvar"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Horário final não pode ser antes do horário inicial"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Erro"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Nome do evento"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descrição"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Localização"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendário"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Adicionar convidado"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Semanalmente"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mensalmente"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Anualmente"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "Não lembrar"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minutos"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minutos"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minutos"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 hora"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 horas"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dia"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dias"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 semana"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 semanas"
 
@@ -410,3 +375,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendário;evento;dia;semana;ano;encontro;reunião;"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "A repetição termina"
+
+#~ msgid "Remind me"
+#~ msgstr "Lembre-me"
+
+#~ msgid "All Day event:"
+#~ msgstr "Todos os eventos do dia:"
+
+#~ msgid "This happens"
+#~ msgstr "Isto acontece"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Todos os eventos do dia"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Após a data %1"

=== modified file 'po/ro.po'
--- po/ro.po	2014-10-18 07:05:51 +0000
+++ po/ro.po	2014-09-25 06:42:23 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-09-24 13:53+0000\n"
 "Last-Translator: Marian Vasile <marianvasile1972@gmail.com>\n"
 "Language-Team: Romanian <ro@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n == 1 ? 0: (((n % 100 > 19) || ((n % 100 "
 "== 0) && (n != 0))) ? 2: 1));\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,18 +47,18 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] ""
-msgstr[1] ""
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 eveniment în derulare pe parcursul întregii zile"
+msgstr[1] "%1 evenimente în derulare pe parcursul întregii zile"
+msgstr[2] "%1 de evenimente în derulare pe parcursul întregii zile"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -72,8 +72,8 @@
 msgid "Select Color"
 msgstr "Alegeți o culoare"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Anulează"
 
@@ -87,10 +87,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd MMMM yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -100,48 +103,31 @@
 msgid "Delete Event"
 msgstr "Șterge evenimentul"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Șterge seria"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Șterge"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Șterge"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Editare eveniment"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Editare serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Editare"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Eveniment nou"
 
@@ -153,83 +139,75 @@
 msgid "Syncing"
 msgstr "Se sincronizează"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Detalii eveniment"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Nespecificat"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Editare"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Dată"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Start"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Terminare"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Eveniment în derulare pe parcursul întregii zile"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Loc"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Invitați"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Se repetă"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Eveniment"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Repetare"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Repetă pe:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Evenimentul repetitiv se încheie"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Se repetă"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Dată"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr ""
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Recurențe"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 ori "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  %2 pâna la"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +221,50 @@
 msgid "After Date"
 msgstr "După data"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Salvează"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Timpul de încheiere nu poate fi înaintea celui de început"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Eroare"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "În regulă"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "De la"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Către"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Eveniment în derulare pe parcursul întregii zile"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Numele evenimentului"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Descriere"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Loc"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Calendar"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Adaugă oaspete"
 
@@ -303,27 +280,23 @@
 msgid "On Weekdays"
 msgstr "În zilele lucrătoare"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Luni, miercuri și vineri"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Marți și joi"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Săptămânal"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Lunar"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Anual"
 
@@ -331,46 +304,39 @@
 msgid "No Reminder"
 msgstr "Fără memento"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minute"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minute"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 de minute"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "o oră"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "două ore"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "o zi"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "două zile"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "o săptămână"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "două săptămâni"
 

=== modified file 'po/ru.po'
--- po/ru.po	2014-10-25 05:59:00 +0000
+++ po/ru.po	2014-09-24 07:33:24 +0000
@@ -7,17 +7,17 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-24 10:14+0000\n"
-"Last-Translator: ☠Jay ZDLin☠ <Unknown>\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-08-19 05:35+0000\n"
+"Last-Translator: Jay ZDLin <Unknown>\n"
 "Language-Team: Russian <ru@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
 "n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-25 05:58+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -30,11 +30,11 @@
 
 #: ../AgendaView.qml:93
 msgid "You have no calendars enabled"
-msgstr "Нет активных календарей"
+msgstr ""
 
 #: ../AgendaView.qml:103
 msgid "Enable calendars"
-msgstr "Активировать календари"
+msgstr ""
 
 #. TRANSLATORS: the first argument (%1) refers to a start time for an event,
 #. while the second one (%2) refers to the end time
@@ -47,19 +47,17 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 соб"
+msgid "%1 Ev."
+msgstr "%1 Соб"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 событие на весь день"
-msgstr[1] "%1 события на весь день"
-msgstr[2] "%1 событий на весь день"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -73,8 +71,8 @@
 msgid "Select Color"
 msgstr "Выбор цвета"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Отмена"
 
@@ -88,10 +86,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "ММММ гггг"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -101,48 +102,31 @@
 msgid "Delete Event"
 msgstr "Удалить событие"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Удалить только это событие \"%1\" или вместе с последующими?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Удалить событие \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Удалить группу"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Удалить данное"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Удалить"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Изменить событие"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Редактировать только это событие \"%1\" или вместе с последующими?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Редактировать группу"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Редактировать данное"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Новое событие"
 
@@ -154,84 +138,75 @@
 msgid "Syncing"
 msgstr "Синхронизируется"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Детали события"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 календарь"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Весь день)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Не назначено"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Изменить"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Дата"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Начало"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Окончание"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Местоположение"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Участники"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
-msgstr "Напоминание"
+msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
-msgstr "Повторение"
+msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Повторять:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Повторять событие до"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Повторение"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Дата"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 раз"
-msgstr[1] "%1; %2 раза"
-msgstr[2] "%1; %2 раз"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; до %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Еженедельно по %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr ""
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -245,51 +220,50 @@
 msgid "After Date"
 msgstr "После даты"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Сохранить"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Дата окончания не может быть раньше даты начала события"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Ошибка"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "ОК"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
-msgstr "с"
+msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
-msgstr "по"
-
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Событие на весь день"
-
-#: ../NewEvent.qml:462
+msgstr ""
+
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Название события"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Описание"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Местоположение"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Календарь"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Добавить участника"
 
@@ -303,29 +277,25 @@
 
 #: ../RecurrenceLabelDefines.qml:25
 msgid "On Weekdays"
-msgstr "По будням"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "По %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "По %1 и %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Еженедельно"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Ежемесячно"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Ежегодно"
 
@@ -333,46 +303,39 @@
 msgid "No Reminder"
 msgstr "Без напоминания"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Во время события"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 минут"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 минут"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 минут"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 час"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 часа"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 день"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 дня"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 неделю"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 недели"
 
@@ -413,3 +376,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "календарь;событие;день;неделя;год;встреча;собрание;"
+
+#~ msgid "All Day event:"
+#~ msgstr "Весь день"
+
+#~ msgid "This happens"
+#~ msgstr "Происходит"
+
+#~ msgid "Remind me"
+#~ msgstr "Напомнить"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "Все события за %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Повторяется до"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "После даты %1"

=== modified file 'po/shn.po'
--- po/shn.po	2014-10-18 07:05:51 +0000
+++ po/shn.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-07-14 08:39+0000\n"
 "Last-Translator: Sai Mawn Kham <Unknown>\n"
 "Language-Team: Shan <shn@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n == 1) ? 0 : 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "ပၢင်ၵႅဝ်ႈ ဢၼ်မႂ်ႇ"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "မႄးထတ်း"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "သိမ်း"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "ပၵ်းယဵမ်ႈဝၼ်း"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/si.po'
--- po/si.po	2014-10-18 07:05:51 +0000
+++ po/si.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-06-12 18:41+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Sinhalese <si@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/sk.po'
--- po/sk.po	2014-10-18 07:05:51 +0000
+++ po/sk.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-08-29 16:18+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Slovak <sk@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 1 : (n>=2 && n<=4) ? 2 : 0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/sl.po'
--- po/sl.po	2014-10-21 07:23:48 +0000
+++ po/sl.po	2014-09-24 07:33:24 +0000
@@ -7,8 +7,8 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-20 08:56+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 12:32+0000\n"
 "Last-Translator: Damir Jerovšek <Unknown>\n"
 "Language-Team: Slovenian <sl@li.org>\n"
 "MIME-Version: 1.0\n"
@@ -16,8 +16,8 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=(n%100==1 ? 1 : n%100==2 ? 2 : n%100==3 || "
 "n%100==4 ? 3 : 0);\n"
-"X-Launchpad-Export-Date: 2014-10-21 07:23+0000\n"
-"X-Generator: Launchpad (build 17203)\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
+"X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
 #: ../WeekView.qml:42 ../YearView.qml:36
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr "%1 dog."
+msgid "%1 Ev."
+msgstr "%1 Do."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 celodnevnih dogodkov"
 msgstr[1] "%1 celodnevni dogodek"
 msgstr[2] "%1 celodnevna dogodka"
@@ -74,8 +73,8 @@
 msgid "Select Color"
 msgstr "Izberite barvo"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Prekliči"
 
@@ -89,10 +88,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "d. MMMM, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -102,48 +104,31 @@
 msgid "Delete Event"
 msgstr "Izbriši dogodek"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Izbris samo dogodka \"%1\" ali vseh dogodkov v vrsti?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Ali ste prepričani, da želite izbrisati dogodek \"%1\"?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Izbriši zaporedja"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Izbriši to"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Izbriši"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Uredi dogodek"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Urejanje samo dogodka \"%1\" ali vseh dogodkov v vrsti?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Uredi zaporedja"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Uredi to"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Nov dogodek"
 
@@ -155,85 +140,75 @@
 msgid "Syncing"
 msgstr "Usklajevanje"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Podrobnosti dogodka"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Koledar %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (Cel dan)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Ni določeno"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Uredi"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Datum"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Začetek"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Konec"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Celodnevni dogodek"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Položaj"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gosti"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Ponavljanja"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Opomnik"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Ponovi"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Se ponavlja ob:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Ponavljajoči se dogodek se konča"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Ponavljanja"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Datum"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2-krat"
-msgstr[1] "%1; %2-krat"
-msgstr[2] "%1; %2-krat"
-msgstr[3] "%1; %2-krat"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1; do %2"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Tedensko ob %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Ponovitve"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 krat "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  do %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -247,51 +222,50 @@
 msgid "After Date"
 msgstr "Po datumu"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Shrani"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Končni čas ne more biti pred začetnim časom"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Napaka"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "V redu"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Od"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Do"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Celodnevni dogodek"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Ime dogodka"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Opis"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Položaj"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Koledar"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Dodaj gosta"
 
@@ -307,27 +281,23 @@
 msgid "On Weekdays"
 msgstr "Ob delovnih dnevih"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Ob ponedeljki, sredah in petkih"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "Ob %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "Ob %1 in %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Ob torkih in četrtkih"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Tedensko"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Mesečno"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Letno"
 
@@ -335,46 +305,39 @@
 msgid "No Reminder"
 msgstr "Brez opomnika"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Ob dogodku"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 minut"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minut"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minut"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 ura"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 uri"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 dan"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 dni"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 teden"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 tedna"
 
@@ -415,3 +378,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "koledar;dogodek;dan;teden;leto;sestanek;srečanje;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 celodnevnih dogodkov"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Po datumu %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Ponavljanje se konča"
+
+#~ msgid "Remind me"
+#~ msgstr "Opomni me"
+
+#~ msgid "All Day event:"
+#~ msgstr "Celodnevni dogodek:"
+
+#~ msgid "This happens"
+#~ msgstr "To se zgodi"
+
+#~ msgid "This Happens"
+#~ msgstr "Se zgodi to"

=== modified file 'po/sr.po'
--- po/sr.po	2014-10-18 07:05:51 +0000
+++ po/sr.po	2014-09-25 06:42:23 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-09-24 13:15+0000\n"
 "Last-Translator: Данило Шеган <Unknown>\n"
 "Language-Team: Serbian <sr@li.org>\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
 "n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,18 +47,18 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 дог."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] ""
-msgstr[1] ""
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 целодневни догађај"
+msgstr[1] "%1 целодневна догађаја"
+msgstr[2] "%1 целодневних догађаја"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -72,8 +72,8 @@
 msgid "Select Color"
 msgstr "Изаберите боју"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Откажи"
 
@@ -87,10 +87,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd. MMMM, yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -100,48 +103,31 @@
 msgid "Delete Event"
 msgstr "Обриши догађај"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Обриши низ"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Обриши ово"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Обриши"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Уреди догађај"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Уреди низ"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Уреди ово"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Нови догађај"
 
@@ -153,83 +139,75 @@
 msgid "Syncing"
 msgstr "Усклађује"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Појединости догађаја"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Није наведено"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Уреди"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Датум"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Почетак"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Крај"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Целодневни догађај"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Место"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Гости"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Понавља се"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Подсетник"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Понови"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Понавља се:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Понављање догађаја престаје"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Понавља се"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Датум"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr ""
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Понављања"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 пута "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ;  до %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +221,50 @@
 msgid "After Date"
 msgstr "Након датума"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Сачувај"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Време завршетка не може да буде пре почетка"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Грешка"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "У реду"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Од"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "До"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Целодневни догађај"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Назив догађаја"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Опис"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Место"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Календар"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Додај госта"
 
@@ -303,27 +280,23 @@
 msgid "On Weekdays"
 msgstr "Радним данима"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "Понедељком, средом и петком"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "Уторком и четвртком"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Недељно"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Месечно"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Годишње"
 
@@ -331,46 +304,39 @@
 msgid "No Reminder"
 msgstr "Без подсетника"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 минута"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 минута"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 минута"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 сат"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 сата"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 дан"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 дана"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 недеља"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 недеље"
 

=== modified file 'po/st.po'
--- po/st.po	2014-10-18 07:05:51 +0000
+++ po/st.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-02-13 09:04+0000\n"
 "Last-Translator: Pitso Mofokeng <pitso3000@gmail.com>\n"
 "Language-Team: Sotho, Southern <st@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "phomola"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Ketsahalo e Ntjha"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Hlophisa"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Boloka"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "nako ya qalo etla pele nako ya ho fela"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Phoso"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/sv.po'
--- po/sv.po	2014-10-18 07:05:51 +0000
+++ po/sv.po	2014-09-24 07:33:24 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-07 14:46+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-18 11:50+0000\n"
 "Last-Translator: Josef Andersson <Unknown>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 "Language: sv\n"
 
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 händ."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -72,8 +71,8 @@
 msgid "Select Color"
 msgstr "Markera färg"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Avbryt"
 
@@ -87,10 +86,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -100,48 +102,31 @@
 msgid "Delete Event"
 msgstr "Ta bort händelse"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Ta bort serie"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Ta bort den här"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Ta bort"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Redigera händelse"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Redigera serie"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Redigera denna"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Ny händelse"
 
@@ -153,83 +138,75 @@
 msgid "Syncing"
 msgstr "Synkroniserar"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Händelsedetaljer"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Inte angivet"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Redigera"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Datum"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Börjar"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Slutar"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Plats"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Gäster"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Påminnelse"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Upprepa"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Upprepad var:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Upprepad händelse slutar"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Upprepas"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Datum"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr ""
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Återkommanden"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ; %2 gånger "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ; till %2"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -243,51 +220,50 @@
 msgid "After Date"
 msgstr "Efter datum"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Spara"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Sluttiden kan inte vara före starttiden"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Fel"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "OK"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "Från"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "Till"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Heldagsaktivitet"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Händelsenamn"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Beskrivning"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Plats"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Kalender"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Lägg till gäst"
 
@@ -303,27 +279,23 @@
 msgid "On Weekdays"
 msgstr "På veckodagar"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "På måndag, onsdag och fredag"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "På Tisdag och torsdag"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Veckovis"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Månadsvis"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Årligen"
 
@@ -331,46 +303,39 @@
 msgid "No Reminder"
 msgstr "Ingen påminnelse"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "Fem minuter"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 minuter"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 minuter"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "En timme"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "Två timmar"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "Ett dygn"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "Två dygn"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "En vecka"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "Två veckor"
 
@@ -411,3 +376,26 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "kalender;händelse;dag;vecka;år;tidsbestämt möte;möte;"
+
+#~ msgid "Remind me"
+#~ msgstr "Påminn mig"
+
+#~ msgid "This happens"
+#~ msgstr "Detta händer"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 heldagshändelser"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Efter datum %1"
+
+#~ msgid "All Day event:"
+#~ msgstr "Heldagshändelse"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Upprepning slutar"
+
+#~ msgid "This Happens"
+#~ msgstr "Händer detta"

=== modified file 'po/ta.po'
--- po/ta.po	2014-10-18 07:05:51 +0000
+++ po/ta.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-10-26 05:34+0000\n"
 "Last-Translator: Arun Kumar - அருண் குமார் <thangam.arunx@gmail.com>\n"
 "Language-Team: Tamil <ta@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:32+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "ரத்துசெய்"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "புதிய நிகழ்வு"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "திருத்து"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "சேமி"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "முடியும் நேரம் தொடங்கும் நேரத்திற்கு முன்னதாக இருக்க கூடாது"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "பிழை"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "நாள்காட்டி"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/te.po'
--- po/te.po	2014-10-18 07:05:51 +0000
+++ po/te.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-07-13 18:04+0000\n"
 "Last-Translator: tuxnani(రహ్మానుద్దీన్ షేక్) <Unknown>\n"
 "Language-Team: Telugu <te@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "కొత్త సంఘటన"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "సవరించు"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "భద్రపరుచు"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "క్యాలెండర్"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/tr.po'
--- po/tr.po	2014-10-18 07:05:51 +0000
+++ po/tr.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-07-21 20:16+0000\n"
 "Last-Translator: Volkan Gezer <Unknown>\n"
 "Language-Team: Turkish <tr@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Etk."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "İptal"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "Etkinliği Sil"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Seriyi sil"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Bunu sil"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Sil"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Etkinliği Düzenle"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Seriyi düzenle"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Bunu düzenle"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Yeni Etkinlik"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "Eşleniyor"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Belirtilmemiş"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Düzenle"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Tarih"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Başlangıç"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Bitiş"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Konum"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Konuklar"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Tekrarlanan etkinlik sona ermesi:"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Tarih"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Kaydet"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Bitiş zamanı başlama zamanından önce olamaz"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Hata"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Etkinlik Adı"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Açıklama"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Konum"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Takvim"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 
@@ -410,3 +375,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "takvim;etkinlik;gün;hafta;yıl;randevu;toplantı;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 Tüm gün etkinliği"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Tekrarlama Bitişi"
+
+#~ msgid "Remind me"
+#~ msgstr "Bana hatırlat"
+
+#~ msgid "All Day event:"
+#~ msgstr "Tüm Gün etkinliği:"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "%1 Tarihinden Sonra"
+
+#~ msgid "This happens"
+#~ msgstr "Şu olur"

=== modified file 'po/ug.po'
--- po/ug.po	2014-10-18 07:05:51 +0000
+++ po/ug.po	2014-09-25 06:42:23 +0000
@@ -7,15 +7,15 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 07:44+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-24 12:37+0000\n"
 "Last-Translator: Gheyret T.Kenji <Unknown>\n"
 "Language-Team: Uyghur Computer Science Association <UKIJ@yahoogroups.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-25 06:42+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,17 +46,16 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 Ev."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
-msgstr[0] "%1 دانە پۈتۈن كۈنلۈك ھادىسە"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
+msgstr[0] "%1 پۈتۈن كۈنلۈك ھادىسە"
 
 #: ../CalendarChoicePopup.qml:32 ../EventActions.qml:42
 msgid "Calendars"
@@ -70,8 +69,8 @@
 msgid "Select Color"
 msgstr "رەڭ تاللا"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "ئەمەلدىن قالدۇر"
 
@@ -85,10 +84,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "MMMM dd، yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -98,52 +100,31 @@
 msgid "Delete Event"
 msgstr "%1 ھادىسىنى ئۆچۈرۈش"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-"پەقەت مۇشۇ ھادىسە«%1» نى ئۆچۈرسۇنمۇ ياكى مەزكۇر توپتىكى ھەممە ھادىسىنى "
-"ئۆچۈرسۇنمۇ؟"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "ھادىسە «%1» نى راستلا ئۆچۈرەمسىز؟"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
-msgstr "توپنى ئۆچۈر"
+msgstr "تەرتىپىنى ئۆچۈر"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "بۇنى ئۆچۈر"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "ئۆچۈر"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
-msgstr "ھادىسە تەھرىرلە"
-
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-"پەقەت مۇشۇ ھادىسە«%1» نى تەھرىرلىسۇنمۇ ياكى مەزكۇر توپتىكى ھەممە ھادىسىنى "
-"تەھرىرلىسۇنمۇ؟"
-
-#: ../EditEventConfirmationDialog.qml:35
+msgstr "ھادىسە تەھرىرلەش"
+
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
-msgstr "توپنى تەھرىرلە"
+msgstr "تەرتىپىنى تەھرىرلە"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "بۇنى تەھرىرلە"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "يېڭى ھادىسە"
 
@@ -155,82 +136,75 @@
 msgid "Syncing"
 msgstr "قەدەمداشلاۋاتىدۇ"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "ھادىسە تەپسىلاتلىرى"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "%1 يىلنامە"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (پۈتۈن كۈن)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "بەلگىلەنمىگەن"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
-msgstr "تەھرىرلە"
-
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+msgstr "تەھرىرلەش"
+
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "چېسلا"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "باشلاش"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "تامام"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "پۈتۈن كۈنلۈك ھادىسە"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "ئورنى"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "مېھمانلار"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "قايتىلىنىش"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "ئەسكەرتكۈچ"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "قايتىلا"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "تەكرارلىنىش:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "تەكرارلىنىشنىڭ ئاخىرلىشىشى"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "قايتىلىنىش"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "چېسلا"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1؛ %2 قېتىم"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr "%1؛ %2 غىچە"
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "ھەر ھەپتىنىڭ %1 كۈنلىرى"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "تەكرارلىنىش تەڭشىكى"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1 ؛ %2 قېتىم "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
+msgstr "%1 ؛  %2 غىچە"
 
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
@@ -244,51 +218,50 @@
 msgid "After Date"
 msgstr "چېسلا كېيىن"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "ساقلا"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "ئاخىرلىشىش ۋاقتى باشلىنىش ۋاقتىدىن بۇرۇن بولسا بولمايدۇ"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "خاتالىق"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "تامام"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "يوللىغۇچى"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "تاپشۇرۇپ ئالغۇچى"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "پۈتۈن كۈنلۈك ھادىسە"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "ھادىسە ئاتى"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "چۈشەندۈرۈلۈشى"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "ئورنى"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "يىلنامە"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "مېھمان قوش"
 
@@ -304,27 +277,23 @@
 msgid "On Weekdays"
 msgstr "بىنەپتە كۈنلىرى"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "دۈشەنبە، چارشەنبە ۋە جۈمە كۈنلىرى"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "%1،%2،%3 كۈنلىرى"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "%1 ۋە %2 كۈنلىرى"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "سەيشەنبە ۋە پەيشەنبە كۈنلىرى"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "ھەر ھەپتىدە"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "ھەر ئايدا"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "ھەر يىلى"
 
@@ -332,46 +301,39 @@
 msgid "No Reminder"
 msgstr "ئەسكەرتكۈچ يوق"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 مىنۇت"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 مىنۇت"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 مىنۇت"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 سائەت"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 سائەت"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 كۈن"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 كۈن"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 ھەپتە"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 ھەپتە"
 
@@ -381,9 +343,6 @@
 "eventid. They will be managed by system. See the source for a full comment "
 "about them"
 msgstr ""
-"يىلنامە ئېپى 4 پارامېتىر قوبۇل قىلىدۇ: --starttime, --endtime, --newevent "
-"and --eventid. بۇلار سىستېما تەرىپىدىن باشقۇرۇلۇشى مۇمكىن. بۇنىڭ تەپسىلىي "
-"چۈشەندۈرۈلۈشى ئۈچۈن ئەسلى كودى قاراڭ."
 
 #: ../calendar.qml:326
 msgid "Year"

=== modified file 'po/uk.po'
--- po/uk.po	2014-10-18 07:05:51 +0000
+++ po/uk.po	2014-09-24 07:33:24 +0000
@@ -7,8 +7,8 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
-"PO-Revision-Date: 2014-10-17 11:47+0000\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
+"PO-Revision-Date: 2014-09-23 08:50+0000\n"
 "Last-Translator: Yuri Chornoivan <yurchor@gmail.com>\n"
 "Language-Team: Ukrainian <uk@li.org>\n"
 "MIME-Version: 1.0\n"
@@ -16,7 +16,7 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
 "n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -47,16 +47,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr "%1 под."
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] "%1 подія на увесь день"
 msgstr[1] "%1 події на увесь день"
 msgstr[2] "%1 подій на увесь день"
@@ -73,8 +72,8 @@
 msgid "Select Color"
 msgstr "Вибір кольору"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "Скасувати"
 
@@ -88,10 +87,13 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
-msgstr "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
+msgstr "dd-MMM-yyyy"
 
 #: ../DeleteConfirmationDialog.qml:31
 msgid "Delete Recurring Event"
@@ -101,48 +103,31 @@
 msgid "Delete Event"
 msgstr "Вилучити подію"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr "Вилучити лише подію «%1» чи усі події у послідовності?"
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr "Ви справді хочете вилучити запис події «%1»?"
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "Вилучити послідовність"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "Вилучити це"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "Вилучити"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "Редагування події"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr "Редагувати лише подію «%1» чи усі події у послідовності?"
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "Змінити послідовність"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "Змінити це"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Нова подія"
 
@@ -154,85 +139,76 @@
 msgid "Syncing"
 msgstr "Синхронізація"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "Докладніше про подію"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr "Календар %1"
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr "%1 (увесь день)"
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "Не вказано"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Змінити"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "Дата"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "Початок"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "Завершення"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr "Подія на весь день"
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "Розташування"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "Гості"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr "Повторюється"
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr "Нагадування"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr "Повторити"
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "Повтор:"
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "Повторення події завершиться"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr "Повторюється"
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "Дата"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] "%1; %2 раз"
-msgstr[1] "%1; %2 рази"
-msgstr[2] "%1; %2 разів"
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr "Повторення"
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr "%1; %2 разів "
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr "%1; до %2"
 
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
-msgstr "Щотижня у %1"
-
 #: ../LimitLabelDefines.qml:21
 msgid "Never"
 msgstr "Ніколи"
@@ -245,51 +221,50 @@
 msgid "After Date"
 msgstr "Після дати"
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr "MMMM yyyy"
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Зберегти"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "Момент завершення не може передувати моментові початку"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "Помилка"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "Гаразд"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr "З"
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr "До"
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr "Подія на весь день"
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "Назва події"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "Опис"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "Розташування"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "Календар"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "Додати гостя"
 
@@ -305,27 +280,23 @@
 msgid "On Weekdays"
 msgstr "у дні тижня"
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr "по понеділках, середах і п’ятницях"
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr "У %1, %2 ,%3"
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr "У %1 і %2"
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr "по вівторках і червергах"
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "Щотижня"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "Щомісяця"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "Щороку"
 
@@ -333,46 +304,39 @@
 msgid "No Reminder"
 msgstr "Без нагадування"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr "Уразі події"
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 хвилин"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 хвилин"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 хвилин"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 година"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 години"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 день"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 дні"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 тиждень"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 тижні"
 
@@ -416,3 +380,26 @@
 msgstr ""
 "calendar;event;day;week;year;appointment;meeting;календар;подія;день;тиждень;"
 "рік;зустріч;нарада;"
+
+#~ msgid "Remind me"
+#~ msgstr "Нагадати"
+
+#~ msgid "All Day event:"
+#~ msgstr "Подія на увесь день:"
+
+#~ msgid "This happens"
+#~ msgstr "Триває"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "Події на увесь день %1"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "Завершення повторень"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "Після %1"
+
+#~ msgid "This Happens"
+#~ msgstr "Це відбувається"

=== modified file 'po/vi.po'
--- po/vi.po	2014-10-18 07:05:51 +0000
+++ po/vi.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-05-18 09:22+0000\n"
 "Last-Translator: Vu Do Quynh <vdquynh@gmail.com>\n"
 "Language-Team: Vietnamese <vi@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "Sự kiện Mới"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "Sửa"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "Lưu"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/xh.po'
--- po/xh.po	2014-10-18 07:05:51 +0000
+++ po/xh.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-05-18 01:01+0000\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: Xhosa <xh@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr ""
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr ""
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr ""
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr ""
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr ""
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/zh_CN.po'
--- po/zh_CN.po	2014-10-18 07:05:51 +0000
+++ po/zh_CN.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-12 14:07+0000\n"
 "Last-Translator: Anthony Wong <anthony.wong@ubuntu.com>\n"
 "Language-Team: Chinese (Simplified) <zh_CN@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1个事件"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "选择颜色"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "取消"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "删除事件"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "删除系列"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "删除这个"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "删除"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "编辑事件"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "编辑系列"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "编辑这个"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "新建事件"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "正在同步"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "事件详情"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "没有指定"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "编辑"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "日期"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "开始"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "结束"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "位置"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "客人"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "重复于："
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "重复事件结束"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "日期"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "保存"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "结束时间不能早于开始时间"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "错误"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "确定"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "事件名称"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "描述"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "位置"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "日历"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "每周"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "每月"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "每年"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 分钟"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 分钟"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 分钟"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "一小时"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "两小时"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "一天"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "两天"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "一周"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "两周"
 
@@ -409,3 +374,23 @@
 #: com.ubuntu.calendar_calendar.desktop.in.in.h:3
 msgid "calendar;event;day;week;year;appointment;meeting;"
 msgstr "calendar;event;day;week;year;appointment;meeting;日历;会;天;月;年;星期;周;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 全天事件"
+
+#~ msgid "This happens"
+#~ msgstr "这发生于"
+
+#~ msgid "Remind me"
+#~ msgstr "提醒我"
+
+#~ msgid "All Day event:"
+#~ msgstr "全天事件："
+
+#~ msgid "Repetition Ends"
+#~ msgstr "结束重复"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "%1 之后"

=== modified file 'po/zh_HK.po'
--- po/zh_HK.po	2014-10-18 07:05:51 +0000
+++ po/zh_HK.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2013-10-26 07:30+0000\n"
 "Last-Translator: Walter Cheuk <wwycheuk@gmail.com>\n"
 "Language-Team: Chinese (Hong Kong) <zh_HK@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
+msgid "%1 Ev."
 msgstr ""
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr ""
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "取消"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr ""
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr ""
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr ""
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr ""
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "新事件"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr ""
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr ""
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr ""
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "編輯"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr ""
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr ""
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr ""
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr ""
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr ""
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr ""
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "儲存"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "結束時間不能早於開始時間"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "出錯"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr ""
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr ""
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr ""
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr ""
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "行事曆"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr ""
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
+msgid "Weekly"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
+msgid "Monthly"
 msgstr ""
 
 #: ../RecurrenceLabelDefines.qml:30
-msgid "Weekly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:31
-msgid "Monthly"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:32
 msgid "Yearly"
 msgstr ""
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr ""
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr ""
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr ""
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr ""
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr ""
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr ""
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr ""
 

=== modified file 'po/zh_TW.po'
--- po/zh_TW.po	2014-10-18 07:05:51 +0000
+++ po/zh_TW.po	2014-09-24 07:33:24 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: ubuntu-calendar-app\n"
 "Report-Msgid-Bugs-To: FULL NAME <EMAIL@ADDRESS>\n"
-"POT-Creation-Date: 2014-10-17 17:41+0200\n"
+"POT-Creation-Date: 2014-09-23 08:25+0200\n"
 "PO-Revision-Date: 2014-08-29 10:56+0000\n"
 "Last-Translator: Walter Cheuk <wwycheuk@gmail.com>\n"
 "Language-Team: Chinese (Traditional) <zh_TW@li.org>\n"
@@ -15,7 +15,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Launchpad-Export-Date: 2014-10-18 07:05+0000\n"
+"X-Launchpad-Export-Date: 2014-09-24 07:33+0000\n"
 "X-Generator: Launchpad (build 17196)\n"
 
 #: ../AgendaView.qml:50 ../DayView.qml:38 ../MonthView.qml:37
@@ -46,16 +46,15 @@
 #. on a given day. "Ev." is short form for "Events".
 #. Please keep the translation of "Ev." to 3 characters only, as the week view
 #. where it's shown has limited space
-#: ../AllDayEventComponent.qml:109
+#: ../AllDayEventComponent.qml:115
 #, qt-format
-msgid "%1 ev."
-msgstr ""
+msgid "%1 Ev."
+msgstr "%1 件"
 
-#. TRANSLATORS: the argument refers to the number of all day events
-#: ../AllDayEventComponent.qml:113
+#: ../AllDayEventComponent.qml:118
 #, qt-format
-msgid "%1 all day event"
-msgid_plural "%1 all day events"
+msgid "%1 All day event"
+msgid_plural "%1 All day events"
 msgstr[0] ""
 msgstr[1] ""
 
@@ -71,8 +70,8 @@
 msgid "Select Color"
 msgstr "選取顏色"
 
-#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:60
-#: ../EditEventConfirmationDialog.qml:53
+#: ../ColorPickerDialog.qml:53 ../DeleteConfirmationDialog.qml:59
+#: ../EditEventConfirmationDialog.qml:52
 msgid "Cancel"
 msgstr "取消"
 
@@ -86,9 +85,12 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
-#. It's used in the header of the month and week views
-#: ../DayView.qml:56 ../MonthView.qml:56 ../WeekView.qml:60
-msgid "MMMM yyyy"
+#. It's used in the header of the day view
+#. TRANSLATORS: this is a date formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions
+#. It's used to display the date in the event details view
+#: ../DayView.qml:68 ../EventDetails.qml:128
+msgid "MMMM dd, yyyy"
 msgstr ""
 
 #: ../DeleteConfirmationDialog.qml:31
@@ -99,48 +101,31 @@
 msgid "Delete Event"
 msgstr "刪除事件"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../DeleteConfirmationDialog.qml:36
-#, qt-format
-msgid "Delete only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:37
-#, qt-format
-msgid "Are you sure you want to delete the event \"%1\"?"
-msgstr ""
-
-#: ../DeleteConfirmationDialog.qml:40
+#: ../DeleteConfirmationDialog.qml:39
 msgid "Delete series"
 msgstr "刪除系列"
 
-#: ../DeleteConfirmationDialog.qml:51
+#: ../DeleteConfirmationDialog.qml:50
 msgid "Delete this"
 msgstr "刪除這項"
 
-#: ../DeleteConfirmationDialog.qml:51 ../EventDetails.qml:158
+#: ../DeleteConfirmationDialog.qml:50 ../EventDetails.qml:187
 msgid "Delete"
 msgstr "刪除"
 
-#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:277
+#: ../EditEventConfirmationDialog.qml:29 ../NewEvent.qml:273
 msgid "Edit Event"
 msgstr "編輯事件"
 
-#. TRANSLATORS: argument (%1) refers to an event name.
-#: ../EditEventConfirmationDialog.qml:32
-#, qt-format
-msgid "Edit only this event \"%1\", or all events in the series?"
-msgstr ""
-
-#: ../EditEventConfirmationDialog.qml:35
+#: ../EditEventConfirmationDialog.qml:34
 msgid "Edit series"
 msgstr "編輯系列"
 
-#: ../EditEventConfirmationDialog.qml:44
+#: ../EditEventConfirmationDialog.qml:43
 msgid "Edit this"
 msgstr "編輯這項"
 
-#: ../EventActions.qml:33 ../NewEvent.qml:277
+#: ../EventActions.qml:33 ../NewEvent.qml:273
 msgid "New Event"
 msgstr "新事件"
 
@@ -152,82 +137,74 @@
 msgid "Syncing"
 msgstr "同步中"
 
-#: ../EventDetails.qml:42 ../NewEvent.qml:449
+#: ../EventDetails.qml:44 ../NewEvent.qml:445
 msgid "Event Details"
 msgstr "事件詳情"
 
-#. TRANSLATORS: the first parameter refers to the name of event calendar.
-#: ../EventDetails.qml:66
-#, qt-format
-msgid "%1 Calendar"
-msgstr ""
-
-#. TRANSLATORS: the first parameter refers to number of all day events.
-#: ../EventDetails.qml:112
-#, qt-format
-msgid "%1 (All Day)"
-msgstr ""
-
-#: ../EventDetails.qml:171
+#: ../EventDetails.qml:114
+msgid "Not specified"
+msgstr "未指定"
+
+#: ../EventDetails.qml:202
 msgid "Edit"
 msgstr "編輯"
 
-#: ../EventDetails.qml:322 ../NewEvent.qml:535
+#: ../EventDetails.qml:268 ../EventRepetition.qml:232
+msgid "Date"
+msgstr "日期"
+
+#: ../EventDetails.qml:273
+msgid "Start"
+msgstr "開始"
+
+#: ../EventDetails.qml:278
+msgid "End"
+msgstr "結束"
+
+#: ../EventDetails.qml:287 ../NewEvent.qml:430
+msgid "All day event"
+msgstr ""
+
+#: ../EventDetails.qml:336 ../NewEvent.qml:484
+msgid "Location"
+msgstr "位置"
+
+#: ../EventDetails.qml:362 ../NewEvent.qml:531
 msgid "Guests"
 msgstr "賓客"
 
-#: ../EventDetails.qml:365 ../EventReminder.qml:35 ../NewEvent.qml:636
+#: ../EventDetails.qml:400 ../EventRepetition.qml:36 ../NewEvent.qml:605
+msgid "Repeats"
+msgstr ""
+
+#: ../EventDetails.qml:405 ../EventReminder.qml:35 ../NewEvent.qml:622
 msgid "Reminder"
 msgstr ""
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the page to choose repetition
-#. and as the header of the list item that shows the repetition
-#. summary in the page that displays the event details
-#: ../EventRepetition.qml:41 ../EventRepetition.qml:128
+#: ../EventRepetition.qml:123
 msgid "Repeat"
 msgstr ""
 
-#: ../EventRepetition.qml:147
+#: ../EventRepetition.qml:142
 msgid "Repeats On:"
 msgstr "重複於："
 
-#: ../EventRepetition.qml:192
+#: ../EventRepetition.qml:187
 msgid "Recurring event ends"
 msgstr "循環事件結束"
 
-#. TRANSLATORS: this refers to how often a recurrent event repeats
-#. and it is shown as the header of the option selector to choose
-#. its repetition
-#: ../EventRepetition.qml:215 ../NewEvent.qml:617
-msgid "Repeats"
-msgstr ""
-
-#: ../EventRepetition.qml:240
-msgid "Date"
-msgstr "日期"
-
-#. TRANSLATORS: the argument refers to multiple recurrence of event with count .
-#. E.g. "Daily; 5 times."
-#: ../EventUtils.qml:75
-#, qt-format
-msgid "%1; %2 time"
-msgid_plural "%1; %2 times"
-msgstr[0] ""
-msgstr[1] ""
-
-#. TRANSLATORS: the argument refers to recurrence until user selected date.
-#. E.g. "Daily; until 12/12/2014."
-#: ../EventUtils.qml:79
-#, qt-format
-msgid "%1; until %2"
-msgstr ""
-
-#. TRANSLATORS: the argument refers to several different days of the week.
-#. E.g. "Weekly on Mondays, Tuesdays"
-#: ../EventUtils.qml:102
-#, qt-format
-msgid "Weekly on %1"
+#: ../EventRepetition.qml:207
+msgid "Recurrences"
+msgstr ""
+
+#: ../EventUtils.qml:99
+#, qt-format
+msgid "%1 ; %2 times "
+msgstr ""
+
+#: ../EventUtils.qml:100
+#, qt-format
+msgid "%1 ;  until %2"
 msgstr ""
 
 #: ../LimitLabelDefines.qml:21
@@ -242,51 +219,50 @@
 msgid "After Date"
 msgstr "此日期之後："
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5/qml-qtqml-date.html#details for valid expressions.
+#. It's used in the header of the month and week views
+#: ../MonthView.qml:56 ../WeekView.qml:60
+msgid "MMMM yyyy"
+msgstr ""
+
 #: ../NewEvent.qml:59
 msgid "Save"
 msgstr "儲存"
 
-#: ../NewEvent.qml:164
+#: ../NewEvent.qml:161
 msgid "End time can't be before start time"
 msgstr "結束時間不能早於開始時間"
 
-#: ../NewEvent.qml:287
+#: ../NewEvent.qml:283
 msgid "Error"
 msgstr "錯誤"
 
-#: ../NewEvent.qml:289
+#: ../NewEvent.qml:285
 msgid "OK"
 msgstr "確定"
 
-#: ../NewEvent.qml:340
+#: ../NewEvent.qml:336
 msgid "From"
 msgstr ""
 
-#: ../NewEvent.qml:384
+#: ../NewEvent.qml:380
 msgid "To"
 msgstr ""
 
-#: ../NewEvent.qml:434
-msgid "All day event"
-msgstr ""
-
-#: ../NewEvent.qml:462
+#: ../NewEvent.qml:458
 msgid "Event Name"
 msgstr "事件名稱"
 
-#: ../NewEvent.qml:475
+#: ../NewEvent.qml:471
 msgid "Description"
 msgstr "描述"
 
-#: ../NewEvent.qml:488
-msgid "Location"
-msgstr "位置"
-
-#: ../NewEvent.qml:497 com.ubuntu.calendar_calendar.desktop.in.in.h:1
+#: ../NewEvent.qml:493 com.ubuntu.calendar_calendar.desktop.in.in.h:1
 msgid "Calendar"
 msgstr "行事曆"
 
-#: ../NewEvent.qml:539
+#: ../NewEvent.qml:535
 msgid "Add Guest"
 msgstr "加入訪客"
 
@@ -302,27 +278,23 @@
 msgid "On Weekdays"
 msgstr ""
 
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday, Tuesday, Thursday"
+#: ../RecurrenceLabelDefines.qml:26
+msgid "On Monday, Wednesday and Friday"
+msgstr ""
+
 #: ../RecurrenceLabelDefines.qml:27
-#, qt-format
-msgid "On %1, %2 ,%3"
-msgstr ""
-
-#. TRANSLATORS: The arguments refer to days of the week. E.g. "On Monday and Thursday"
-#: ../RecurrenceLabelDefines.qml:29
-#, qt-format
-msgid "On %1 and %2"
-msgstr ""
-
-#: ../RecurrenceLabelDefines.qml:30
+msgid "On Tuesday and Thursday"
+msgstr ""
+
+#: ../RecurrenceLabelDefines.qml:28
 msgid "Weekly"
 msgstr "每週"
 
-#: ../RecurrenceLabelDefines.qml:31
+#: ../RecurrenceLabelDefines.qml:29
 msgid "Monthly"
 msgstr "每月"
 
-#: ../RecurrenceLabelDefines.qml:32
+#: ../RecurrenceLabelDefines.qml:30
 msgid "Yearly"
 msgstr "每年"
 
@@ -330,46 +302,39 @@
 msgid "No Reminder"
 msgstr "無提醒"
 
-#. TRANSLATORS: this refers to when a reminder should be shown as a notification
-#. in the indicators. "On Event" means that it will be shown right at the time
-#. the event starts, not any time before
-#: ../RemindersModel.qml:30
-msgid "On Event"
-msgstr ""
-
-#: ../RemindersModel.qml:31
+#: ../RemindersModel.qml:27
 msgid "5 minutes"
 msgstr "5 分鐘"
 
-#: ../RemindersModel.qml:32
+#: ../RemindersModel.qml:28
 msgid "15 minutes"
 msgstr "15 分鐘"
 
-#: ../RemindersModel.qml:33
+#: ../RemindersModel.qml:29
 msgid "30 minutes"
 msgstr "30 分鐘"
 
-#: ../RemindersModel.qml:34
+#: ../RemindersModel.qml:30
 msgid "1 hour"
 msgstr "1 小時"
 
-#: ../RemindersModel.qml:35
+#: ../RemindersModel.qml:31
 msgid "2 hours"
 msgstr "2 小時"
 
-#: ../RemindersModel.qml:36
+#: ../RemindersModel.qml:32
 msgid "1 day"
 msgstr "1 日"
 
-#: ../RemindersModel.qml:37
+#: ../RemindersModel.qml:33
 msgid "2 days"
 msgstr "2 日"
 
-#: ../RemindersModel.qml:38
+#: ../RemindersModel.qml:34
 msgid "1 week"
 msgstr "1 週"
 
-#: ../RemindersModel.qml:39
+#: ../RemindersModel.qml:35
 msgid "2 weeks"
 msgstr "2 週"
 
@@ -411,3 +376,23 @@
 msgstr ""
 "calendar;event;day;week;year;appointment;meeting;行事曆;事件;活動;日期;天;日;週;周;年;約會;會面"
 ";會議;"
+
+#, qt-format
+#~ msgid "%1 All day events"
+#~ msgstr "%1 件全天事件"
+
+#, qt-format
+#~ msgid "After Date %1"
+#~ msgstr "在日期 %1 之後"
+
+#~ msgid "All Day event:"
+#~ msgstr "全天事件："
+
+#~ msgid "This happens"
+#~ msgstr "這發生"
+
+#~ msgid "Remind me"
+#~ msgstr "提醒我"
+
+#~ msgid "Repetition Ends"
+#~ msgstr "重複結束"

=== modified file 'tests/autopilot/calendar_app/__init__.py'
--- tests/autopilot/calendar_app/__init__.py	2014-10-22 21:27:04 +0000
+++ tests/autopilot/calendar_app/__init__.py	2014-09-23 15:09:07 +0000
@@ -16,6 +16,7 @@
 
 """Calendar app autopilot helpers."""
 
+import datetime
 import logging
 from time import sleep
 
@@ -122,7 +123,7 @@
         """
         header = self.get_header()
         header.click_action_button('neweventbutton')
-        return self.wait_select_single(NewEvent, objectName='newEventPage')
+        return self.select_single(NewEvent, objectName='newEventPage')
 
     def set_picker(self, field, mode, value):
         # open picker
@@ -244,62 +245,30 @@
     def get_selected_day(self):
         """Return the selected day.
 
-        :returns: A today calendar object
-
-        """
-        month = self.get_selected_month()
-        try:
-            today = month.select_single(
-                'MonthComponentDateDelegate',
-                isCurrentMonth=True, isToday=True)
-        except exceptions.StateNotFoundError:
-            raise CalendarException('No day is selected on the visible year.')
-        else:
-            return today
-
-    def get_selected_month(self):
-        """Return the selected month.
-
-        :returns: A month calendar object
-
-        """
-        current_year_grid = self._get_current_year_grid()
-        return self._get_month_component(current_year_grid,
-                                         current_year_grid.scrollMonth)
-
-    def get_day(self, monthNumber, dayNumber):
-        """Return the day object.
-        :param monthNumber the numeric month to get
-        :param dayNumber the numeric day to get
-        :returns: A month calendar object
-
-        """
-        month = self.get_month(monthNumber)
-
-        try:
-            day = month.select_single('MonthComponentDateDelegate',
-                                      date=dayNumber)
-        except exceptions.StateNotFoundError:
-            raise CalendarException('%s not found in %s' % (
-                dayNumber, monthNumber))
-        else:
-            return day
-
-    def get_month(self, monthNumber):
-        """Return the month object.
-        :param monthNumber the numeric month to get
-        :returns: A month calendar object
-
-        """
-        current_year_grid = self._get_current_year_grid()
-        # the monthcomponents start at zero, thus subtract 1 to get month
-        return self._find_month_component(current_year_grid, monthNumber - 1)
+        :returns: A python datetime.date object with the selected day.
+
+        """
+        current_year_grid = self._get_current_year_grid()
+        for index in range(12):
+            month_component = self._find_month_component(
+                current_year_grid, index)
+            try:
+                today = month_component.select_single(
+                    'QQuickItem', isCurrentMonth=True, isToday=True)
+            except exceptions.StateNotFoundError:
+                continue
+            else:
+                return datetime.date(
+                    current_year_grid.year, index + 1, today.date)
+        else:
+            raise CalendarException(
+                'No day is selected on the currently visible year.')
 
     def _get_current_year_grid(self):
         path_view_base = self.select_single(
             'PathViewBase', objectName='yearPathView')
         return path_view_base.select_single(
-            "YearViewDelegate", isCurrentItem=True)
+            ubuntuuitoolkit.QQuickGridView, isCurrentItem=True)
 
     def _find_month_component(self, grid, index):
         try:
@@ -339,14 +308,7 @@
 
 class MonthView(ubuntuuitoolkit.UbuntuUIToolkitCustomProxyObjectBase):
 
-    """Autopilot helper for the Month View page."""
-
-    def get_current_month(self):
-        return self.select_single('MonthComponent', isCurrentItem=True)
-
-    def get_current_month_name(self):
-        month = self.get_current_month()
-        return month.select_single('Label', objectName='monthLabel').text
+    """Autopilot helper for the Year View page."""
 
 
 class DayView(ubuntuuitoolkit.UbuntuUIToolkitCustomProxyObjectBase):
@@ -529,7 +491,7 @@
         center_y = self.globalRect.y + self.globalRect.height // 2
         self.pointing_device.move(left, center_y)
         self.pointing_device.click()
-        return self.get_root_instance().wait_select_single(
+        return self.get_root_instance().select_single(
             EventDetails, objectName='eventDetails')
 
 
@@ -692,11 +654,11 @@
         header = root.select_single(MainView).get_header()
         header.click_action_button('delete')
 
-        delete_confirmation_dialog = root.wait_select_single(
+        delete_confirmation_dialog = root.select_single(
             DeleteConfirmationDialog, objectName='deleteConfirmationDialog')
         delete_confirmation_dialog.confirm_deletion()
 
-        return root.wait_select_single(DayView, objectName='dayViewPage')
+        return root.select_single(DayView, objectName='dayViewPage')
 
     @autopilot.logging.log_action(logger.debug)
     def edit(self):
@@ -708,7 +670,7 @@
         root = self.get_root_instance()
         header = root.select_single(MainView).get_header()
         header.click_action_button('edit')
-        return root.wait_select_single(NewEvent, objectName='newEventPage')
+        return root.select_single(NewEvent, objectName='newEventPage')
 
     def get_event_information(self):
         """Return the information of the event."""

=== modified file 'tests/autopilot/calendar_app/tests/__init__.py'
--- tests/autopilot/calendar_app/tests/__init__.py	2014-09-30 00:38:14 +0000
+++ tests/autopilot/calendar_app/tests/__init__.py	2014-09-04 22:15:47 +0000
@@ -64,6 +64,11 @@
         self.launcher, self.test_type = self.get_launcher_and_type()
         self.home_dir = self._patch_home()
 
+        # Unset the current locale to ensure locale-specific data
+        # (day and month names, first day of the week, …) doesn’t get
+        # in the way of test expectations.
+        self.useFixture(fixtures.EnvironmentVariable('LC_ALL', newvalue='C'))
+
     @autopilot_logging.log_action(logger.info)
     def launch_test_local(self):
         return self.launch_test_application(

=== modified file 'tests/autopilot/calendar_app/tests/test_dayview.py'
--- tests/autopilot/calendar_app/tests/test_dayview.py	2014-10-08 00:44:20 +0000
+++ tests/autopilot/calendar_app/tests/test_dayview.py	2014-09-19 13:16:50 +0000
@@ -43,7 +43,7 @@
 
         now = datetime.datetime.now()
 
-        expected_month_name_year = now.strftime("%B %Y")
+        expected_month_name_year = now.strftime("%B %d, %Y")
 
         self.assertThat(self.app.main_view.get_month_year(self.day_view),
                         Equals(expected_month_name_year))

=== modified file 'tests/autopilot/calendar_app/tests/test_weekview.py'
--- tests/autopilot/calendar_app/tests/test_weekview.py	2014-10-08 11:59:38 +0000
+++ tests/autopilot/calendar_app/tests/test_weekview.py	2014-09-19 13:32:49 +0000
@@ -163,7 +163,7 @@
     def test_selecting_a_day_switches_to_day_view(self):
         """It must be possible to show a single day by clicking on it."""
         first_day_date = self.week_view.firstDay
-        # expected_day = first_day_date.day
+        expected_day = first_day_date.day
         expected_month = first_day_date.month
         expected_year = first_day_date.year
 
@@ -179,7 +179,7 @@
         # Check that the 'Day' view is on the correct/selected day.
         selected_date = datetime.datetime.strptime(
             self.app.main_view.get_month_year(day_view),
-            '%B %Y')
-        # self.assertThat(expected_day, Equals(selected_date.day))
+            '%B %d, %Y')
+        self.assertThat(expected_day, Equals(selected_date.day))
         self.assertThat(expected_month, Equals(selected_date.month))
         self.assertThat(expected_year, Equals(selected_date.year))

=== modified file 'tests/autopilot/calendar_app/tests/test_yearview.py'
--- tests/autopilot/calendar_app/tests/test_yearview.py	2014-10-02 12:38:28 +0000
+++ tests/autopilot/calendar_app/tests/test_yearview.py	2014-09-05 15:24:20 +0000
@@ -26,7 +26,7 @@
 
 import datetime
 from autopilot.matchers import Eventually
-from testtools.matchers import Equals
+from testtools.matchers import Equals, NotEquals
 
 from calendar_app.tests import CalendarAppTestCase
 
@@ -51,41 +51,48 @@
                 lambda: self.year_view.currentYear,
                 Eventually(Equals(current_year + (i * direction))))
 
-    def test_default_view(self):
-        """The current year should be the default shown
-        and the current month should be visible. In addition
-        the current day should be selected"""
-        date = datetime.datetime.now()
-        self.assertEqual(self.year_view.currentYear, date.year)
-        self.assertEqual(
-            self.year_view.get_selected_month().currentMonth.datetime.month,
-            date.month)
-        self.assertEqual(self.year_view.get_selected_day().date, date.day)
+    def test_current_year_is_default(self):
+        """The current year should be the default shown"""
+        self.assertThat(self.year_view.currentYear,
+                        Equals(datetime.datetime.now().year))
 
     def test_selecting_a_month_switch_to_month_view(self):
         """It must be possible to select a month and open the month view."""
 
-        # click the select month
-        month = self.year_view.get_selected_month()
-        expected_year = self.year_view.currentYear
-        expected_month = month.currentMonth.datetime.month
-        expected_month_name = month.select_single('Label',
-                                                  objectName='monthLabel').text
-
-        self.app.pointing_device.click_object(month)
-
-        # confirm month transition
+        # TODO: the component indexed at 1 is the one currently displayed,
+        # investigate a way to validate this assumption visually.
+        year_grid = self._get_year_grid()
+        months = year_grid.select_many("MonthComponent")
+        months.sort(key=lambda month: month.currentMonth)
+
+        february = months[1]
+        expected_month_name = self.app.main_view.get_month_name(february)
+        expected_year = self.app.main_view.get_year(february)
+
+        self.app.pointing_device.click_object(february)
+
+        self.assertThat(
+            self.app.main_view.get_month_view, Eventually(NotEquals(None)))
+
         month_view = self.app.main_view.get_month_view()
         self.assertThat(month_view.visible, Eventually(Equals(True)))
 
-        self.assertEquals(month_view.currentMonth.datetime.year,
-                          expected_year)
-
-        self.assertEquals(month_view.currentMonth.datetime.month,
-                          expected_month)
-
-        self.assertEquals(month_view.get_current_month_name(),
-                          expected_month_name)
+        selected_month = month_view.select_single("MonthComponent",
+                                                  isCurrentItem=True)
+
+        self.assertThat(selected_month, NotEquals(None))
+
+        self.assertThat(self.app.main_view.get_year(selected_month),
+                        Equals(expected_year))
+
+        self.assertThat(self.app.main_view.get_month_name(selected_month),
+                        Equals(expected_month_name))
+
+    def test_current_day_is_selected(self):
+        """The current day must be selected."""
+        selected_day = self.year_view.get_selected_day()
+        self.assertEqual(
+            selected_day, datetime.date.today())
 
     def test_show_next_years(self):
         """It must be possible to show next years by swiping the view."""

